;;; Sierra Script 1.0 - (do not remove this comment)
(script# 8)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n824)
(use RFeature)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	HutSwimRm 0
)

(local
	local0
)
(instance HutSwimRm of Rm
	(properties
		picture 8
		horizon 120
		east 16
		south 15
		west 15
	)
	
	(method (init)
		(super init:)
		(switch gPrevRoomNum
			(3
				(gEgo x: (+ (/ (gEgo x?) 8) 260))
			)
			(4
				(if (== (gEgo loop?) 1)
					(gEgo
						x:
							(cond 
								((< (gEgo y?) 104) 154)
								((< (gEgo y?) 146) 207)
								((< (gEgo y?) 200) 252)
							)
						loop: 2
					)
				else
					(gEgo x: 261 loop: 0)
				)
			)
			(5
				(if (== (gEgo loop?) 1)
					(gEgo
						x:
							(cond 
								((< (gEgo y?) 104) (+ (/ (gEgo y?) 2) 8))
								((< (gEgo y?) 146) (- (gEgo y?) 30))
								((< (gEgo y?) 200) 144)
							)
						loop: 2
					)
				else
					(gEgo x: 147 loop: 0)
				)
			)
			(6 (gEgo x: 122 loop: 2))
			(7 (gEgo x: 14))
		)
		(gEgo init: view: 217 setLoop: -1 y: (+ 5 horizon))
		(self setRegions: 301 300 308)
		(gAddToPics
			add:
				hut1
				hut2
				hut3
				hut4
				hotelHut
				tree
				((Clone tree) x: 220 y: 89 yourself:)
				((Clone tree) x: 114 y: 87 yourself:)
				((Clone tree) x: 301 y: 94 yourself:)
			eachElementDo: #init
			eachElementDo: #priority 1
			doit:
		)
		(proc824_0)
		(pixelPerson init:)
	)
	
	(method (doit)
		(if (< (gEgo y?) horizon)
			(self
				newRoom:
					(cond 
						((<= (gEgo x?) 55) 7)
						((<= (gEgo x?) 117) 5)
						((<= (gEgo x?) 127) 6)
						((<= (gEgo x?) 250) 4)
						(else 3)
					)
			)
		else
			(super doit:)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]>')
				(cond 
					((Said '/building') (Print 8 0))
					((Said '/hotel') (Print 8 1))
					((Said '/palm') (Print 8 2))
					((Said '/bush') (Print 8 3))
				)
			)
		)
	)
	
	(method (newRoom newRoomNumber)
		(super newRoom: newRoomNumber)
		(switch newRoomNumber
			(7
				(gEgo y: (+ (gEgo x?) 125) loop: 0)
			)
			(5
				(cond 
					((<= (gEgo x?) 76) (gEgo posn: 84 103 view: 200 loop: 0))
					((<= (gEgo x?) 127) (gEgo posn: 72 137 view: 200 loop: 0))
					((<= (gEgo x?) 152) (gEgo posn: 10 185 loop: 0))
				)
			)
			(4
				(cond 
					((<= (gEgo x?) 181) (gEgo posn: 84 103 view: 200 loop: 0))
					((<= (gEgo x?) 233) (gEgo posn: 72 137 view: 200 loop: 0))
					((<= (gEgo x?) 250) (gEgo posn: 10 185 loop: 0))
				)
			)
			(3
				(gEgo x: (/ (* (- (gEgo x?) 250) 32) 7))
			)
		)
	)
)

(instance hut1 of RPicView
	(properties
		y 97
		x 125
		view 8
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]/building') (Print 8 4))
		)
	)
)

(instance hut2 of RPicView
	(properties
		y 95
		x 74
		view 8
		cel 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]/building') (Print 8 5))
		)
	)
)

(instance hut3 of RPicView
	(properties
		y 98
		x 177
		view 8
		cel 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]/building') (Print 8 6))
		)
	)
)

(instance hut4 of RPicView
	(properties
		y 102
		x 231
		view 8
		cel 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]/building') (Print 8 7))
		)
	)
)

(instance hotelHut of RPicView
	(properties
		y 96
		x 310
		view 8
		loop 2
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]/building,hotel') (Print 8 8))
		)
	)
)

(instance tree of RPicView
	(properties
		y 88
		x 56
		view 8
		loop 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]/palm') (Print 8 9))
		)
	)
)

(instance pixelPerson of Act
	(properties
		view 1
		loop 5
	)
	
	(method (init)
		(super init:)
		(self
			hide:
			setPri: 0
			setStep: 1 1
			setLoop:
			illegalBits: 0
			ignoreHorizon:
			moveSpeed: 1
			setScript: paceScript
		)
	)
)

(instance paceScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= seconds (Random 2 10)))
			(1
				(client posn: 23 90 show: setMotion: MoveTo 330 100 self)
			)
			(2
				(client hide:)
				(= seconds (Random 2 10))
			)
			(3
				(client show: setMotion: MoveTo 23 90 self)
			)
			(4 (client hide:) (self init:))
		)
	)
)
