;;; Sierra Script 1.0 - (do not remove this comment)
(script# 0)
(include sci.sh)
(use Class_255_0)
(use Grooper)
(use MDH)
(use Sound)
(use SysWindow)
(use Game)
(use InvI)
(use User)
(use MenuBar)
(use Obj)

(public
	iceMan 0
	HandsOff 1
	HandsOn 2
	DisposePrintDlg 3
	proc0_4 4
	DecideSound 5
	PrintOK 30
	PrintItIs 31
	PrintYouAre 32
	PrintNotNow 33
	PrintNotCloseEnough 34
	PrintAlreadyTookIt 35
	PrintSeeNothing 36
	PrintCantDoThat 37
	PrintDontHave 38
	PrintDontNeed 39
	PrintDontSee 40
	PrintBadIdea 41
	PrintCantAfterAll 42
)

(local
	gEgo
	gGame
	gRoom
	gSpeed =  6
	gQuit
	gCast
	gRegions
	gTimers
	gSounds
	gInv
	gAddToPics
	gCurRoomNum
	gPrevRoomNum
	gNewRoomNum
	gDebug
	gScore
	gMaxScore
	gDefaultPicAnim =  7
	global18
	gCursor
	gNormalCursor =  999
	gLoadingCursor =  997
	gFont =  1
	gSmallFont =  4
	gLastEvent
	gDialog
	gBigFont =  1
	global27 =  12
	gVersion =  {iceKeyDownHandler}
	gLocales
	global30
	global31
	global32
	global33
	global34
	global35
	global36
	global37
	global38
	global39
	global40
	global41
	global42
	global43
	global44
	global45
	global46
	global47
	global48
	global49
	global50 =  10
	gPicAngle
	gFeatures
	gSFeatures
	global54
	global55
	global56
	gPicNumber =  -1
	global58
	gIceWindow
	global60 =  3
	global61
	global62
	global63
	global64
	global65
	global66
	global67
	global68
	global69
	global70
	global71
	global72
	global73
	global74
	global75
	global76
	global77
	global78
	global79
	global80
	global81
	global82
	global83
	global84
	global85
	global86
	global87
	global88
	global89
	global90
	global91
	global92
	global93
	global94
	global95
	global96
	global97
	global98
	global99
	global100
	global101
	gNewQSnd
	global103
	gIceKeyDownHandler
	gIceMouseDownHandler
	gIceDirectionHandler
	global107
	global108
	global109
	global110
	global111
	global112
	global113
	global114
	global115
	global116
	global117
	global118
	global119
	global120
	global121
	global122
	global123
	global124
	global125
	global126
	global127
	global128
	global129
	global130
	global131
	global132
	global133
	gLastM
	gLastH
	global136
	global137
	gIceGlobalSound
	gSoundDriver
	gNumColors
	global141 =  1
	global142
	global143
	gStartingRoom
)
(procedure (HandsOff)
	(User canControl: 0 canInput: 0)
	(gEgo setMotion: 0)
	(gGame setCursor: gLoadingCursor 1)
)

(procedure (HandsOn)
	(User canControl: 1 canInput: 1)
	(gEgo setMotion: 0)
	(gGame setCursor: gNormalCursor (HaveMouse))
)

(procedure (DisposePrintDlg)
	(if gDialog (gDialog dispose:))
)

(procedure (proc0_4 param1)
	(return (> (MemoryInfo 0) param1))
)

(procedure (DecideSound param1)
	(return
		(if (or (< gSoundDriver 4) (== gSoundDriver 12))
			(+ param1 200)
		else
			param1
		)
	)
)

(procedure (PrintOK)
	(Print 0 12 #time 2)
)

(procedure (PrintItIs)
	(Print 0 13)
)

(procedure (PrintYouAre)
	(Print 0 14)
)

(procedure (PrintNotNow)
	(Print 0 15)
)

(procedure (PrintNotCloseEnough)
	(Print 0 16)
)

(procedure (PrintAlreadyTookIt)
	(Print 0 17)
)

(procedure (PrintSeeNothing)
	(Print 0 18)
)

(procedure (PrintCantDoThat)
	(Print 0 19)
)

(procedure (PrintDontHave)
	(Print 0 20)
)

(procedure (PrintDontNeed)
	(Print 0 21)
)

(procedure (PrintDontSee)
	(Print 0 22)
)

(procedure (PrintBadIdea)
	(Print 0 23)
)

(procedure (PrintCantAfterAll)
	(Print 0 24)
)

(instance iceKeyDownHandler of EventHandler
	(properties)
)

(instance iceDirectionHandler of EventHandler
	(properties)
)

(instance iceMouseDownHandler of MDH
	(properties)
)

(instance iceMouseSays of Code
	(properties)
	
	(method (doit param1 param2)
		(Parse {look} param2)
	)
)

(instance iceMan of Game
	(properties)
	
	(method (init &tmp temp0)
		(= gIceWindow iceWindow)
		(super init:)
		(= gNumColors (Graph grGET_COLOURS))
		(= gSoundDriver (DoSound sndCHECK_DRIVER))
		(= gVersion {x.yyy})
		((= gIceGlobalSound iceGlobalSound) init: owner: self)
		((= gIceKeyDownHandler iceKeyDownHandler) add:)
		((= gIceMouseDownHandler iceMouseDownHandler)
			add: gCast gFeatures
			shiftParser: iceMouseSays
		)
		((= gIceDirectionHandler iceDirectionHandler) add:)
		(User alterEgo: (= gEgo ego))
		(= gMaxScore 300)
		(MenuBar init: draw: hide:)
		(SL code: statusCode disable:)
		(gInv add: Envelope Microfilm ID_Card)
		(self setCursor: gCursor 1 304 172)
		(= gStartingRoom (if (GameIsRestarting) 2 else 100))
		(self newRoom: 99)
	)
	
	(method (newRoom)
		(super newRoom: &rest)
		(if (or (User canInput?) (User controls?))
			(self setCursor: gNormalCursor (HaveMouse))
		else
			(self setCursor: gLoadingCursor 1)
		)
	)
	
	(method (startRoom param1)
		(gEgo observeControl: -32768)
		((ScriptID 818) doit: param1)
		(if gDebug (SetDebug))
		((ScriptID 819) doit: param1)
		(super startRoom: param1 &rest)
		(if
			(and
				(gCast contains: gEgo)
				(not (gEgo looper?))
				(not (proc999_5 param1 8 15 16 27 39 40))
			)
			(gEgo setLoop: Grooper)
		)
		(if
		(and (gCast contains: gEgo) (not (gEgo view?)))
			(gEgo view: 200)
		)
	)
	
	(method (handleEvent pEvent &tmp gInvSaidMe [temp1 3])
		(switch (pEvent type?)
			(evKEYBOARD
				(gIceKeyDownHandler handleEvent: pEvent)
			)
			(evMOUSEBUTTON
				(gIceMouseDownHandler handleEvent: pEvent)
			)
			(evJOYSTICK
				(gIceDirectionHandler handleEvent: pEvent)
			)
			(evSAID
				(cond 
					((super handleEvent: pEvent))
					((Said 'quit[<!*][/!*][/!*]') (= gQuit 1))
					((Said 'holler') (Print 0 0))
					((Said 'break') (PrintDontNeed))
					((Said 'eat>')
						(cond 
							((Said '/*') (PrintBadIdea))
							((Said '[/!*]') (Print 0 1))
						)
					)
					((Said 'ask/[/!*]') (Print 0 2))
					((Said 'examine>')
						(if (Said '[/!*]')
							(Print 0 3)
						else
							(pEvent claimed: 1)
							(PrintSeeNothing)
						)
					)
					((Said 'look<up,down') (PrintSeeNothing))
					((Said 'walk') (Print 0 4))
					((Said 'address') (Print 0 5))
					((Said 'whistle') (Print 0 6))
					((Said 'thank[/ya]') (Print 0 7))
					(
					(and (Said '/*>') (= gInvSaidMe (gInv saidMe:)))
						(pEvent claimed: 0)
						(cond 
							((gInvSaidMe ownedBy: gEgo)
								(cond 
									((Said 'look[<at]') (gInvSaidMe showSelf:))
									((Said '*') (PrintCantDoThat))
								)
							)
							((gInvSaidMe ownedBy: gCurRoomNum)
								(if (Said 'get')
									(PrintCantDoThat)
								else
									(PrintDontHave)
								)
							)
							(else (PrintDontSee))
						)
						(pEvent claimed: 1)
					)
					((Said 'get,give') (PrintCantDoThat))
					((Said 'look[<at]') (PrintSeeNothing))
				)
				(if (and (not (pEvent claimed?)) (>= argc 2))
					(PrintCantAfterAll)
				)
			)
		)
	)
)

(instance statusCode of Code
	(properties)
	
	(method (doit param1)
		(Format param1 0 8 gScore gMaxScore)
	)
)

(instance ego of Ego
	(properties)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent &rest))
			((Said 'look//*<for') (Print 0 9))
		)
	)
)

(instance Envelope of InvI
	(properties
		said '/envelope'
		view 321
		value 1
	)
)

(instance Microfilm of InvI
	(properties
		said '/film'
		view 313
		loop 1
		value 5
	)
)

(instance ID_Card of InvI
	(properties
		said '/id,card[<id]'
		view 300
		value 1
		name "ID Card"
	)
	
	(method (showSelf)
		(if (== view 372)
			(Print 0 10 #icon view loop cel)
		else
			(Print 0 11 #icon view loop cel)
		)
	)
)

(instance iceWindow of SysWindow
	(properties
		top 20
	)
)

(instance iceGlobalSound of Sound
	(properties
		number 1
	)
)
