;;; Sierra Script 1.0 - (do not remove this comment)
(script# 393)
(include sci.sh)
(use Main)
(use Class_255_0)
(use Submarine_806)
(use n821)
(use Cycle)
(use User)
(use Obj)

(public
	climbLadderScript 0
)

(instance climbLadderScript of Script
	(properties)
	
	(method (init)
		(super init: &rest)
		(User mapKeyToDir: 0)
		(gIceKeyDownHandler add: self)
	)
	
	(method (dispose)
		(gIceKeyDownHandler delete: self)
		(User mapKeyToDir: 1)
		(super dispose:)
		(DisposeScript 393)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo
					setLoop: 6
					illegalBits: 0
					setMotion: MoveTo 298 (gEgo y?) self
				)
			)
			(1
				(gEgo
					view: 238
					setLoop: 0
					heading: 0
					setMotion: MoveTo 298 52 self
				)
			)
			(2
				(User canInput: 1)
				(Print 393 0)
			)
			(3
				(User canInput: 0)
				(gEgo setMotion: MoveTo 298 42 self)
			)
			(4 (gRoom newRoom: 28))
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			(
				(and
					(== (pEvent type?) evKEYBOARD)
					(== (pEvent message?) KEY_NUMPAD2)
				)
				(gEgo setScript: (ScriptID 391))
			)
			((super handleEvent: pEvent))
			((Said 'open/hatch')
				(if (> (Submarine depth:) 20)
					(proc821_0 926 3 0 393 1)
				else
					(self cue:)
				)
			)
			((Said '[go,climb]<down') (gEgo setScript: (ScriptID 391)))
		)
	)
)
