;;; Sierra Script 1.0 - (do not remove this comment)
(script# 342)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n396)
(use Submarine_806)
(use n821)
(use Obj)

(public
	coontz 0
)

(local
	local0
	local1 =  1
	local2
)
(instance coontz of Script
	(properties)
	
	(method (doit)
		(if
			(and
				(not script)
				(proc999_5 state 3 2)
				(not (-- local0))
			)
			(self setScript: pingedWrong)
		)
		(if local2 (-- local2))
		(if (and (& (Submarine flags?) $0080) local1)
			(= local2 20)
			(= local1 0)
		)
		(if
			(and
				(proc999_5 state 3 2)
				local2
				(not (& (Submarine flags?) $0080))
			)
			(self cue:)
		)
		(if
			(and
				(not script)
				(== local1 0)
				(not local2)
				(& (Submarine flags?) $0080)
			)
			(self setScript: pingedWrong)
		)
		(super doit:)
	)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 342)
		(DisposeScript 396)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				((ScriptID 27 4) posn: 83 75)
				(Submarine
					longitude: 12
					latitude: 36
					depth: 500
					absHeading: 45
					hSpeed: 20
				)
				(= seconds 10)
			)
			(1
				(Print 342 3)
				(proc396_0 4 342 4)
				(= seconds 5)
			)
			(2
				(proc396_0 4 342 5)
				(= local0 300)
				(= seconds 5)
			)
			(4 (= seconds 3))
			(5
				(proc396_0 3 342 6)
				(= seconds 4)
			)
			(6
				(proc396_0 3 342 7)
				(= seconds 4)
			)
			(7
				(proc396_0 3 342 8)
				(= seconds 4)
			)
			(8
				(proc396_0 4 342 9)
				(= seconds 5)
			)
			(9
				(proc396_0 4 342 10)
				(= seconds 5)
			)
			(10
				(gGame changeScore: 5)
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((== (pEvent type?) 1024)
				(switch (pEvent message?)
					(JOY_NULL
						(proc396_0 5 342 0)
						(self setScript: firedOnCoontz)
					)
					(JOY_UP (proc396_0 5 342 1))
					(JOY_UPRIGHT
						(proc396_0 5 342 2)
						(self setScript: firedOnCoontz)
					)
				)
			)
		)
	)
)

(instance pingedWrong of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(proc396_0 4 342 11)
				(= seconds 5)
			)
			(1
				(proc396_0 5 342 12)
				(= seconds 6)
			)
			(2 (proc821_0 7 0 0 342 13))
		)
	)
)

(instance firedOnCoontz of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= seconds 4))
			(1 (proc821_0 926 1 0 342 14))
		)
	)
)
