;;; Sierra Script 1.0 - (do not remove this comment)
(script# 368)
(include sci.sh)
(use Main)
(use volleyRm)
(use Cycle)
(use User)
(use Feature)
(use Obj)

(public
	cprEndScript 0
)

(instance Doctor of Act
	(properties
		y 124
		x 330
		view 303
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/doc,man]>')
				(cond 
					((Said 'look[<at]') (proc3_7 368 0))
					((Said 'address') (proc3_7 368 1))
					((Said 'thank') (proc3_7 368 2))
				)
			)
		)
	)
)

(instance cprEndScript of Script
	(properties)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 368)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(proc3_7 368 3)
				(proc3_7 368 4)
				(proc3_7 368 5)
				(proc3_7 368 6)
				(gEgo setLoop: 1 cycleSpeed: 3 setCycle: Fwd)
				(= seconds 10)
			)
			(1
				(gEgo setLoop: 0 setCel: 0 setCycle: CT 3 1)
				(= seconds 2)
			)
			(2
				(proc3_7 368 7)
				(gEgo setCel: 3 setCycle: Beg self)
			)
			(3
				(gEgo setLoop: 1 cycleSpeed: 3 setCycle: Fwd)
				(= seconds 10)
			)
			(4
				(gEgo cycleSpeed: 0 setCycle: Beg self)
			)
			(5
				(proc3_7 368 8)
				(= seconds 3)
			)
			(6
				(Doctor
					init:
					illegalBits: 0
					setCycle: Walk
					setMotion: MoveTo 248 124 self
				)
			)
			(7
				(Doctor setLoop: 4 setCel: 0 setCycle: End self)
			)
			(8
				(Doctor setLoop: 6 setCel: 0 setCycle: End self)
			)
			(9
				(proc3_7 368 9)
				(Doctor setLoop: 7 cycleSpeed: 3 setCycle: Fwd)
				(= seconds 5)
			)
			(10
				(Doctor
					setLoop: 6
					setCel: 5
					cycleSpeed: 0
					setCycle: Beg self
				)
			)
			(11
				(proc3_7 368 10)
				(proc3_7 368 11)
				(= cycles 2)
			)
			(12
				(proc3_7 368 12)
				(proc3_7 368 13)
				(gEgo setLoop: 2 setCycle: End self)
			)
			(13
				(gRoom notify: 3 1)
				(Doctor setLoop: 5 setCel: 5 setCycle: Beg self)
			)
			(14
				(Doctor
					setLoop: -1
					setCycle: Walk
					setMotion: MoveTo 350 (Doctor y?) self
				)
			)
			(15
				(User canInput: 1)
				(Doctor dispose:)
				(gEgo
					view: 200
					setLoop: -1
					posn: 240 121
					setCycle: Walk
					heading: 180
				)
				(gEgo cel: 2)
				(DirLoop gEgo (gEgo heading?))
				((ScriptID 3 2)
					init:
					setCycle: Walk
					view: 203
					setLoop: -1
					posn: 246 122
					heading: 270
				)
				(DirLoop (ScriptID 3 2) ((ScriptID 3 2) heading?))
				(proc3_7 368 14)
				(proc3_7 368 15)
				(= seconds 4)
			)
			(16
				((ScriptID 3 2)
					illegalBits: 0
					ignoreActors:
					setMotion: MoveTo 360 ((ScriptID 3 2) y?)
				)
				((ScriptID 3 6)
					illegalBits: 0
					ignoreActors:
					setLoop: -1
					setCycle: Walk
					setMotion: MoveTo 360 ((ScriptID 3 2) y?) self
				)
				(gRoom notify: 3 0)
			)
			(17
				((ScriptID 3 2) dispose:)
				((ScriptID 3 6) dispose:)
				(HandsOn)
				(gRoom notify: 0 0)
				(self dispose:)
			)
		)
	)
)
