;;; Sierra Script 1.0 - (do not remove this comment)
(script# 354)
(include sci.sh)
(use Main)
(use volleyRm)
(use Cycle)
(use User)
(use Feature)
(use Obj)

(public
	cprScript 0
)

(procedure (localproc_000c)
	(gGame changeScore: 1)
)

(instance Doctor of Act
	(properties
		y 124
		x 330
		view 303
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/doc,man]>')
				(cond 
					((Said 'look[<at]') (proc3_7 354 0))
					((Said 'address') (proc3_7 354 1))
					((Said 'thank') (proc3_7 354 2))
				)
			)
		)
	)
)

(instance egoRescueViewer of Code
	(properties)
	
	(method (doit)
		(gEgo
			view: 403
			setLoop: -1
			loop:
				(switch (gEgo onControl: 1)
					(512 8)
					(1024 7)
					(2048 6)
					(4096 5)
					(else 
						(if (>= (gEgo y?) 200) 8 else 4)
					)
				)
		)
	)
)

(instance cprScript of Script
	(properties)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 354)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(proc3_7 354 3)
				((gEgo looper?) dispose:)
				(gEgo
					setAvoider: 0
					posn: 239 240
					view: 403
					viewer: 0
					setLoop: 8
					setCycle: Fwd
					setMotion: MoveTo 239 170 self
				)
				(proc3_7 354 4)
			)
			(1
				(gEgo
					setCycle: Walk
					setMotion: MoveTo 239 122 self
					viewer: (egoRescueViewer doit: yourself:)
				)
			)
			(2
				(gEgo
					viewer: 0
					view: 403
					setLoop: 3
					heading: 180
					setMotion: 0
				)
				((ScriptID 3 1) heading: 270 loop: 1 cel: 0)
				((ScriptID 3 6) heading: 270 loop: 0 cel: 5)
				(= cycles 2)
			)
			(3
				(proc3_7 354 5)
				(gEgo setLoop: 2 setCel: 0 setCycle: Beg)
				(User canInput: 1)
			)
			(4
				(User canInput: 0)
				(proc3_7 354 6)
				(gEgo setLoop: 9 setCel: 0 setCycle: Fwd)
				(localproc_000c)
				(= seconds 2)
			)
			(5
				(gEgo setCycle: Beg)
				(User canInput: 1)
			)
			(6
				(User canInput: 0)
				(proc3_7 354 7)
				((ScriptID 3 1)
					view: 603
					xStep: 6
					setCycle: Walk
					setMotion: MoveTo 340 100
				)
				(proc3_7 354 8)
				(localproc_000c)
				(User canInput: 1)
			)
			(7
				(proc3_7 354 9)
				(proc3_7 354 10)
				(localproc_000c)
			)
			(8
				(proc3_7 354 11)
				(localproc_000c)
			)
			(9
				(gEgo setLoop: 0 setCel: 2 setCycle: End self)
				(proc3_7 354 12)
			)
			(10
				(gEgo setCycle: Beg)
				(proc3_7 354 13)
				(localproc_000c)
			)
			(11
				(User canInput: 0)
				(gEgo setLoop: 0 setCel: 0 setCycle: CT 3 1)
				(= seconds 2)
			)
			(12
				(proc3_7 354 14)
				(gEgo setCycle: Beg)
				(localproc_000c)
				(User canInput: 1)
			)
			(13
				(User canInput: 0)
				(gEgo setLoop: 0 setCel: 0 setCycle: CT 2 1)
				(= seconds 3)
			)
			(14
				(proc3_7 354 15)
				(gEgo setCycle: Beg)
				(localproc_000c)
				(User canInput: 1)
			)
			(15
				(User canInput: 0)
				(= cycles 10)
			)
			(16
				(localproc_000c)
				((ScriptID 3 1) dispose:)
				(gRoom notify: 2)
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent &tmp temp0)
		(= temp0 0)
		(cond 
			((super handleEvent: pEvent))
			(
				(switch state
					(3
						(if
							(or
								(and (Said 'shake>') (Said 'holler'))
								(Said 'shake//holler')
							)
						else
							(Said 'shake<holler')
						)
					)
					(5 (Said 'call[/help][/help]'))
					(6
						(Said 'open,clear,establish/airway,neck')
					)
					(7
						(if
							(or
								(and (Said 'look>') (Said 'listen>') (Said 'feel>'))
								(Said 'look//feel<listen>')
							)
							(Said '[/breath,victim,babe]')
						)
					)
					(8
						(if (Said 'give/breath<2')
						else
							(Said 'give/breath<good/2')
						)
					)
					(10
						(Said 'look,listen,feel[/breath,victim,babe]')
					)
					(12
						(Said 'check[/pulse][/pulse]')
					)
					(14
						(if (Said 'begin/compression') else (Said 'begin/cpr'))
					)
					(else  (= temp0 1))
				)
				(if (not temp0) (self cue:))
			)
			(else (proc3_7 354 16) (pEvent claimed: 1))
		)
	)
)
