;;; Sierra Script 1.0 - (do not remove this comment)
(script# 317)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n822)
(use Sound)
(use Obj)

(public
	earRingFeat 0
)

(instance earRingFeat of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if
		(and (< state 3) (== (taDaSnd prevSignal?) -1))
			(self cue:)
		)
	)
	
	(method (dispose)
		(DisposePrintDlg)
		(HandsOn)
		(super dispose:)
		(DisposeScript 317)
		(DisposeScript 822)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(Print 317 1 #at -1 5)
				(taDaSnd play: self)
				(Print 317 8 #dispose #width 220 #at -1 5)
				(= seconds 6)
			)
			(1
				(Print 317 9 #dispose #width 280 #at -1 5)
			)
			(2
				(Print 317 10 #dispose #width 260 #at -1 5)
			)
			(3
				(gGame changeScore: 1)
				(= global143 2)
				(taDaSnd dispose:)
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look<in,in/earring')
				(cond 
					((gEgo has: 1) (Print 317 0))
					((== global143 1) (proc822_0 gGame self))
					((== global143 2) (Print 317 1))
					(else (Print 317 2))
				)
			)
			((Said 'examine,look[<at]/earring') (Print 317 3))
			(
				(or
					(Said 'open,detach,(get<off)/top')
					(Said 'open/earring')
				)
				(if (> global143 0)
					(PrintItIs)
				else
					(Print 317 4)
					(= global143 1)
				)
			)
			((Said 'get/film')
				(cond 
					((gEgo has: 1) (Print 317 5))
					((== global143 2) (Print 317 6) (gEgo get: 1))
					(else (pEvent claimed: 0))
				)
			)
			((Said 'look/film')
				(cond 
					((gEgo has: 1) (pEvent claimed: 0))
					((== global143 2) (Print 317 7))
					(else (pEvent claimed: 0))
				)
			)
		)
		(if (not client) (DisposeScript 317))
	)
)

(instance taDaSnd of Sound
	(properties
		number 99
		priority 10
	)
)
