;;; Sierra Script 1.0 - (do not remove this comment)
(script# 24)
(include sci.sh)
(use Main)
(use Class_255_0)
(use SoundSyncWave)
(use n954)
(use n958)
(use RFeature)
(use Game)
(use Feature)

(public
	eastBeachRm 0
)

(instance eastBeachRm of Rm
	(properties
		picture 24
		east 16
		south 16
		west 13
	)
	
	(method (init)
		(super init:)
		(proc958_0 128 24 703)
		(gEgo init:)
		(self setFeatures: rocks building setRegions: 301 300)
		(wave init: gIceGlobalSound setPri: 3)
		((ScriptID 301) notify: 0 wave 189 139 4 45 145 4)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at,around][/room,scene]') (Print 24 0))
		)
	)
)

(instance rocks of Feature
	(properties
		y 70
		x 240
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/rock]>')
				(cond 
					((Said 'look[<at]') (Print 24 1))
					((Said 'climb') (PrintDontNeed))
				)
			)
		)
	)
)

(instance wave of SoundSyncWave
	(properties
		y 149
		x 117
		view 703
		loop 2
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/wave]>')
				(cond 
					((Said 'look[<at]') (Print 24 2))
					((Said 'swim') (PrintDontNeed))
				)
			)
		)
	)
)

(instance wave2 of SoundSyncWave
	(properties
		y 120
		x 275
		view 24
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/wave]>')
				(cond 
					((Said 'look[<at]') (Print 24 2))
					((Said 'swim') (PrintDontNeed))
				)
			)
		)
	)
)

(instance building of RFeature
	(properties
		y 20
		x 28
		nsBottom 41
		nsRight 57
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/building,room]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 24 3))
					((Said 'enter') (PrintDontNeed))
				)
			)
			((Said 'look<in/shutter') (Print 24 4))
		)
	)
)
