;;; Sierra Script 1.0 - (do not remove this comment)
(script# 31)
(include sci.sh)
(use Main)
(use Class_255_0)
(use subMarine)
(use n316)
(use n824)
(use n828)
(use n954)
(use n958)
(use RFeature)
(use n982)
(use Avoid)
(use Sound)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	egosQuartersRm 0
)

(local
	[local0 55] = [0 0 0 0 0 0 0 0 {} {DESTROY} {COONTZ} {DEGREE} {COURSE} {SHIP} {LATITUDE} {RUSSIAN} {REDWOOD} {4100} {TACTIC} {WAR} {STEER} {DIRECTLY} {ARIZONA} {OCEAN} {} {destroy} {coontz} {degree} {course} {ship} {latitude} {russian} {redwood} {4100} {tactic} {war} {steer} {directly} {arizona} {ocean}]
	local55
	local56
	local57
	[local58 15]
)
(instance egosQuartersRm of Rm
	(properties
		picture 31
		west 25
		vanishingX 150
		vanishingY 10
	)
	
	(method (init)
		(super init:)
		(HandsOff)
		(= local56 (Random 0 1))
		(gEgo init: observeControl: 2 view: 232 setPri: -1)
		(if (== gPrevRoomNum 23)
			(gEgo
				posn: 295 115
				heading: 270
				loop: 1
				setScript: justGotOnSubScript
			)
		else
			(gEgo
				posn: 23 119
				heading: 90
				loop: 0
				setMotion: MoveTo 72 119
			)
		)
		(proc958_0 128 31 431)
		(map init:)
		(wallPic init:)
		(gAddToPics doit:)
		(entryDoor init: ignoreActors: 1 stopUpd:)
		(bathDoor init: cel: 0 stopUpd: ignoreActors: 1)
		(proc316_0 gCurRoomNum 14 13)
		(computer init:)
		(credenza init: setPri: 5 stopUpd:)
		(codeBook init: cel: (if (gEgo has: 14) 1 else 0))
		(microMeterView init:)
		(drawerView init: hide:)
		(self
			setRegions: 314
			setFeatures:
				bunk
				purpleThing
				desk
				drawer
				closet
				couch
				table
				nightstand
				((Clone couch)
					x: 129
					y: 130
					z: 0
					nsLeft: 113
					nsTop: 120
					nsRight: 145
					nsBottom: 140
					yourself:
				)
		)
		(proc824_0)
	)
	
	(method (dispose)
		(gEgo ignoreControl: 2)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at,around][/room,scene]')
				(if
				(and (> (gEgo x?) (bathDoor x?)) (< (gEgo y?) 120))
					(Print 31 0)
				else
					(Print 31 1)
					(Print 31 2)
				)
			)
		)
	)
)

(instance justGotOnSubScript of Script
	(properties
		seconds 3
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(1
				(bathDoor setCycle: End self)
			)
			(2
				(HandsOff)
				(Print 31 3 #time 5 #at -1 20 #dispose)
				(gEgo ignoreControl: 2 setMotion: MoveTo 245 115 self)
			)
			(3
				(bathDoor setCycle: Beg self)
			)
			(4
				(gEgo observeControl: 2)
				(HandsOn)
				(self dispose:)
			)
		)
	)
)

(instance entryDoor of Prop
	(properties
		y 114
		x 36
		view 31
		loop 2
	)
	
	(method (doit)
		(super doit:)
		(if (and (== (gEgo onControl: 1) 4) (not script))
			(HandsOff)
			(self setScript: entryDoorScript)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 31 4))
					((Said 'close') (PrintItIs))
					((> (gEgo x?) (bathDoor x?)))
					((proc954_0 self pEvent 55 123 'open' 31 5))
					((Said 'open') (HandsOff) (self setScript: entryDoorScript))
				)
			)
		)
	)
)

(instance entryDoorScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (client setCycle: End self))
			(1
				(if (> (gEgo x?) (client x?))
					(= register -1)
				else
					(= register 1)
				)
				(gEgo
					setAvoider: Avoid
					setPri: 8
					setMotion: MoveTo (+ (gEgo x?) (* 35 register)) (gEgo y?) self
				)
			)
			(2
				(client setCycle: Beg self)
				(HandsOn)
			)
			(3
				(gEgo setPri: -1)
				(if (< (gEgo x?) (client x?))
					(DisposePrintDlg)
					(gRoom newRoom: (gRoom west?))
				else
					(client stopUpd:)
					(self dispose:)
				)
			)
		)
	)
)

(instance bathDoor of Prop
	(properties
		y 117
		x 279
		view 31
		loop 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door<bathroom]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 31 6))
					((Said 'close') (PrintItIs))
					(
						(and
							(< (gEgo x?) x)
							(proc954_0 self pEvent stupidAvoider 3 'open' 31 5)
						)
					)
					((and (>= (gEgo x?) x) (Said 'open')) (self setScript: bathDoorScript))
					((Said 'open') (self setScript: bathDoorScript))
				)
			)
		)
	)
	
	(method (cue)
		(self stopUpd:)
	)
)

(instance egosInBathRoom of Script
	(properties)
	
	(method (handleEvent pEvent)
		(cond 
			((Said 'look[<at,around][/room]') (Print 31 7) (Print 31 8))
			((Said 'look/sink') (Print 31 9))
			(
				(or
					(Said 'use/sink')
					(Said 'wash[/hand]')
					(Said 'turn<on/water')
				)
				(Print 31 10)
			)
			((Said 'look/mirror') (Print 31 11))
			((Said 'comb/hair') (Print 31 12))
			((Said 'look/shower') (Print 31 13))
			((Said '(turn<on),use,get/shower') (Print 31 14))
			((Said 'look/light')
				(Print 31 15)
				(Print 31 16)
				(Print 31 17)
				(if local56 (Print 31 18) else (Print 31 19))
			)
			((Said 'look/toilet') (Print 31 15) (Print 31 16) (Print 31 20))
			((Said 'flush[/toilet]')
				(cond 
					(local55
						(= local55 0)
						(flushNoise play:)
						(Print 31 21)
						(Print 31 22)
						(gGame changeScore: -3)
					)
					(local56 (Print 31 23) (= local56 (Random 0 1)) (= local55 1))
					(else (Print 31 24) (= local56 (Random 0 1)))
				)
			)
			((Said 'sit,use/toilet,bathroom') (Print 31 25))
			((or (Said 'leak') (Said 'get//leak')) (Print 31 26))
			((or (Said 'crap') (Said 'get//crap')) (Print 31 27))
			((Said 'get/*') (Print 31 28))
			((Said 'look/*') (Print 31 29))
			((Said 'open[/door]>') (bathDoor handleEvent: pEvent))
			((Said '*') (Print 31 30))
		)
	)
)

(instance flushNoise of Sound
	(properties
		number 49
		priority 2
	)
)

(instance bathDoorScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(client setCycle: End self)
			)
			(1
				(= register (< (gEgo x?) (client x?)))
				(gEgo
					illegalBits: 0
					setMotion: MoveTo (if register 298 else 253) 117 self
				)
			)
			(2
				(client setCycle: Beg client)
				(HandsOn)
				(gEgo
					observeControl: 2 -32768
					setScript: (if (> (gEgo x?) (client x?)) egosInBathRoom else 0)
				)
				(self dispose:)
			)
		)
	)
)

(instance codeBook of View
	(properties
		y 71
		x 240
		view 431
		loop 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/book[<code,decode]]>')
				(cond 
					((Said 'read')
						(if (gEgo has: 14)
							((gInv at: 14) showSelf:)
						else
							(pEvent claimed: 0)
						)
					)
					((not (credenza cel?)))
					(
					(and cel (not (pEvent modifiers?)) (Said 'look[<at]')) (pEvent claimed: 0))
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (if cel (Print 31 31) else (Print 31 32)))
					((proc954_0 self pEvent 235 115 'get' 31 5))
					((Said 'get')
						(if (proc316_1 gCurRoomNum 14)
							(gEgo setScript: getBookScript)
						else
							(PrintAlreadyTookIt)
						)
					)
				)
			)
		)
	)
)

(instance getBookScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo view: 131 loop: 0 setCycle: End self)
			)
			(1
				(Print 31 33)
				(gEgo get: 14)
				(codeBook cel: 1 forceUpd:)
				(gEgo setCycle: Beg self)
			)
			(2
				(HandsOn)
				(gEgo view: 232 loop: 3 setCycle: Walk)
			)
		)
	)
)

(instance putBookScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (not (credenza cel?))
					(credenza setCycle: End self)
				else
					(= cycles 1)
				)
			)
			(1
				(HandsOff)
				(gEgo view: 131 loop: 0 setCycle: End self)
			)
			(2
				(Print 31 34)
				(gEgo put: 14 gCurRoomNum)
				(codeBook cel: 0 forceUpd:)
				(gEgo setCycle: Beg self)
			)
			(3
				(HandsOn)
				(gEgo view: 232 loop: 3 setCycle: Walk)
			)
		)
	)
)

(instance wallPic of RPicView
	(properties
		y 113
		x 298
		view 31
		cel 1
		priority 9
		signal $0010
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((proc954_1 self pEvent 'look[<at]/painting'))
			((Said 'look[<at][/wall,painting]') (Print 31 35))
		)
	)
)

(instance map of RPicView
	(properties
		y 90
		x 102
		view 31
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((proc954_1 self pEvent 'look[<at]/map'))
			((Said 'look[<at][/map]') (Print 31 36))
			((Said 'move/map,painting') (PrintDontNeed))
		)
	)
)

(instance purpleThing of RFeature
	(properties
		y 81
		x 249
		nsTop 78
		nsLeft 243
		nsBottom 84
		nsRight 256
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
			(proc954_1 self pEvent 'look[<at]/thing[<purple]'))
			((Said 'look[<at]/thing<purple') (Print 31 37))
			((Said 'look[<at][/thing]') (Print 31 38))
		)
	)
)

(instance desk of RFeature
	(properties
		y 81
		x 249
		nsTop 89
		nsLeft 214
		nsBottom 111
		nsRight 265
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((proc954_1 self pEvent 'look[<at]/desk'))
			((Said 'look[<at][/desk]') (Print 31 39))
		)
	)
)

(instance bunk of RFeature
	(properties
		y 155
		x 256
		nsTop 138
		nsLeft 207
		nsBottom 169
		nsRight 312
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((proc954_1 self pEvent 'look[<at]/bunk,bed'))
			((Said 'look[<at][/bunk,bed]') (Print 31 40))
			((Said 'look<below/bunk,bed') (Print 31 41))
			((Said 'sit[<on,down][/bed,bunk]') (Print 31 42))
		)
	)
)

(instance drawer of RFeature
	(properties
		y 100
		x 239
		nsTop 89
		nsLeft 214
		nsBottom 111
		nsRight 265
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/drawer]>')
				(cond 
					((proc954_1 self pEvent 'look[<at,in]/*'))
					((Said 'look[<at,in]')
						(Print 31 43)
						(cond 
							(
							(or (> (gEgo distanceTo: self) 40) (not local57)) 0)
							((& (drawerView signal?) $0008)
								(drawerView show:)
								(if (proc316_1 gCurRoomNum 13)
									(Print 31 44)
								else
									(Print 31 45)
								)
							)
							((proc316_1 gCurRoomNum 13) (Print 31 44))
							(else (Print 31 45))
						)
					)
					((proc954_0 self pEvent 239 120 0 31 5))
					((Said 'open')
						(gEgo heading: 0)
						((gEgo looper?) doit: gEgo (gEgo heading?))
						(drawerView show:)
						(if (proc316_1 gCurRoomNum 13)
							(Print 31 46)
						else
							(Print 31 47)
						)
						(= local57 1)
					)
					((Said 'close')
						(gEgo heading: 0)
						((gEgo looper?) doit: gEgo (gEgo heading?))
						(drawerView hide:)
						(= local57 0)
					)
				)
			)
		)
	)
)

(instance drawerView of View
	(properties
		y 38
		x 238
		view 431
		cel 1
	)
	
	(method (doit)
		(if (proc982_1 self gEgo) (self hide:))
		(super doit:)
	)
	
	(method (hide)
		(super hide: &rest)
		(= signal (| signal $0100))
		(microMeterView hide:)
	)
	
	(method (show)
		(super show: &rest)
		(= signal (& signal $feff))
		(if (proc316_1 gCurRoomNum 13) (microMeterView show:))
	)
)

(instance microMeterView of View
	(properties
		y 79
		x 239
		z 52
		view 431
		cel 2
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((not local57))
			((proc954_1 self pEvent 'look[<at]/caliper'))
			(
			(proc954_0 self pEvent 239 120 'get,adjust/caliper' 31 5))
			((Said 'get/caliper')
				(if (proc316_1 gCurRoomNum 13)
					(self hide:)
					(gEgo get: 13)
					(proc828_0 subMarine 406 1 1)
				else
					(PrintAlreadyTookIt)
				)
			)
			((Said 'adjust/caliper[<in][/drawer]')
				(if (gEgo has: 13)
					(gEgo put: 13 gCurRoomNum)
					(if (not (& (drawerView signal?) $0008)) (self show:))
				else
					(PrintDontHave)
				)
			)
		)
	)
)

(instance credenza of Prop
	(properties
		y 94
		x 214
		z 40
		view 31
		loop 3
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
			(Said '[/bookcase,bookcase,shelf,briefcase<[book]]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]')
						(cond 
							((not cel) (Print 31 48))
							((gEgo has: 14) (Print 31 31))
							(else (Print 31 32))
						)
					)
					((proc954_0 self pEvent 235 115 0 31 5))
					((Said 'open') (if cel (PrintItIs) else (self setCycle: End self)))
					((Said 'close') (if cel (self setCycle: Beg self) else (PrintItIs)))
				)
			)
			((Said '/book>')
				(cond 
					((not (gEgo has: 14)))
					((proc954_1 self pEvent 'adjust'))
					((proc954_0 self pEvent 235 115 'adjust' 31 5))
					((Said 'adjust') (gEgo setScript: putBookScript))
				)
			)
		)
	)
	
	(method (cue)
		(self stopUpd:)
	)
)

(instance computer of Prop
	(properties
		y 91
		x 232
		view 31
		cel 3
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/computer]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 31 49))
					((proc954_0 self pEvent 232 115 0 31 5))
					((Said 'use,(turn<on)/*')
						(if script
							(Print 31 50)
						else
							(computer setScript: (ScriptID 386))
						)
					)
				)
			)
			((Said 'decode') (Print 31 51))
		)
	)
)

(instance closet of RFeature
	(properties
		y 83
		x 190
		nsTop 54
		nsLeft 167
		nsBottom 113
		nsRight 214
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/closet,cabinet]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 31 52))
					((Said 'unlock,open,(look<in)') (Print 31 53))
					((Said 'close') (PrintItIs))
				)
			)
		)
	)
)

(instance couch of RFeature
	(properties
		y 158
		x 103
		nsTop 141
		nsLeft 61
		nsBottom 176
		nsRight 145
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/couch]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 31 54))
					((Said 'sit[<down,on][/couch]') (Print 31 42))
				)
			)
		)
	)
)

(instance table of RFeature
	(properties
		y 132
		x 76
		nsTop 124
		nsLeft 56
		nsBottom 140
		nsRight 96
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/table]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 31 55))
					((Said 'look<below') (Print 31 56))
				)
			)
		)
	)
)

(instance nightstand of RFeature
	(properties
		y 127
		x 277
		nsTop 117
		nsLeft 261
		nsBottom 137
		nsRight 294
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/dresser]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 31 57))
					((Said 'open') (PrintDontNeed))
					((Said 'close') (PrintItIs))
				)
			)
		)
	)
)

(instance stupidAvoider of Feature
	(properties
		y 117
		x 253
	)
)
