;;; Sierra Script 1.0 - (do not remove this comment)
(script# 37)
(include sci.sh)
(use Main)
(use Class_255_0)
(use subMarine)
(use n315)
(use n824)
(use n828)
(use Approach)
(use n954)
(use RFeature)
(use n982)
(use Avoid)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	engineRm 0
)

(local
	local0
	local1
	local2
	[local3 3]
)
(procedure (localproc_000c param1 param2 &tmp [temp0 40])
	(= temp0 0)
	(if (> argc 1) (Format @temp0 37 0 param2))
	(return
		(if (EditPrint @temp0 10 param1)
			(ReadNumber @temp0)
		else
			-1
		)
	)
)

(procedure (localproc_0046)
	(Print 37 1)
)

(instance engineRm of Rm
	(properties
		picture 37
		north 38
		east 36
	)
	
	(method (init)
		(Load rsVIEW 37)
		(Load rsVIEW 232)
		(Load rsSOUND 3)
		(super init:)
		(gIceGlobalSound
			number: 3
			owner: gGame
			priority: 1
			loop: -1
			play:
		)
		(driveShaft init:)
		(gauge init:)
		(diveUnitDoor loop: (if (gEgo has: 6) 7 else 3) init:)
		(drawer init:)
		(drawerInset init:)
		(gEgo init:)
		(gAddToPics add: doorPV eachElementDo: #init doit:)
		(proc824_0)
		(switch gPrevRoomNum
			(north
				(gEgo view: 232 posn: 30 67 setScript: downLadderScript)
				(if (gEgo has: 6)
					(diveUnitDoor setScript: hasDiverScript)
				)
			)
			(else  (gEgo posn: 310 110))
		)
		(self
			setRegions: 314
			setFeatures:
				ladderF
				backLadderF
				transD1
				transD2
				turbine
				generator
				engine
				pump
				whiteTank
				greyTank
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look>')
				(cond 
					((Said '[<at,around][/room,scene]') (Print 37 2) (Print 37 3) (Print 37 4))
					((Said '/pipe<green') (Print 37 5))
					((Said '/pipe<red') (Print 37 6))
					((Said '/pipe<blue') (Print 37 7))
					((Said '/pipe<purple') (Print 37 8))
					((Said '/pipe[<!*]') (Print 37 9))
					((Said '/pipe<*') (Print 37 10))
				)
			)
			((Said 'cycle/equipment') (Print 37 11))
		)
	)
)

(instance driveShaft of Prop
	(properties
		y 121
		x 62
		view 37
		loop 1
		priority 14
		signal $0010
	)
	
	(method (init)
		(super init:)
		(if (> global132 0)
			(self setCycle: Fwd)
		else
			(self stopUpd:)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/shaft<drive]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 12))
					((Said 'examine') (Print 37 13))
				)
			)
		)
	)
)

(instance gauge of Prop
	(properties
		y 111
		x 172
		view 37
		priority 14
		signal $4010
	)
	
	(method (init)
		(super init:)
		(if (> global132 0)
			(self setCycle: Fwd)
		else
			(self stopUpd:)
		)
	)
)

(instance doorPV of RPicView
	(properties
		y 63
		x 274
		view 37
		loop 2
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 14))
					((Said 'open,close') (PrintCantDoThat))
				)
			)
		)
	)
)

(instance diveUnitDoor of Prop
	(properties
		y 93
		x 90
		z 15
		view 37
		priority 4
		signal $4010
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
			(Said '[/door,bulkhead,wall,compartment,cabinet]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]')
						(cond 
							((not cel) (Print 37 15))
							((not (gEgo has: 6)) (Print 37 16))
							(else (Print 37 17))
						)
						(Print 37 18)
					)
					((proc954_0 self pEvent self 5 0 37 19))
					((Said 'open') (if cel (PrintItIs) else (self setCycle: End)))
					((Said 'close') (if cel (self setCycle: Beg) else (PrintItIs)))
					((Said 'look[<in]')
						(cond 
							((not cel) (Print 37 20))
							((gEgo has: 6) (Print 37 21))
							(else (Print 37 22))
						)
					)
				)
			)
			((Said '[/button]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 23))
					(
					(proc954_0 self pEvent self 3 'push,press/*' 37 19))
					((Said 'push,press') (if cel (self setCycle: Beg) else (self setCycle: End)))
				)
			)
			((Said '/diver,vehicle[<dive]>')
				(cond 
					((gEgo has: 6) (if (Said 'cycle,fix,repair') (Print 37 24)))
					((proc954_1 self pEvent 'get[<!*]/*'))
					(
					(proc954_0 self pEvent self 5 'get[<!*]/*' 37 19))
					((Said 'get[<!*]/*')
						(if (not cel)
							(Print 37 25)
						else
							(gEgo get: 6)
							(self setLoop: 7 setScript: hasDiverScript)
						)
					)
				)
			)
		)
	)
)

(instance hasDiverScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if (and (== (gEgo onControl: 1) 2) (== state 0))
			(self cue:)
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0)
			(1
				(HandsOff)
				(Print 37 26)
				(gEgo
					setAvoider: Avoid
					setMotion: Approach diveUnitDoor 5 self
				)
			)
			(2
				(if (not (diveUnitDoor cel?))
					(diveUnitDoor setCycle: End self)
				else
					(= cycles 1)
				)
			)
			(3
				(diveUnitDoor setLoop: 3)
				(= cycles 15)
			)
			(4
				(diveUnitDoor setCycle: Beg self)
			)
			(5
				(gEgo put: 6 setAvoider: 0)
				(HandsOn)
				(client setScript: 0)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/diver,vehicle[<dive]]>')
				(cond 
					((Said 'examine,check')
						(Print 37 27)
						(if
							(or
								(& (subMarine roomFlags?) $0040)
								(& (subMarine roomFlags?) $0080)
							)
							(Print 37 28)
						else
							(Print 37 29)
						)
					)
					((Said 'get[<!*]/*') (PrintAlreadyTookIt))
					((Said 'return,(adjust<away)') (self cue:) (pEvent claimed: 1))
				)
			)
			((Said 'examine,check/vibration')
				(if
					(and
						(not (& (subMarine roomFlags?) $0040))
						(not (& (subMarine roomFlags?) $0080))
					)
					(Print 37 30)
				else
					(Print 37 31)
				)
			)
			((Said 'examine,check/shaft')
				(cond 
					(
						(and
							(not (& (subMarine roomFlags?) $0040))
							(not (& (subMarine roomFlags?) $0020))
						)
						(Print 37 32)
					)
					(
						(and
							(& (subMarine roomFlags?) $0040)
							(& (subMarine roomFlags?) $0020)
						)
						(Print 37 33)
						(if (not (& (subMarine roomFlags?) $0080))
							(Print 37 34)
						)
					)
					((not (& (subMarine roomFlags?) $0040)) (Print 37 35))
					((not (& (subMarine roomFlags?) $0020)) (Print 37 36))
				)
			)
			((Said 'look[<at]/shaft') (Print 37 37))
			((Said 'measure/shaft')
				(if (not (gEgo has: 13))
					(Print 37 38)
				else
					(Print 37 39)
					(proc828_0 subMarine 406 8192 5)
				)
			)
			(
				(or
					(Said 'install,(adjust<on)/washer')
					(Said 'washer<use')
				)
				(cond 
					((& (subMarine roomFlags?) $0020) (Print 37 40))
					((not (gEgo has: 10)) (Print 37 41))
					((== (subMarine invStatus4?) 1) (Print 37 42))
					((> (subMarine invStatus4?) 2) (Print 37 43))
					((& (subMarine roomFlags?) $0040) (Print 37 44))
					(else
						(Print 37 45)
						(subMarine roomFlags: (| (subMarine roomFlags?) $0020))
						(gEgo put: 10)
					)
				)
			)
			((Said 'get,detach,(get<off)/washer')
				(cond 
					((!= ((gInv at: 10) owner?) gRoom) (pEvent claimed: 0))
					((& (subMarine roomFlags?) $0040) (Print 37 46))
					(else
						(Print 37 47)
						(gEgo get: 10)
						(subMarine roomFlags: (& (subMarine roomFlags?) $ffdf))
						(gEgo put: 10 gRoom)
					)
				)
			)
			(
			(or (Said 'install,(adjust<on)/nut') (Said 'nut<use'))
				(cond 
					((& (subMarine roomFlags?) $0040) (Print 37 40))
					((not (gEgo has: 11)) (Print 37 48))
					((== (subMarine invStatus3?) 1) (Print 37 49))
					((> (subMarine invStatus3?) 2) (Print 37 50))
					(else
						(if (& (subMarine roomFlags?) $0020)
							(Print 37 51)
						else
							(Print 37 52)
						)
						(subMarine roomFlags: (| (subMarine roomFlags?) $0040))
						(gEgo put: 11 gRoom)
					)
				)
			)
			((Said 'tighten/nut')
				(cond 
					((not (& (subMarine roomFlags?) $0040)) (pEvent claimed: 0))
					((& (subMarine roomFlags?) $0080) (Print 37 40))
					(
					(and (gEgo has: 16) (== (subMarine invStatus2?) 2))
						(Print 37 53)
						(subMarine roomFlags: (| (subMarine roomFlags?) $0080))
						(gGame changeScore: 3)
					)
					(
					(and (gEgo has: 16) (!= (subMarine invStatus2?) 2)) (Print 37 54))
					(else (Print 37 55))
				)
			)
			((Said 'get,detach,(get<off)/nut')
				(cond 
					((gEgo has: 11) (Print 37 56))
					((!= ((gInv at: 11) owner?) gRoom) (pEvent claimed: 0))
					((not (& (subMarine roomFlags?) $0080))
						(Print 37 57)
						(subMarine roomFlags: (& (subMarine roomFlags?) $ffbf))
						(gEgo get: 11)
					)
					((& (subMarine roomFlags?) $0080)
						(cond 
							((not (gEgo has: 16)) (Print 37 58))
							((!= (subMarine invStatus2?) 2) (Print 37 54))
							(else
								(Print 37 57)
								(subMarine roomFlags: (& (subMarine roomFlags?) $ff7f))
								(subMarine roomFlags: (& (subMarine roomFlags?) $ffbf))
								(gEgo get: 11)
							)
						)
					)
				)
			)
			((Said 'enter/coordinate')
				(if (not (gEgo has: 6))
					(pEvent claimed: 0)
				else
					(= local2 -1)
					(if
						(==
							(= local2
								(localproc_000c {Enter distance to waypoint #1:})
							)
							-1
						)
						(localproc_0046)
						(return)
					else
						(subMarine dist1: local2)
					)
					(= local2 -1)
					(if
						(==
							(= local2
								(localproc_000c {Enter heading to waypoint #1:})
							)
							-1
						)
						(localproc_0046)
						(return)
					else
						(subMarine head1: local2)
					)
					(= local2 -1)
					(if
						(==
							(= local2
								(localproc_000c {Enter distance to waypoint #2:})
							)
							-1
						)
						(localproc_0046)
						(return)
					else
						(subMarine dist2: local2)
					)
					(= local2 -1)
					(if
						(==
							(= local2
								(localproc_000c {Enter heading to waypoint #2:})
							)
							-1
						)
						(localproc_0046)
						(return)
					else
						(subMarine head2: local2)
					)
				)
			)
			(
			(or (Said 'repair,fix/shaft') (Said 'use/wrench')) (Print 37 24))
		)
	)
)

(instance drawer of Prop
	(properties
		y 88
		x 214
		view 37
		loop 4
		priority 7
		signal $0011
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/drawer]>')
				(cond 
					((proc954_1 self pEvent 'look[<at,in]/*'))
					((Said 'look[<at,in]') (Print 37 59) (if cel (drawerInset show:)))
					((proc954_0 self pEvent self 20 0 37 19))
					((Said 'open')
						(if cel
							(PrintItIs)
						else
							(self setCycle: End self)
							(gEgo heading: 0)
							((gEgo looper?) doit: gEgo (gEgo heading?))
						)
					)
					((Said 'close') (if cel (self setCycle: Beg self) else (PrintItIs)))
				)
			)
			((Said '/hammer>')
				(cond 
					((and (gEgo has: 15) (Said 'look[<at]')) (pEvent claimed: 0))
					((proc954_1 self pEvent 'look[<at]'))
					((Said 'look[<at]') (if (not cel) (Print 37 60) else (Print 37 61)))
					(
					(proc954_0 self pEvent self 20 'get[<!*]/*,adjust' 37 19))
					((Said 'get[<!*]/*')
						(cond 
							((not cel) (Print 37 60))
							((gEgo has: 15) (Print 37 62))
							(else (gEgo get: 15) (drawerInset show: forceUpd:))
						)
					)
					((Said 'adjust')
						(cond 
							((not (gEgo has: 15)) (Print 37 63))
							((not cel) (Print 37 60))
							(else (gEgo put: 15) (drawerInset show: forceUpd:))
						)
					)
				)
			)
			((Said '/wrench>')
				(cond 
					((and (gEgo has: 16) (Said 'look[<at]')) (pEvent claimed: 0))
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (if (not cel) (Print 37 60) else (Print 37 64)))
					(
					(proc954_0 self pEvent self 20 'get[<!*]/*,adjust' 37 19))
					((Said 'get[<!*]/*')
						(cond 
							((not cel) (Print 37 60))
							(
								(= local0
									(proc315_0
										37
										65
										150
										{ 1/4"_}
										1
										150
										{ 1/2"_}
										2
										150
										{ 3/4"_}
										3
										150
										{__1"__}
										4
									)
								)
								(if (gEgo has: 16)
									(FormatPrint
										37
										66
										(switch local0
											(1 {1/4})
											(2 {1/2})
											(3 {3/4})
											(4 {1})
										)
									)
								else
									(FormatPrint
										37
										67
										(switch local0
											(1 {1/4})
											(2 {1/2})
											(3 {3/4})
											(4 {1})
										)
									)
								)
								(gEgo get: 16)
								(subMarine invStatus2: local0)
								(drawerInset show: forceUpd:)
								(if (== local0 2) (proc828_0 subMarine 406 16384 2))
							)
							(else (Print 37 68))
						)
					)
					((Said 'adjust')
						(cond 
							((not (gEgo has: 16)) (Print 37 69))
							((not cel) (Print 37 60))
							(else (gEgo put: 16) (drawerInset show: forceUpd:))
						)
					)
				)
			)
			((Said 'look[<at]/tool')
				(if (not cel)
					(Print 37 60)
				else
					(FormatPrint
						37
						70
						(if (gEgo has: 15) {} else { a hammer and})
					)
				)
			)
		)
	)
	
	(method (cue)
		(if cel (drawerInset show:) else (drawerInset hide:))
		(self stopUpd:)
		(if cel (Print 37 71))
	)
)

(instance drawerInset of View
	(properties
		y 44
		x 238
		heading 180
		view 37
		loop 6
	)
	
	(method (init)
		(super init:)
		(self setPri: 15 hide:)
	)
	
	(method (doit)
		(super doit:)
		(if (proc982_1 self gEgo 180) (self hide:))
	)
	
	(method (hide)
		(super hide:)
		(= signal (| signal $0100))
	)
	
	(method (show)
		(self
			cel:
				(cond 
					((gEgo has: 16) (if (gEgo has: 15) 3 else 2))
					((gEgo has: 15) 1)
					(else 0)
				)
		)
		(super show:)
		(= signal (& signal $feff))
	)
)

(instance ladderF of Feature
	(properties
		y 95
		x 30
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/ladder]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 72))
					(
					(proc954_0 self pEvent self 20 'climb[<up]' 37 19))
					((Said 'climb[<up]') (gEgo setScript: climbLadderScript))
					((Said 'climb<down') (Print 37 73))
				)
			)
		)
	)
)

(instance backLadderF of Feature
	(properties
		y 78
		x 260
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/ladder]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 74))
				)
			)
		)
	)
)

(instance climbLadderScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (or (!= (gEgo x?) 31) (!= (gEgo y?) 101))
					(gEgo setMotion: MoveTo 31 101 self)
				else
					(= cycles 1)
				)
			)
			(1
				(HandsOff)
				(client setMotion: MoveTo 30 100 self)
			)
			(2
				(client
					ignoreControl: -32768
					setPri: 5
					setMotion: MoveTo 30 64 self
				)
			)
			(3
				(client observeControl: -32768 setPri: -1)
				(HandsOn)
				(gRoom newRoom: 38)
			)
		)
	)
)

(instance downLadderScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(client
					ignoreControl: -32768
					posn: 30 67
					setPri: 5
					setMotion: MoveTo 30 100 self
					setLoop: 3
				)
			)
			(1
				(client observeControl: -32768 setPri: -1 setLoop: -1)
				(HandsOn)
				(self dispose:)
			)
		)
	)
)

(instance transD1 of RFeature
	(properties
		y 120
		x 88
		nsTop 103
		nsLeft 78
		nsBottom 138
		nsRight 99
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/transducer]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 75))
					((Said 'examine') (Print 37 76))
				)
			)
		)
	)
)

(instance transD2 of RFeature
	(properties
		y 115
		x 46
		nsTop 103
		nsLeft 33
		nsBottom 128
		nsRight 60
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/transducer]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 75))
					((Said 'examine') (Print 37 76))
				)
			)
		)
	)
)

(instance turbine of RFeature
	(properties
		y 68
		x 161
		nsTop 58
		nsLeft 150
		nsBottom 79
		nsRight 172
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/turbine]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 77))
					((Said 'examine') (Print 37 78))
				)
			)
		)
	)
)

(instance generator of RFeature
	(properties
		y 112
		x 124
		nsTop 93
		nsLeft 112
		nsBottom 131
		nsRight 127
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/generator]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 79))
					((Said 'examine') (Print 37 80))
				)
			)
		)
	)
)

(instance engine of RFeature
	(properties
		y 110
		x 170
		nsTop 80
		nsLeft 127
		nsBottom 140
		nsRight 213
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/engine]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 81))
					((Said 'examine') (Print 37 76))
				)
			)
		)
	)
)

(instance pump of RFeature
	(properties
		y 56
		x 135
		nsTop 33
		nsLeft 124
		nsBottom 79
		nsRight 147
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/pump]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 82))
					((Said 'examine') (Print 37 76))
				)
			)
		)
	)
)

(instance whiteTank of RFeature
	(properties
		y 54
		x 229
		nsTop 44
		nsLeft 214
		nsBottom 63
		nsRight 245
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/tank]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 83))
				)
			)
		)
	)
)

(instance greyTank of RFeature
	(properties
		y 31
		x 186
		nsTop 15
		nsLeft 165
		nsBottom 42
		nsRight 208
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/tank]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 37 84))
				)
			)
		)
	)
)
