;;; Sierra Script 1.0 - (do not remove this comment)
(script# 349)
(include sci.sh)
(use Main)
(use subMarine)
(use n396)
(use Submarine_806)
(use n821)
(use Monitor)
(use n827)
(use Obj)

(public
	firstCodedMsg 0
)

(local
	local0
)
(instance checkHeading of Monitor
	(properties)
	
	(method (doit)
		(if
			(and
				active
				(not (proc999_1 (++ cycles) 50))
				(<
					variance
					(proc999_1
						(- value (proc827_0 Submarine theSelector))
						360
					)
				)
				(<
					(proc999_1
						(- value (proc827_0 Submarine theSelector))
						360
					)
					(- 360 variance)
				)
			)
			(if (<= (++ count) 3)
				(if gDialog (-- count) else (self warn:))
			else
				(self die:)
			)
		)
	)
	
	(method (warn)
		(proc396_0 2 349 0)
	)
	
	(method (die)
		(proc821_0 7 0 0 349 1)
	)
)

(instance checkThrottle of Monitor
	(properties
		cycles 10
	)
	
	(method (warn)
		(proc396_0 2 349 2)
	)
	
	(method (die)
		(proc821_0 7 0 0 349 3)
	)
)

(instance checkDepth of Monitor
	(properties
		cycles 20
	)
	
	(method (warn)
		(proc396_0 2 349 4)
	)
	
	(method (die)
		(proc821_0 7 0 0 349 5)
	)
)

(instance checkPitch of Monitor
	(properties
		cycles 30
	)
	
	(method (warn)
		(proc396_0 2 349 6)
	)
	
	(method (die)
		(proc821_0 7 0 0 349 7)
	)
)

(instance firstCodedMsg of Script
	(properties
		seconds 5
	)
	
	(method (doit)
		(switch state
			(4
				(if
					(and
						(not (proc999_1 (++ local0) 50))
						(< 290 (Submarine depth:))
						(< (Submarine depth:) 310)
					)
					(if (> local0 200)
						(proc821_0 7 0 0 349 26)
					else
						(proc396_0 4 349 11)
					)
				)
			)
			(21
				(if
					(and
						(< 40 (Submarine depth:))
						(< (Submarine depth:) 70)
					)
					(checkPitch active: 0)
				)
			)
			(22
				(if
					(and
						(< 40 (Submarine depth:))
						(< (Submarine depth:) 70)
					)
					(self cue:)
				)
			)
			(25
				(if (<= (Submarine hSpeed?) 5) (self cue:))
			)
		)
		(checkHeading doit:)
		(checkThrottle doit:)
		(checkDepth doit:)
		(checkPitch doit:)
		(super doit: &rest)
	)
	
	(method (dispose)
		(cond 
			((<= state 25) (proc821_0 7 0 0 349 28))
			((!= (Submarine throttle?) 1) (proc821_0 7 0 0 349 29))
			((!= (Submarine pitch?) 0) (proc821_0 7 0 0 349 30))
			(else
				(gGame changeScore: 1)
				(subMarine cue:)
				(DisposePrintDlg)
				(super dispose:)
				(DisposeScript 396)
				(DisposeScript 349)
				(DisposeScript 826)
			)
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(1
				((ScriptID 27 4) posn: 46 54)
				(proc396_0 5 349 8)
				(checkHeading init: 353 (Submarine _absHeading?) 5)
				(= seconds 7)
			)
			(2
				(proc396_0 5 349 9)
				(= seconds 7)
			)
			(3
				(proc396_0 4 349 10)
				(= cycles 60)
				(checkThrottle init: 361 3 0)
			)
			(4
				(checkPitch init: 354 20 10)
				(proc396_0 5 349 11)
			)
			(5
				(checkPitch active: 0)
				(proc396_0 5 349 12)
				(checkDepth init: 391 300 10)
				(= seconds 10)
			)
			(6
				(proc396_0 2 349 13)
				(= seconds 2)
			)
			(7
				(proc396_0 2 349 13)
				(= seconds 2)
			)
			(8
				(proc396_0 2 349 13)
				(= seconds 2)
			)
			(9
				(proc396_0 2 349 13)
				(= seconds 2)
			)
			(10
				(proc396_0 5 349 14)
				(= seconds 6)
			)
			(11
				(proc396_0 5 349 15)
				(= seconds 6)
			)
			(12
				(proc396_0 5 349 16)
				(= seconds 6)
			)
			(13
				(proc396_0 5 349 17)
				(= seconds 6)
			)
			(14
				(proc396_0 2 349 18)
				(= seconds 2)
			)
			(15
				(proc396_0 2 349 18)
				(= seconds 2)
			)
			(16
				(proc396_0 2 349 18)
				(= seconds 2)
			)
			(17
				(proc396_0 3 349 19)
				(= seconds 4)
			)
			(18
				(proc396_0 3 349 20)
				(= seconds 15)
			)
			(19
				(proc396_0 5 349 21)
				(checkDepth active: 0)
				(checkPitch active: 0)
				(= seconds 5)
			)
			(20
				(checkPitch init: 354 -20 10)
				(= seconds 4)
			)
			(21
				(proc396_0 4 349 22)
				(checkThrottle active: 0)
				(= seconds 5)
			)
			(22
				(checkThrottle init: 361 2 0)
			)
			(23
				(checkPitch active: 0)
				(= seconds 5)
			)
			(24
				(checkDepth init: 391 60 80)
				(proc396_0 4 349 23)
				(checkThrottle active: 0)
				(= seconds 4)
			)
			(25
				(checkThrottle value: 1 active: 1)
				(= register 0)
			)
			(26
				(= start state)
				(proc396_0 5 349 24)
				(= seconds 15)
			)
			(27
				(if (>= (++ register) 4)
					(proc821_0 7 0 0 349 25)
				else
					(self init:)
				)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(and
					(== state 4)
					(Said '/attain,acknowledge,confirm<depth')
				)
				(if
					(and
						(< 290 (Submarine depth:))
						(< (Submarine depth:) 310)
					)
					(self cue:)
				else
					(proc821_0 7 0 0 349 27)
				)
			)
		)
	)
)
