;;; Sierra Script 1.0 - (do not remove this comment)
(script# 341)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n396)
(use Submarine_806)
(use n821)
(use Cycle)
(use Feature)
(use Obj)

(public
	gettingUnderCoontz 0
)

(local
	local0
	local1
	local2
)
(procedure (localproc_000c &tmp temp0 temp1 temp2 submarineAbsHeading)
	(return
		(if
			(and
				(< (Abs (- (coontz x?) (ourSub x?))) 3)
				(< (Abs (- (coontz y?) (ourSub y?))) 3)
			)
			(return 1)
		else
			(= temp0 (/ (+ (Submarine hSpeed?) 19) 20))
			(if (< (Submarine hSpeed?) 0) (= temp0 -1))
			(cond 
				(
				(< (= submarineAbsHeading (Submarine absHeading:)) 30) (= temp1 0) (= temp2 (- temp0)))
				(
					(and
						(<= 30 submarineAbsHeading)
						(<= submarineAbsHeading 60)
					)
					(= temp1 temp0)
					(= temp2 (- temp0))
				)
				(
					(and
						(<= 60 submarineAbsHeading)
						(<= submarineAbsHeading 120)
					)
					(= temp1 temp0)
					(= temp2 0)
				)
				(
					(and
						(<= 120 submarineAbsHeading)
						(<= submarineAbsHeading 150)
					)
					(= temp1 temp0)
					(= temp2 temp0)
				)
				(
					(and
						(<= 150 submarineAbsHeading)
						(<= submarineAbsHeading 210)
					)
					(= temp1 0)
					(= temp2 temp0)
				)
				(
					(and
						(<= 210 submarineAbsHeading)
						(<= submarineAbsHeading 240)
					)
					(= temp1 (- temp0))
					(= temp2 temp0)
				)
				(
					(and
						(<= 240 submarineAbsHeading)
						(<= submarineAbsHeading 300)
					)
					(= temp1 (- temp0))
					(= temp2 0)
				)
				(
					(and
						(<= 300 submarineAbsHeading)
						(<= submarineAbsHeading 330)
					)
					(= temp1 (- temp0))
					(= temp2 (- temp0))
				)
				(else (= temp1 0) (= temp2 (- temp0)))
			)
			(= temp1 (+ temp1 (ourSub x?)))
			(= temp2 (+ temp2 (ourSub y?)))
			(if
				(and
					(<= 112 temp1)
					(<= temp1 202)
					(<= 35 temp2)
					(<= temp2 99)
				)
				(ourSub show: x: temp1 y: temp2)
			else
				(ourSub hide: x: temp1 y: temp2)
			)
			(return 0)
		)
	)
)

(procedure (localproc_01b2)
	(return
		(if local2
			(return (not (proc999_4 117 35 198 97 ourSub)))
		else
			(return 0)
		)
	)
)

(instance gettingUnderCoontz of Script
	(properties)
	
	(method (doit &tmp temp0)
		(if
			(and
				(not (proc999_1 (++ local1) 20))
				(localproc_000c)
			)
			(if
			(and (<= (Submarine depth:) 150) (not script))
				(self setScript: diedUnderCoontz)
			else
				(= temp0
					(cond 
						((< 2400 local0) 5)
						((< 1800 local0) 4)
						((< 1200 local0) 3)
						((< 600 local0) 2)
						(else 1)
					)
				)
				(FormatPrint 341 3 temp0)
				(gGame changeScore: temp0)
				(= local2 0)
				(ourSub setPri: 0 dispose:)
				(coontz setPri: 0 dispose:)
				(Animate (gCast elements?) 0)
				(self dispose:)
			)
		)
		(if (and (<= (Submarine depth:) 70) (not script))
			(self setScript: showedSelf)
		)
		(if (and (not (-- local0)) (not script))
			(self setScript: didntGetUnderCoontz_a)
		)
		(if (and (not script) (localproc_01b2))
			(self setScript: didntGetUnderCoontz_a)
		)
		(super doit:)
	)
	
	(method (dispose)
		(super dispose:)
		(DisposePrintDlg)
		(DisposeScript 396)
		(DisposeScript 341)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(= local0 3000)
				(coontz init: setLoop: 2 moveSpeed: 20 setCycle: Fwd)
				(ourSub init: setLoop: 3 setCycle: Fwd)
				(= local2 1)
				(= cycles 2)
			)
			(1
				(= start state)
				(coontz setMotion: MoveTo 160 40 self)
			)
			(2
				(coontz setMotion: MoveTo 140 60 self)
			)
			(3
				(coontz setMotion: MoveTo 165 70 self)
			)
			(4
				(coontz setMotion: MoveTo 180 58 self)
			)
			(5
				(coontz setMotion: MoveTo 180 50 self)
			)
			(6 (self init:))
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((== (pEvent type?) 1024)
				(switch (pEvent message?)
					(JOY_NULL
						(proc396_0 5 341 0)
						(self setScript: firedOnCoontz)
					)
					(JOY_UP (proc396_0 5 341 1))
					(JOY_UPRIGHT
						(proc396_0 5 341 2)
						(self setScript: firedOnCoontz)
					)
				)
			)
		)
	)
)

(instance didntGetUnderCoontz_a of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(coontz hide: forceUpd: dispose: delete:)
				(proc396_0 4 341 4)
				(= seconds 5)
			)
			(1 (proc821_0 7 0 0 341 5))
		)
	)
)

(instance didntGetUnderCoontz_b of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(coontz hide: forceUpd: dispose: delete:)
				(proc396_0 4 341 4)
				(= seconds 5)
			)
			(1 (proc821_0 7 0 0 341 6))
		)
	)
)

(instance showedSelf of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(coontz hide: forceUpd: dispose: delete:)
				(proc396_0 4 341 4)
				(= seconds 5)
			)
			(1 (proc821_0 7 0 0 341 7))
		)
	)
)

(instance firedOnCoontz of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= seconds 4))
			(1 (proc821_0 926 1 0 341 8))
		)
	)
)

(instance diedUnderCoontz of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(proc396_0 4 341 9)
				(= seconds 5)
			)
			(1 (proc821_0 7 0 0 341 10))
		)
	)
)

(instance coontz of Act
	(properties
		y 50
		x 180
		yStep 1
		view 40
		loop 2
		priority 14
		signal $4010
		illegalBits $0000
		xStep 1
	)
)

(instance ourSub of Prop
	(properties
		y 65
		x 135
		view 40
		loop 3
		priority 14
		signal $4010
	)
)
