;;; Sierra Script 1.0 - (do not remove this comment)
(script# 306)
(include sci.sh)
(use Main)
(use Class_255_0)
(use tunisia)
(use n821)
(use Approach)
(use n954)
(use n958)
(use Chase)
(use Grooper)
(use n982)
(use Avoid)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	guardcReg 0
	caughtEgoScript 1
	guard 2
)

(local
	gEgoX
	gEgoY
	gEgoLoop
	theSeconds
)
(instance guardcReg of Rgn
	(properties)
	
	(method (init)
		(super init:)
		(proc958_0 128 172 772 472 471 572)
		(guard
			illegalBits: -32704
			setAvoider: Avoid
			setCycle: Walk
			init:
			hide:
		)
		(if (not theSeconds) (= theSeconds 20))
		(cond 
			(
				(and
					(not (& (tunisia flags?) $0010))
					(proc999_5 gCurRoomNum 71 72)
				)
				(guard setScript: wrongBeachScript)
			)
			(
				(and
					(not (& (tunisia flags?) $0010))
					(!= (gEgo view?) 84)
				)
				(tunisia flags: (| (tunisia flags?) $0010))
				(guard setScript: rm70ChaseScript)
			)
			(else
				(guard setScript: roomChaseScript)
				(= gEgoX (gEgo x?))
				(= gEgoY (gEgo y?))
				(= gEgoLoop (gEgo loop?))
			)
		)
	)
	
	(method (newRoom newRoomNumber)
		(= keep (proc999_5 newRoomNumber 70 71 72))
		(= initialized 0)
		(super newRoom: &rest)
	)
)

(instance wrongBeachScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(guard
					view: 172
					show:
					posn: 10 80
					setStep: 6 6
					setMotion: MoveTo 155 80 self
				)
			)
			(1
				(if (== gCurRoomNum 72)
					(guard setMotion: MoveTo 175 80 self)
				else
					(= cycles 1)
				)
			)
			(2
				(self setScript: disMountScript self)
			)
			(3
				(guard
					setMotion: MoveTo (+ (gEgo x?) 30) (gEgo y?) self
				)
			)
			(4
				(guard
					setMotion: MoveTo (- (guard x?) 2) (guard y?) self
				)
			)
			(5
				(self setScript: arabicScript self)
			)
			(6
				(Print 306 0)
				(gEgo heading: 270)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 6)
			)
			(7
				(gEgo view: 471 loop: 1 setCycle: End self)
				(guard view: 572 loop: 1 setCycle: End self)
			)
			(8)
			(9
				(gEgo
					setCycle: Walk
					setLoop: (+ (gEgo loop?) 2)
					setMotion: MoveTo (- (gEgo x?) 60) (gEgo y?) self
				)
				(guard
					setCycle: Walk
					setLoop: (+ (guard loop?) 2)
					setMotion: MoveTo (- (guard x?) 60) (guard y?)
				)
			)
			(10 (proc821_0 970 0 0 306 1))
		)
	)
)

(instance rm70ChaseScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= seconds 80))
			(1
				(guard
					view: 172
					show:
					posn: 336 84
					observeControl: 64
					setStep: 6 6
					setMotion: MoveTo 237 84 self
				)
			)
			(2
				(self setScript: disMountScript self)
			)
			(3
				(guard illegalBits: -32704 setMotion: Chase gEgo 40 self)
			)
			(4
				(self setScript: arabicScript self)
			)
			(5
				(self setScript: caughtEgoScript)
			)
		)
	)
)

(instance roomChaseScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(= theSeconds (- (= seconds theSeconds) 2))
			)
			(1
				(guard
					view: 472
					show:
					illegalBits: -32704
					posn: gEgoX gEgoY
					setLoop: Grooper
					loop: gEgoLoop
					setMotion: Chase gEgo 40 self
				)
			)
			(2
				(self setScript: arabicScript self)
			)
			(3
				(self setScript: caughtEgoScript)
			)
		)
	)
)

(instance caughtEgoScript of Script
	(properties)
	
	(method (changeState newState &tmp temp0)
		(switch (= state newState)
			(0
				(cond 
					((and (gEgo has: 3) (not (gEgo has: 4))) (Print 306 2) (= cycles 1))
					((== (gEgo view?) 71) (Print 306 0) (= cycles 1))
					((gEgo has: 2) (client setScript: hasIDScript))
					(else (Print 306 3) (= cycles 1))
				)
			)
			(1 (proc821_0 970 0 0 306 1))
		)
	)
)

(instance hasIDScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (Print 306 4) (= cycles 1))
			(1
				(Print 306 5)
				(Print 306 6)
				(guardcReg setScript: guardLeaveScript)
				(HandsOn)
			)
		)
	)
)

(instance guardLeaveScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(switch gCurRoomNum
					(70
						(guard
							setMotion:
								Approach
								(if (< (guard y?) 90)
									(ScriptID 70 2)
								else
									(ScriptID 70 1)
								)
								5
								self
						)
					)
					(71
						(guard
							setMotion:
								Approach
								(if (> (guard y?) 87)
									(ScriptID 71 2)
								else
									(ScriptID 71 1)
								)
								5
								self
						)
					)
					(72
						(guard
							setMotion:
								Approach
								(if (> (guard y?) 91)
									(ScriptID 72 2)
								else
									(ScriptID 72 1)
								)
								5
								self
						)
					)
				)
			)
			(1
				(guard dispose:)
				(self dispose:)
			)
		)
	)
)

(instance arabicScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (== register 0)
					(HandsOff)
					(gEgo
						heading: (GetAngle (gEgo x?) (gEgo y?) (guard x?) (guard y?))
					)
					((gEgo looper?) doit: gEgo (gEgo heading?))
				)
				(= cycles 6)
			)
			(1
				(if (== register 0)
					(guard
						heading: (GetAngle (guard x?) (guard y?) (gEgo x?) (gEgo y?))
					)
					((guard looper?) doit: guard (guard heading?))
				)
				(= cycles 6)
			)
			(2
				(if (== register 0) (proc310_1 guard))
				(= seconds 1)
			)
			(3
				(if (== register 0) (proc310_2) (Print 306 7))
				(= cycles 2)
			)
			(4
				(proc310_1 guard)
				(= seconds 1)
			)
			(5
				(proc310_2)
				(proc310_1 gEgo)
				(= seconds 1)
			)
			(6
				(proc310_2)
				(= cycles 1)
				(if (<= (++ register) 3)
					(self init:)
				else
					(self dispose:)
				)
			)
		)
	)
)

(instance disMountScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(guard view: 772 cel: 0 illegalBits: 0 setCycle: End self)
			)
			(1
				(camel
					view: 772
					loop: (+ (guard loop?) 2)
					cel: 0
					posn: (guard x?) (guard y?)
					init:
				)
				(guard
					view: 472
					setLoop: Grooper
					setCycle: Walk
					setStep: 3 2
					posn: (camel x?) (+ (camel y?) 2)
				)
				(self dispose:)
			)
		)
	)
)

(instance guard of Act
	(properties
		view 172
	)
	
	(method (doit)
		(super doit:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/guard,man]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]')
						(if (proc982_0 self)
							(Print 306 8)
						else
							(Print 306 9)
							(pEvent claimed: 1)
						)
					)
					((Said 'address')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 306 10)
						)
					)
					((Said 'kiss,fuck,hug')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 306 11)
						)
					)
					((Said 'kill,shoot')
						(cond 
							((proc982_0 self) (pEvent claimed: 0))
							((gEgo has: 8) (Print 306 12))
							(else (Print 306 13))
						)
					)
					((Said 'fight,kick,hit')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 306 14)
						)
					)
					((Said 'greet')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 306 15)
						)
					)
				)
			)
		)
	)
)

(instance camel of View
	(properties)
	
	(method (doit)
		(super doit:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/camel]>')
				(cond 
					((proc982_0 self))
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 306 16))
				)
			)
		)
	)
)
