;;; Sierra Script 1.0 - (do not remove this comment)
(script# 311)
(include sci.sh)
(use Main)
(use Class_255_0)
(use tunisia)
(use n821)
(use Approach)
(use n954)
(use Chase)
(use n982)
(use Avoid)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	guardfReg 0
)

(local
	gEgoX
	gEgoY
	gEgoLoop
	theSeconds
	local4
	local5
)
(instance guardfReg of Rgn
	(properties)
	
	(method (init)
		(super init:)
		(Load rsVIEW 472)
		(guard setAvoider: Avoid setCycle: Walk init: hide:)
		(cond 
			(
				(and
					(== gCurRoomNum 75)
					(gEgo has: 5)
					(not ((gInv at: 5) loop?))
				)
				(= theSeconds 30)
				(guard setScript: hiddenScript)
			)
			((and (== gCurRoomNum 74) (== gPrevRoomNum 75))
				(= theSeconds 20)
				(guard setScript: roomChaseScript)
				(= gEgoX (gEgo x?))
				(= gEgoY (gEgo y?))
				(= gEgoLoop (gEgo loop?))
			)
			((== gCurRoomNum 76)
				(if (and (gEgo has: 5) ((gInv at: 5) loop?))
					(= theSeconds 10)
				else
					(= theSeconds 40)
				)
				(guard setScript: roomChaseScript)
				(= gEgoX (gEgo x?))
				(= gEgoY (gEgo y?))
				(= gEgoLoop (gEgo loop?))
			)
			(else
				(if (== gCurRoomNum 73) (= theSeconds 2))
				(guard setScript: roomChaseScript)
				(= gEgoX (gEgo x?))
				(= gEgoY (gEgo y?))
				(= gEgoLoop (gEgo loop?))
			)
		)
	)
	
	(method (newRoom newRoomNumber)
		(= keep (proc999_5 newRoomNumber 73 74 75 76))
		(= initialized 0)
		(super newRoom: &rest)
	)
)

(instance hiddenScript of Script
	(properties)
	
	(method (doit)
		(super doit: &rest)
		(if
			(and
				(> state 1)
				(not (proc982_1 gEgo guard 100))
				(!= (gEgo onControl: 1) 2)
			)
			(guard setScript: rm75ChaseScript)
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= seconds 12))
			(1
				(guard
					view: 472
					show:
					posn: 328 139
					setMotion: MoveTo 277 139 self
				)
			)
			(2 (= seconds 3))
			(3
				(guard setMotion: MoveTo 263 153 self)
			)
			(4
				(guard setMotion: MoveTo 152 153 self)
			)
			(5
				(guard setMotion: MoveTo 62 243 self)
			)
			(6 (= seconds 18))
			(7 (self init:))
		)
	)
)

(instance rm75ChaseScript of Script
	(properties)
	
	(method (doit)
		(super doit: &rest)
		(if (== (gEgo onControl: 1) 4)
			(guard setScript: rm75FoundScript)
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(guard setMotion: Chase gEgo 20 self)
			)
			(1
				(if (and (gEgo has: 3) (not (gEgo has: 4)))
					(client setScript: caughtWithFishScript)
				else
					(client setScript: caughtEgoScript)
				)
			)
		)
	)
)

(instance rm75FoundScript of Script
	(properties)
	
	(method (doit)
		(super doit: &rest)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (not register)
					(Print 311 0)
					(HandsOff)
					(= local4 (= register 1))
				)
				(= cycles 1)
			)
			(1
				(cond 
					((guard inRect: 121 150 319 209) (guard setMotion: MoveTo 120 153 self))
					((guard inRect: 94 143 120 153) (guard setMotion: MoveTo 110 139 self))
					((guard inRect: 54 176 121 209) (guard setMotion: MoveTo 120 175 self))
					(
					(and (gEgo inRect: 67 154 120 175) (> (gEgo x?) 100)) (guard setMotion: MoveTo 110 139 self))
					((guard inRect: 121 143 181 149) (guard setMotion: MoveTo 110 135 self))
					((guard inRect: 236 128 319 148) (guard setMotion: MoveTo 307 127 self))
					((guard inRect: 287 110 319 127) (guard setMotion: MoveTo 286 115 self))
					((guard inRect: 226 110 286 127) (guard setMotion: MoveTo 225 115 self))
					(else (guard setMotion: Chase gEgo 20 self) (= register 2))
				)
			)
			(2
				(if (== register 2)
					(if (and (gEgo has: 3) (not (gEgo has: 4)))
						(client setScript: caughtWithFishScript)
					else
						(client setScript: caughtEgoScript)
					)
				else
					(self init:)
				)
			)
		)
	)
)

(instance roomChaseScript of Script
	(properties)
	
	(method (doit)
		(super doit: &rest)
		(if
			(and
				(== gCurRoomNum 75)
				(> state 0)
				(== (gEgo onControl: 1) 4)
			)
			(guard setMotion: 0 setScript: rm75FoundScript)
		)
	)
	
	(method (changeState newState &tmp temp0 temp1)
		(switch (= state newState)
			(0
				(if (== theSeconds 0) (= theSeconds 8))
				(= theSeconds (- (= seconds theSeconds) 2))
			)
			(1
				(if (and (== gCurRoomNum 76) (> (gEgo y?) 154))
					(= temp0 330)
					(= temp1 170)
				else
					(= temp0 gEgoX)
					(= temp1 gEgoY)
				)
				(if
					(and
						(< (Abs (- (gEgo x?) temp0)) 25)
						(< (Abs (- (gEgo y?) temp1)) 25)
					)
					(= theSeconds (+ theSeconds 2))
					(self init:)
				else
					(guard
						show:
						loop: gEgoLoop
						posn: temp0 temp1
						setMotion: Chase gEgo 20 self
					)
				)
			)
			(2
				(if (and (gEgo has: 3) (not (gEgo has: 4)))
					(client setScript: caughtWithFishScript)
				else
					(client setScript: caughtEgoScript)
				)
			)
		)
	)
)

(instance caughtEgoScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if (== register 0) (proc310_1 guard))
				(= seconds 2)
			)
			(1
				(if (== register 0)
					(proc310_2)
					(if (not local4) (Print 311 0))
					(gEgo
						heading: (GetAngle (gEgo x?) (gEgo y?) (guard x?) (guard y?))
					)
					((gEgo looper?) doit: gEgo (gEgo heading?))
				)
				(= cycles 2)
			)
			(2
				(proc310_1 guard)
				(= seconds 1)
			)
			(3
				(proc310_2)
				(proc310_1 gEgo)
				(= seconds 1)
			)
			(4
				(proc310_2)
				(= cycles 1)
				(if (<= (++ register) 3) (self init:))
			)
			(5
				(cond 
					((== (gEgo view?) 71) (Print 311 1) (= cycles 1))
					((and (gEgo has: 5) ((gInv at: 5) loop?)) (Print 311 2) (= cycles 1))
					((gEgo has: 2) (client setScript: hasIDScript))
					(else (Print 311 3) (= cycles 1))
				)
			)
			(6 (proc821_0 970 0 0 311 4))
		)
	)
)

(instance caughtWithFishScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(guard setMotion: Chase gEgo 20 self)
			)
			(1
				(gEgo
					heading: (GetAngle (gEgo x?) (gEgo y?) (guard x?) (guard y?))
				)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 2)
			)
			(2
				(proc310_1 guard)
				(= seconds 1)
			)
			(3
				(proc310_1 gEgo)
				(= seconds 1)
			)
			(4
				(Print 311 5)
				(proc821_0 970 0 0 311 4)
			)
		)
	)
)

(instance hasIDScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (Print 311 6) (= cycles 1))
			(1
				(Print 311 7)
				(Print 311 8)
				(guardfReg setScript: guardLeaveScript)
				(HandsOn)
			)
		)
	)
)

(instance guardLeaveScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(switch gCurRoomNum
					(75
						(guard setMotion: Approach (ScriptID 75 1) 5 self)
					)
					(76
						(guard setMotion: Approach (ScriptID 76 1) 5 self)
					)
					(73
						(guard setMotion: Approach (ScriptID 73 1) 5 self)
					)
					(74
						(guard setMotion: Approach (ScriptID 74 1) 5 self)
					)
				)
			)
			(1
				(guard dispose:)
				(self dispose:)
			)
		)
	)
)

(instance guard of Act
	(properties
		view 472
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/guard,man]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]')
						(if (proc982_0 self)
							(Print 311 9)
						else
							(Print 311 10)
							(pEvent claimed: 1)
						)
					)
					((Said 'address')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 311 11)
						)
					)
					((Said 'kiss,fuck,hug')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 311 12)
						)
					)
					((Said 'kill,shoot')
						(cond 
							((proc982_0 self) (pEvent claimed: 0))
							((gEgo has: 8) (Print 311 13))
							(else (Print 311 14))
						)
					)
					((Said 'fight,kick,hit')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 311 15)
						)
					)
					((Said 'greet')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 311 16)
						)
					)
				)
			)
		)
	)
)
