;;; Sierra Script 1.0 - (do not remove this comment)
(script# 312)
(include sci.sh)
(use Main)
(use Class_255_0)
(use tunisia)
(use n821)
(use n954)
(use Chase)
(use n982)
(use Avoid)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	guardjReg 0
)

(local
	theRegister
)
(instance guardjReg of Rgn
	(properties)
	
	(method (init)
		(super init:)
		(Load rsVIEW 472)
		(Load rsVIEW 476)
		(jeep
			setCycle: 0
			illegalBits: 0
			ignoreActors: 1
			ignoreHorizon: 1
			init:
			hide:
		)
		(cond 
			((== gCurRoomNum 80)
				(if (tunisia bagBound?)
					(jeep setScript: 0)
				else
					(jeep setScript: fromEastScript)
				)
			)
			((proc999_5 gCurRoomNum 77 82)
				(straightScript seconds: 20)
				(jeep setScript: straightScript)
			)
			(else
				(fromWestScript seconds: 20)
				(jeep setScript: fromWestScript)
			)
		)
	)
	
	(method (newRoom newRoomNumber)
		(= keep (proc999_5 newRoomNumber 77 78 79 80 82 83))
		(= initialized 0)
		(super newRoom: &rest)
	)
)

(instance straightScript of Script
	(properties)
	
	(method (changeState newState &tmp gEgoX)
		(switch (= state newState)
			(0)
			(1
				(if (and (> 140 (gEgo y?)) (> (gEgo y?) 100))
					(= register 1)
					(HandsOff)
					(Print 312 0 #dispose #at 5 10)
					(if (< (gEgo y?) 120)
						(gEgo setMotion: MoveTo (gEgo x?) 99 self)
					else
						(gEgo setMotion: MoveTo (gEgo x?) 141 self)
					)
				else
					(= cycles 1)
				)
			)
			(2
				(if register
					(if (< (gEgo y?) 120)
						(gEgo heading: 180)
					else
						(gEgo heading: 0)
					)
					((gEgo looper?) doit: gEgo (gEgo heading?))
					(= cycles 5)
				else
					(= cycles 1)
				)
			)
			(3
				(cond 
					((< (gEgo x?) 30) (= gEgoX (+ (gEgo x?) 30)))
					((> (gEgo x?) 290) (= gEgoX (- (gEgo x?) 30)))
					(else (= gEgoX (gEgo x?)))
				)
				(jeep
					posn: 380 120
					view: 476
					setLoop: 0
					setCel: 0
					show:
					setCycle: 0
					setStep: 8 8
					setMotion: MoveTo gEgoX 120 self
				)
			)
			(4
				(DisposePrintDlg)
				(jeep
					setStep: 6 6
					setMotion: MoveTo (- (jeep x?) 12) (jeep y?) self
				)
			)
			(5
				(jeep
					setStep: 4 4
					setMotion: MoveTo (- (jeep x?) 8) (jeep y?) self
				)
			)
			(6
				(jeep
					setStep: 2 2
					setMotion: MoveTo (- (jeep x?) 4) (jeep y?) self
				)
			)
			(7
				(jeep setStep: 0 0 loop: 4)
				(guard
					view: 476
					loop: 3
					cel: 0
					ignoreActors: 1
					posn: (jeep x?) (jeep y?)
					setPri: (jeep priority?)
					init:
					setCycle: End self
				)
			)
			(8
				(jeep ignoreActors: 0)
				(guard
					view: 472
					setPri: -1
					posn: (jeep x?) (- (jeep y?) 10)
					illegalBits: -32768
					ignoreActors: 0
					loop: 2
					setLoop: -1
					setCycle: Walk
					setStep: 3 2
					setAvoider: Avoid
					setMotion: Chase gEgo 20 self
				)
			)
			(9
				(self setScript: caughtEgoScript self)
			)
			(10
				(client setScript: driveAwayScript 0 -1)
			)
		)
	)
)

(instance fromWestScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0)
			(1
				(if (gEgo inRect: 0 120 106 168)
					(= register 1)
					(HandsOff)
					(Print 312 1 #dispose #at 5 10)
					(gEgo setMotion: MoveTo 178 (gEgo y?) self)
				else
					(= cycles 1)
				)
			)
			(2
				(if register
					(gEgo heading: 270)
					((gEgo looper?) doit: gEgo (gEgo heading?))
					(= cycles 5)
				else
					(= cycles 1)
				)
			)
			(3
				(jeep
					posn: -4 120
					view: 476
					setLoop: 1
					setCel: 0
					show:
					setStep: 8 8
					setMotion: MoveTo 60 120 self
				)
			)
			(4
				(DisposePrintDlg)
				(jeep setStep: 4 4)
				(self setScript: uTurnScript self 1)
			)
			(5
				(jeep setLoop: 4)
				(guard
					view: 476
					loop: 3
					cel: 0
					ignoreActors: 1
					posn: (jeep x?) (jeep y?)
					setPri: (jeep priority?)
					init:
					setCycle: End self
				)
			)
			(6
				(jeep ignoreActors: 0)
				(guard
					view: 472
					posn: (+ (jeep x?) 6) (- (jeep y?) 2)
					illegalBits: -32768
					ignoreActors: 0
					setPri: -1
					loop: 2
					setLoop: -1
					setCycle: Walk
					setStep: 3 2
					setAvoider: Avoid
					setMotion: Chase gEgo 20 self
				)
			)
			(7
				(self setScript: caughtEgoScript self)
			)
			(8
				(client setScript: driveAwayScript 0 -1)
			)
		)
	)
)

(instance fromEastScript of Script
	(properties)
	
	(method (changeState newState &tmp temp0)
		(switch (= state newState)
			(0 (= seconds 30))
			(1
				(if (gEgo inRect: 228 120 319 168)
					(= register 1)
					(HandsOff)
					(Print 312 0 #dispose #at 5 10)
					(gEgo setMotion: MoveTo 205 (gEgo y?) self)
				else
					(= cycles 1)
				)
			)
			(2
				(if register
					(gEgo heading: 90)
					((gEgo looper?) doit: gEgo (gEgo heading?))
					(= cycles 5)
				else
					(= cycles 1)
				)
			)
			(3
				(jeep view: 476 setLoop: 0 setCel: 0 show: setStep: 8 8)
				(jeep posn: 360 120 setMotion: MoveTo 270 120 self)
			)
			(4
				(DisposePrintDlg)
				(jeep setStep: 4 4)
				(self setScript: uTurnScript self -1)
			)
			(5
				(jeep setLoop: 5)
				(guard
					view: 476
					loop: 2
					cel: 0
					ignoreActors: 1
					posn: (jeep x?) (jeep y?)
					setPri: (jeep priority?)
					init:
					setCycle: End self
				)
			)
			(6
				(jeep ignoreActors: 0)
				(guard
					view: 472
					posn: (- (jeep x?) 6) (- (jeep y?) 2)
					illegalBits: -32768
					ignoreActors: 0
					setPri: -1
					loop: 2
					setLoop: -1
					setCycle: Walk
					setStep: 3 2
					setAvoider: Avoid
					setMotion: Chase gEgo 20 self
				)
			)
			(7
				(self setScript: caughtEgoScript self)
			)
			(8
				(self setScript: driveAwayScript 0 1)
			)
		)
	)
)

(instance uTurnScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(jeep
					setMotion: MoveTo (+ (jeep x?) (* 6 register)) (+ (jeep y?) 6) self
				)
			)
			(1
				(jeep setCel: (+ (jeep cel?) 1))
				(cond 
					((== (jeep cel?) 4) (= theRegister register) (= register 0) (self init:))
					((== (jeep cel?) 5) (= register (- (* theRegister 2))) (self init:))
					((== (jeep cel?) 8) (self dispose:))
					(else (self init:))
				)
			)
		)
	)
)

(instance driveAwayScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(guard
					setMotion: MoveTo (+ (jeep x?) 6) (- (jeep y?) 12) self
				)
			)
			(1
				(guard
					setPri: (- (jeep priority?) 1)
					setAvoider: 0
					illegalBits: 0
					setMotion: MoveTo (jeep x?) (jeep y?) self
				)
			)
			(2
				(guard
					view: 476
					setLoop: (if (== register 1) 2 else 3)
					setCel: 16
					setPri: (jeep priority?)
					ignoreActors: 1
					setCycle: Beg self
				)
			)
			(3
				(jeep dispose:)
				(guard
					view: 476
					ignoreActors: 0
					setLoop: (if (== register 1) 1 else 0)
					setCel: 0
					setStep: 2 2
					setMotion: MoveTo (+ (guard x?) (* 4 register)) (guard y?) self
				)
			)
			(4
				(guard
					setStep: 4 4
					setMotion: MoveTo (+ (guard x?) (* 8 register)) (guard y?) self
				)
			)
			(5
				(guard
					setStep: 6 6
					setMotion: MoveTo (+ (guard x?) (* 12 register)) (guard y?) self
				)
			)
			(6
				(guard
					setStep: 8 8
					setMotion: MoveTo (if (== register 1) 380 else -60) (guard y?) self
				)
			)
			(7 (HandsOn) (self dispose:))
		)
	)
)

(instance caughtEgoScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if (== register 0) (proc310_1 guard))
				(= seconds 2)
			)
			(1
				(if (== register 0)
					(proc310_2)
					(Print 312 2)
					(gEgo
						heading: (GetAngle (gEgo x?) (gEgo y?) (guard x?) (guard y?))
					)
					((gEgo looper?) doit: gEgo (gEgo heading?))
				)
				(= cycles 5)
			)
			(2
				(proc310_1 guard)
				(= seconds 1)
			)
			(3
				(proc310_2)
				(proc310_1 gEgo)
				(= seconds 1)
			)
			(4
				(proc310_2)
				(= cycles 1)
				(if (<= (++ register) 3) (self init:))
			)
			(5
				(cond 
					((== (gEgo view?) 71) (Print 312 3) (= cycles 1))
					((and (gEgo has: 5) ((gInv at: 5) loop?)) (Print 312 4) (= cycles 1))
					((gEgo has: 2)
						(Print 312 5)
						(Print 312 6)
						(Print 312 7)
						(HandsOn)
						(self dispose:)
					)
					(else (Print 312 8) (= cycles 1))
				)
			)
			(6 (proc821_0 970 0 0 312 9))
		)
	)
)

(instance guard of Act
	(properties
		view 476
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/guard,man]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]')
						(if (proc982_0 self)
							(Print 312 10)
						else
							(Print 312 11)
							(pEvent claimed: 1)
						)
					)
					((Said 'address')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 312 12)
						)
					)
					((Said 'kiss,fuck,hug')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 312 13)
						)
					)
					((Said 'kill,shoot')
						(cond 
							((proc982_0 self) (pEvent claimed: 0))
							((gEgo has: 8) (Print 312 14))
							(else (Print 312 15))
						)
					)
					((Said 'fight,kick,hit')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 312 16)
						)
					)
					((Said 'greet')
						(if (proc982_0 self)
							(pEvent claimed: 0)
						else
							(Print 312 17)
						)
					)
				)
			)
		)
	)
)

(instance jeep of Act
	(properties
		view 476
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/jeep,car]>')
				(cond 
					((proc982_0 self))
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 312 18))
				)
			)
		)
	)
)
