;;; Sierra Script 1.0 - (do not remove this comment)
(script# 100)
(include sci.sh)
(use Main)
(use CyclingProp)
(use n957)
(use n958)
(use QSnd)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	introRm 0
)

(local
	newCyclingProp
	newCyclingProp_3
	newCyclingProp_2
	newCyclingProp_4
	newCyclingProp_5
	newCyclingProp_6
	newCyclingProp_7
	newCyclingProp_8
	newAct
	newAct_2
	newAct_3
	newProp
	newProp_2
	newProp_3
	newProp_4
	newProp_5
	newProp_6
)
(procedure (localproc_000c param1 param2 param3 param4 param5)
	(views
		add:
			((View new:)
				view: param1
				loop: param2
				cel: param3
				x: param4
				y: param5
				init:
				setPri: 12
				yourself:
			)
	)
)

(instance introRm of Rm
	(properties
		picture 299
	)
	
	(method (init)
		(super init:)
		(gIceMouseDownHandler add: self)
		(gIceKeyDownHandler add: self)
		(proc958_0 128 56 60 400 500 600 700 800 899)
		(Load rsPIC 100)
		(HandsOff)
		((= newCyclingProp (CyclingProp new:))
			view: 899
			loop: 0
			x: 220
			y: 19
			cycleSpeed: 1
			init:
		)
		((= newCyclingProp_2 (CyclingProp new:))
			view: 899
			loop: 2
			x: 285
			y: 11
			cycleSpeed: 1
			init:
		)
		((= newCyclingProp_3 (CyclingProp new:))
			view: 899
			loop: 1
			x: 184
			y: 62
			cycleSpeed: 1
			init:
		)
		((= newCyclingProp_4 (CyclingProp new:))
			view: 899
			loop: 3
			x: 118
			y: 82
			cycleSpeed: 1
			init:
		)
		((= newCyclingProp_5 (CyclingProp new:))
			view: 899
			loop: 4
			x: 148
			y: 44
			cycleSpeed: 1
			init:
		)
		((= newCyclingProp_6 (CyclingProp new:))
			view: 56
			loop: 6
			x: 140
			y: 182
			cycleSpeed: 1
			init:
		)
		((= newCyclingProp_7 (CyclingProp new:))
			view: 56
			loop: 6
			x: 47
			y: 152
			cycleSpeed: 1
			init:
		)
		((= newCyclingProp_8 (CyclingProp new:))
			view: 56
			loop: 8
			x: 129
			y: 184
			cycleSpeed: 1
			init:
		)
		(if (!= global132 2)
			(newCyclingProp addToPic:)
			(newCyclingProp_2 addToPic:)
			(newCyclingProp_3 addToPic:)
			(newCyclingProp_4 addToPic:)
			(newCyclingProp_5 addToPic:)
			(newCyclingProp_6 addToPic:)
			(newCyclingProp_7 addToPic:)
			(newCyclingProp_8 addToPic:)
		)
		(self setScript: introScript)
	)
	
	(method (dispose)
		(views dispose:)
		(gIceMouseDownHandler delete: self)
		(gIceKeyDownHandler delete: self)
		(super dispose:)
	)
	
	(method (handleEvent)
		(gNewQSnd dispose:)
		(self newRoom: 1)
	)
	
	(method (cue)
		(if script ((proc957_0 118 self) cue:))
	)
)

(instance introScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(subBubbles init: 126 87)
				((= gNewQSnd (QSnd new:))
					number:
					(switch gSoundDriver
						(1 401)
						(3 201)
						(else  1)
					)
					init:
					owner: gGame
					play: client
				)
				(= seconds 2)
			)
			(1
				(gGame setCursor: gCursor 0)
				((= newAct (Act new:))
					view: 600
					loop: 0
					setLoop:
					cel: 0
					x: 181
					y: 210
					setPri: 9
					ignoreActors: 1
					ignoreControl: -32768
					init:
				)
				(if (!= global132 2)
					(newAct posn: 181 129)
				else
					(newAct setMotion: MoveTo 181 129)
				)
				(= seconds 7)
			)
			(2
				((= newProp (Prop new:))
					view: 600
					loop: 2
					x: 123
					y: 130
					init:
					setPri: 12
					stopUpd:
				)
				((= newProp_2 (Prop new:))
					view: 600
					loop: 3
					x: 141
					y: 145
					setPri: 12
					init:
					stopUpd:
				)
				((= newProp_3 (Prop new:))
					view: 600
					loop: 4
					x: 157
					y: 145
					setPri: 12
					init:
					stopUpd:
				)
				((= newProp_4 (Prop new:))
					view: 600
					loop: 5
					x: 180
					y: 145
					setPri: 12
					init:
					stopUpd:
				)
				((= newProp_5 (Prop new:))
					view: 600
					loop: 5
					x: 207
					y: 145
					setPri: 12
					init:
					stopUpd:
				)
				((= newProp_6 (Prop new:))
					view: 600
					loop: 6
					x: 236
					y: 145
					setPri: 12
					init:
					stopUpd:
				)
				(newAct dispose:)
				((= newAct_2 (Act new:))
					view: 600
					setLoop: 1
					cel: 0
					posn: 212 210
					setPri: 12
					ignoreActors: 1
					ignoreControl: -32768
					init:
				)
				(if (!= global132 2)
					(newAct_2 posn: 212 160)
				else
					(newAct_2 setMotion: MoveTo 212 160)
				)
				(= seconds 2)
			)
			(3)
			(4
				(if (== global132 2)
					((= newAct_3 (Act new:))
						view: 800
						loop: 0
						cel: 0
						x: 50
						y: 147
						xStep: 25
						init:
						setScript: missleScript
						setPri: 12
					)
					(= seconds 1)
				else
					(= cycles 1)
				)
			)
			(5
				(if (== global132 0)
					(newProp dispose:)
					(newProp_2 dispose:)
					(newProp_3 dispose:)
					(newProp_4 dispose:)
					(newProp_5 dispose:)
					(newProp_6 dispose:)
					(newAct_2 dispose:)
					(self changeState: 10)
				else
					(newProp setCycle: End)
					(= cycles (if (!= global132 2) 1 else 3))
				)
			)
			(6
				(newProp_2 setCycle: End)
				(= cycles (if (!= global132 2) 1 else 3))
			)
			(7
				(if (== global132 2) (newAct_3 xStep: 20))
				(newProp_3 setCycle: End)
				(= cycles (if (!= global132 2) 1 else 3))
			)
			(8
				(if (== global132 2) (newAct_3 xStep: 18))
				(newProp_4 setCycle: End)
				(newAct_2 setCycle: End)
				(= cycles (if (!= global132 2) 1 else 3))
			)
			(9
				(if (== global132 2) (newAct_3 xStep: 16))
				(newProp_5 setCycle: End)
				(= cycles (if (!= global132 2) 1 else 3))
			)
			(10
				(switch global132
					(2
						(newAct_3 xStep: 2)
						(newProp_6 setCycle: End)
					)
					(1 (newProp_6 setCycle: End))
				)
			)
			(11
				(localproc_000c 700 3 0 114 130)
			)
			(12
				(localproc_000c 700 3 1 126 130)
			)
			(13
				(localproc_000c 700 3 2 137 130)
			)
			(14
				(localproc_000c 700 3 3 148 130)
			)
			(15
				(localproc_000c 700 3 4 164 130)
			)
			(16
				(localproc_000c 700 3 5 177 130)
			)
			(17
				(localproc_000c 700 3 6 191 130)
			)
			(18
				(localproc_000c 700 3 3 204 130)
			)
			(19
				(localproc_000c 400 4 7 214 130)
			)
			(20 (ice init:) (man init:))
			(21
				(gCast eachElementDo: #dispose)
				(views release:)
				(gRoom drawPic: 100)
				(gRoom newRoom: 102)
			)
		)
	)
)

(instance ice of Act
	(properties
		y 225
		x 140
		view 700
		loop 2
	)
	
	(method (init)
		(super init:)
		(self setLoop: loop setPri: 11)
		(if (!= global132 2)
			(self posn: 140 172 cue:)
		else
			(self setMotion: MoveTo 140 172 self)
		)
	)
	
	(method (cue)
		(Display 100 0 dsCOORD 108 182 dsCOLOR 15)
		(self stopUpd:)
		(bubbles init:)
		(ray init:)
		(subBubbles init: 166 66)
	)
)

(instance man of Act
	(properties
		y 224
		x 226
		view 700
		loop 2
		cel 1
	)
	
	(method (init)
		(super init:)
		(self setLoop: loop setPri: 11)
		(if (!= global132 2)
			(self posn: 226 171 cue:)
		else
			(self setMotion: MoveTo 226 171 self)
		)
	)
	
	(method (cue)
		(self stopUpd:)
	)
)

(instance ray of Act
	(properties
		y 179
		x 139
		view 60
		loop 2
		xStep 5
	)
	
	(method (init)
		(super init:)
		(self
			setPri: 12
			setLoop: loop
			setCycle: Walk
			ignoreActors: 1
			ignoreControl: -32768
			setScript: rayScript
		)
	)
)

(instance rayScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(client setMotion: MoveTo 87 158 self)
			)
			(1
				(client
					setLoop: 4
					setCel: 0
					setPri: 10
					setCycle: End self
				)
			)
			(2
				(client
					setLoop: 3
					setCycle: Walk
					setMotion: MoveTo 340 143 self
				)
			)
			(3 (client hide: setScript: 0))
		)
	)
)

(instance missleScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(client
					setPri: 14
					ignoreActors: 1
					illegalBits: 0
					setMotion: MoveTo 400 (client y?)
					setCycle: End self
				)
			)
			(1
				(client setLoop: 1 setCycle: End self)
			)
			(2
				((= register (Prop new:))
					view: 800
					loop: 2
					x: 152
					y: 152
					init:
					setCycle: End self
				)
				(client hide:)
			)
			(3 (register dispose:))
		)
	)
)

(instance bubbles of Act
	(properties
		y 179
		x 139
		view 899
	)
	
	(method (init)
		(super init:)
		(self
			setLoop: 5
			ignoreActors: 1
			setPri: 12
			setCycle: Walk
			ignoreControl: -32768
			setMotion: MoveTo 139 -10 self
		)
	)
	
	(method (cue)
		(self dispose:)
	)
)

(instance subBubbles of Act
	(properties
		view 899
	)
	
	(method (init param1 param2)
		(super init:)
		(self
			posn: param1 param2
			setLoop: 6
			setPri: 3
			ignoreActors: 1
			setCycle: Walk
			ignoreControl: -32768
			setMotion: MoveTo param1 -10 self
		)
	)
	
	(method (cue)
		(self dispose:)
	)
)

(instance views of Collect
	(properties)
)
