;;; Sierra Script 1.0 - (do not remove this comment)
(script# 388)
(include sci.sh)
(use Main)
(use Class_255_0)
(use subMarine)
(use n828)
(use Cycle)
(use Obj)

(public
	latheScript 0
	drillScript 1
	grindScript 2
)

(instance latheScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if (== ((ScriptID 34 1) prevSignal?) -1) (self cue:))
	)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 388)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(Print 388 0)
				((ScriptID 34 2) setCycle: Fwd)
				((ScriptID 34 3) setCycle: Fwd)
				((ScriptID 34 4) setCycle: Fwd)
				((ScriptID 34 5) setCycle: Fwd)
				(client setMotion: MoveTo 115 93 client)
				((ScriptID 34 1) number: (DecideSound 30) loop: 1 play:)
			)
			(1
				(Print 388 1)
				((ScriptID 34 2) stopUpd:)
				((ScriptID 34 3) stopUpd:)
				((ScriptID 34 4) stopUpd:)
				((ScriptID 34 5) dispose:)
				(client setMotion: 0 stopUpd:)
				(HandsOn)
				(proc828_0 subMarine 406 512 1)
				(self dispose:)
			)
		)
	)
)

(instance drillScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if (== ((ScriptID 34 1) prevSignal?) -1) (self cue:))
	)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 388)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo heading: 0)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 5)
			)
			(1
				(gEgo view: 434 setLoop: 0 setCel: 4 setCycle: Beg self)
			)
			(2
				(gEgo setCycle: End self)
				(client setCycle: End)
			)
			(3
				(Print 388 2)
				((ScriptID 34 1) number: (DecideSound 31) loop: 1 play:)
			)
			(4
				(gEgo setCycle: Beg self)
				(client setCycle: Beg)
			)
			(5
				(client stopUpd:)
				(gEgo setCycle: End self)
			)
			(6
				(gEgo
					view: 232
					loop: 3
					setLoop: -1
					setCycle: Walk
					setAvoider: 0
				)
				(HandsOn)
				(self dispose:)
			)
		)
	)
)

(instance grindScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if (== ((ScriptID 34 1) prevSignal?) -1) (self cue:))
	)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 388)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(Print 388 3)
				(gEgo
					view: 434
					loop: 1
					cel: 0
					cycleSpeed: 3
					setCycle: Fwd
				)
				((ScriptID 34 1) number: (DecideSound 17) loop: 1 play:)
			)
			(1
				(Print 388 4)
				(gEgo view: 232 loop: 3 cycleSpeed: 0 setCycle: Walk)
				(proc828_0 subMarine 406 4096 1)
				(subMarine roomFlags: (| (subMarine roomFlags?) $0004))
				(HandsOn)
				(self dispose:)
			)
		)
	)
)
