;;; Sierra Script 1.0 - (do not remove this comment)
(script# 45)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n958)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	netBeachRm 0
)

(local
	local0
	local1
	local2
)
(instance netBeachRm of Rm
	(properties
		picture 55
		north 70
		east 46
		south 53
		west 53
	)
	
	(method (init)
		(super init:)
		(self setRegions: 305)
		(proc958_0 128 152 455 155 54)
		(gEgo init:)
		(HandsOn)
		(switch gPrevRoomNum
			(53
				(gEgo
					illegalBits: -32768
					posn: 10 135
					loop: 0
					setMotion: MoveTo 320 140
				)
			)
			(46
				(gEgo
					illegalBits: -32768
					posn: 285 (gEgo y?)
					loop: 1
					setMotion: MoveTo -5 (gEgo y?)
				)
			)
			(else 
				(gEgo
					illegalBits: -32768
					posn: 285 100
					loop: 1
					setMotion: MoveTo -5 (gEgo y?)
				)
			)
		)
		(if (not ((gInv at: 4) ownedBy: 55))
			(net
				init:
				illegalBits: 0
				ignoreHorizon: 1
				ignoreActors: 1
				posn: 226 -20
				setScript: fishing 0 (Random 40 120)
			)
			(line
				init:
				illegalBits: 0
				ignoreHorizon: 1
				ignoreActors: 1
				posn: 225 -39
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
			(and (Said 'look>') (Said '[<around][/room][/water]')) (Print 45 0))
		)
	)
)

(instance DV-3X of View
	(properties
		view 152
	)
)

(instance net of Act
	(properties
		view 455
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
			(Said 'bind,conceal,adjust,drop,park/vehicle,diver') (if (gEgo has: 6) (Print 45 1) else (Print 45 2)))
			((Said '/net>')
				(if local2
					(cond 
						((Said 'look[<at]') (Print 45 3))
						((Said 'look[<in]') (if (== (net cel?) 1) (Print 45 4) else (Print 45 5)))
						((Said 'get/net') (Print 45 6))
						((Said 'open/net') (Print 45 7))
					)
				else
					(Print 45 8)
					(pEvent claimed: 1)
				)
			)
		)
	)
)

(instance line of Act
	(properties
		view 455
		loop 1
	)
)

(instance fishing of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= cycles register))
			(1
				(line setMotion: MoveTo 225 57)
				(= local2 1)
				(net setCel: 0 setMotion: MoveTo 226 86 self)
			)
			(2
				(= local0 1)
				(if (== local1 1)
					((gInv at: 4) moveTo: 55)
					(= local1 0)
				)
				(= cycles 200)
			)
			(3
				(= local0 0)
				(line setMotion: MoveTo 225 -49)
				(net setMotion: MoveTo 226 -20 self)
			)
			(4
				(= local2 0)
				(= cycles (Random 300 700))
			)
			(5 (self changeState: 1))
		)
	)
	
	(method (handleEvent pEvent)
		(super handleEvent: pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'adjust/bottle')
				(cond 
					((not local2) (Print 45 9))
					(
						(not
							(if
								(and
									(< 100 (gEgo x?))
									(< (gEgo x?) 300)
									(< 0 (gEgo y?))
								)
								(< (gEgo y?) 120)
							)
						)
						(Print 45 10)
					)
					((and local0 (gEgo has: 4)) (gEgo setScript: putBottle) (self dispose:))
					((gEgo has: 4) (Print 45 11))
					(else (Print 45 12))
				)
			)
		)
	)
)

(instance putBottle of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(Print 45 13)
				(gEgo ignoreActors: 1 illegalBits: 0)
				(cond 
					((and (< (gEgo x?) 227) (< 85 (gEgo y?))) (self changeState: 1))
					((and (< (gEgo x?) 227) (< (gEgo y?) 86)) (self changeState: 4))
					((and (< 226 (gEgo x?)) (< 85 (gEgo y?))) (self changeState: 2))
					(else (self changeState: 3))
				)
			)
			(1
				(gEgo setMotion: MoveTo 180 104 self)
			)
			(2
				(gEgo setMotion: MoveTo 247 104 self)
			)
			(3
				(gEgo setMotion: MoveTo 248 73 self)
			)
			(4
				(gEgo setMotion: MoveTo 195 73 self)
			)
			(5
				(gEgo setMotion: MoveTo 195 96 self)
			)
			(6
				(gEgo setMotion: MoveTo 226 96 self)
			)
			(7
				(gEgo
					view: 152
					viewer: 0
					setLoop: 5
					setCel: 0
					cycleSpeed: 1
					setCycle: End self
				)
				(if (gEgo has: 6)
					(DV-3X
						init:
						view: 155
						setLoop: 8
						setCel: 2
						setPri: (gEgo priority?)
						ignoreActors:
						posn: (+ (gEgo x?) 28) (- (gEgo y?) 3)
					)
				)
			)
			(8
				(gEgo setLoop: 2 setCel: 0 setCycle: End self)
			)
			(9
				(net setCel: 1)
				(gEgo setCycle: Beg self)
				(= local1 1)
				(gGame changeScore: 1)
				(gEgo put: 4)
			)
			(10
				(line setMotion: MoveTo 225 -49)
				(net setMotion: MoveTo 226 -20)
				(gEgo setLoop: 5 setCel: 4 setCycle: Beg self)
			)
			(11
				(if (gEgo has: 6)
					(DV-3X dispose:)
					(gEgo
						view: 54
						loop: 0
						setLoop: -1
						cel: 5
						setCycle: Walk
						cycleSpeed: 2
						ignoreActors: 0
						illegalBits: -32768
					)
				else
					(gEgo
						view: 154
						loop: 0
						setLoop: -1
						cel: 5
						setCycle: Walk
						cycleSpeed: 2
						ignoreActors: 0
						illegalBits: -32768
					)
				)
				(= local0 0)
				(net setScript: fishing 0 300)
				(HandsOn)
				(= cycles 30)
			)
			(12
				(= local2 0)
				(self dispose:)
			)
		)
	)
)
