;;; Sierra Script 1.0 - (do not remove this comment)
(script# 362)
(include sci.sh)
(use Main)
(use Class_255_0)
(use tunisia)
(use n982)
(use Cycle)
(use User)
(use Feature)
(use Obj)

(public
	openFridgeScript 0
	closeFridgeScript 1
)

(local
	local0
	local1
	theGEgoX
	theGEgoY
	local4
)
(procedure (localproc_000e)
	(Print 362 0)
)

(instance openFridgeScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if (and (< state 2) (proc982_1 client gEgo 180))
			(self cue:)
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (client setCycle: End self))
			(1
				(HandsOn)
				(tunisia fridgeIs: 1)
				(inFridge init:)
				(ketchup init:)
				(milk init:)
				(butter init:)
				(if (== (tunisia cheezIs?) 1) (cheez init:))
			)
			(2 (client setCycle: Beg self))
			(3
				(client stopUpd:)
				(inFridge dispose:)
				(milk dispose:)
				(cheez dispose:)
				(butter dispose:)
				(ketchup dispose:)
				(= cycles 2)
			)
			(4
				(self dispose:)
				(DisposeScript 362)
				(tunisia fridgeIs: 0)
			)
		)
	)
)

(instance closeFridgeScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if (gEgo script?)
					(gEgo cue:)
					(= local4 1)
				else
					(= cycles 1)
				)
			)
			(1
				(if (!= (gEgo heading?) 90)
					(gEgo heading: 90)
					((gEgo looper?) doit: gEgo (gEgo heading?) self)
				else
					(= cycles 1)
				)
			)
			(2 (client setCycle: Beg self))
			(3
				(HandsOn)
				(client stopUpd:)
				(inFridge dispose:)
				(milk dispose:)
				(cheez dispose:)
				(butter dispose:)
				(ketchup dispose:)
				(= cycles 2)
			)
			(4
				(self dispose:)
				(DisposeScript 362)
				(tunisia fridgeIs: 0)
			)
		)
	)
)

(instance milkActionScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if (!= (gEgo heading?) 90)
					(gEgo heading: 90)
					((gEgo looper?) doit: gEgo (gEgo heading?))
					(= cycles 4)
				else
					(= cycles 1)
				)
			)
			(1
				(gEgo
					view: (if (== (= register (gEgo view?)) 84) 884 else 784)
					setLoop: 0
					setCel: 0
				)
				(if (== local0 2)
					(gEgo setCycle: End self)
				else
					(gEgo setCycle: CT 4 1 self)
				)
				(milk hide:)
			)
			(2
				(if (== local0 2) (Print 362 1) else (Print 362 2))
				(= seconds 2)
			)
			(3
				(if (== local0 2) (tunisia milkIs: 2))
				(milk show:)
				(gEgo setCycle: Beg self)
			)
			(4
				(gEgo
					view: register
					loop: 0
					setPri: -1
					setLoop: -1
					cel: -1
					setCycle: Walk
				)
				(HandsOn)
				(client setScript: 0)
			)
		)
	)
)

(instance cheezActionScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if (!= (gEgo heading?) 90)
					(gEgo heading: 90)
					((gEgo looper?) doit: gEgo (gEgo heading?))
					(= cycles 4)
				else
					(= cycles 1)
				)
			)
			(1
				(gEgo
					view: (if (== (= register (gEgo view?)) 84) 884 else 784)
					setLoop: 1
					setCel: 0
				)
				(if (== local1 1)
					(gEgo setCycle: End self)
				else
					(gEgo setCycle: CT 4 1 self)
				)
				(cheez hide:)
			)
			(2
				(if (== local1 1) (Print 362 3) else (Print 362 4))
				(= seconds 2)
			)
			(3
				(if (== local1 1)
					(tunisia cheezIs: 2)
					(cheez dispose:)
				else
					(tunisia cheezIs: 1)
					(cheez show:)
				)
				(if (== local1 1)
					(= cycles 1)
				else
					(gEgo setCycle: Beg self)
				)
			)
			(4
				(gEgo
					view: register
					loop: 0
					setPri: -1
					setLoop: -1
					cel: -1
					setCycle: Walk
				)
				(HandsOn)
				(client setScript: 0)
			)
		)
	)
)

(instance getButterScript of Script
	(properties)
	
	(method (init)
		(super init: &rest)
		(gIceDirectionHandler add: self)
	)
	
	(method (dispose)
		(gIceDirectionHandler delete: self)
		(super dispose: &rest)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if (!= (gEgo heading?) 90)
					(gEgo heading: 90)
					((gEgo looper?) doit: gEgo (gEgo heading?))
					(= cycles 4)
				else
					(= cycles 1)
				)
			)
			(1
				(gEgo
					view: (if (== (= register (gEgo view?)) 84) 884 else 784)
					setLoop: 2
					setCel: 0
				)
				(gEgo setCycle: End self)
				(butter hide:)
			)
			(2
				(Print 362 5)
				(User canInput: 1)
			)
			(3 (gEgo setCycle: Beg self))
			(4
				(gEgo
					view: register
					setPri: -1
					loop: 0
					setLoop: -1
					cel: -1
					setCycle: Walk
				)
				(butter show:)
				(HandsOn)
				(if (and theGEgoX theGEgoY)
					(gEgo setMotion: MoveTo theGEgoX theGEgoY)
				)
				(if local4 (closeFridgeScript cue:))
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent &tmp gEgoX gEgoY)
		(super handleEvent: pEvent)
		(= theGEgoX 0)
		(= theGEgoY 0)
		(switch (pEvent type?)
			(evJOYSTICK
				(= gEgoX (gEgo x?))
				(= gEgoY (gEgo y?))
				(switch (pEvent message?)
					(JOY_NULL
						(= theGEgoX gEgoX)
						(= theGEgoY gEgoY)
					)
					(JOY_UP
						(= theGEgoX gEgoX)
						(= theGEgoY (- gEgoY 1000))
					)
					(JOY_UPRIGHT
						(= theGEgoX (+ gEgoX 1000))
						(= theGEgoY (- gEgoY 1000))
					)
					(JOY_RIGHT
						(= theGEgoX (+ gEgoX 1000))
						(= theGEgoY gEgoY)
					)
					(JOY_DOWNRIGHT
						(= theGEgoX (+ gEgoX 1000))
						(= theGEgoY (+ gEgoY 1000))
					)
					(JOY_DOWN
						(= theGEgoX gEgoX)
						(= theGEgoY (+ gEgoY 1000))
					)
					(JOY_DOWNLEFT
						(= theGEgoX (- gEgoX 1000))
						(= theGEgoY (+ gEgoY 1000))
					)
					(JOY_LEFT
						(= theGEgoX (- gEgoX 1000))
						(= theGEgoY gEgoY)
					)
					(JOY_UPLEFT
						(= theGEgoX (- gEgoX 1000))
						(= theGEgoY (- gEgoY 1000))
					)
				)
				(self cue:)
			)
			(evMOUSEBUTTON
				(= theGEgoX (pEvent x?))
				(= theGEgoY (pEvent y?))
				(self cue:)
			)
			(evSAID
				(cond 
					(
						(or
							(Said 'detach/lid,top')
							(Said 'open/butterdish,butter,dish,(dish<butter)')
						)
						(Print 362 6)
						(if (gEgo has: 14) (Print 362 7) else (Print 362 8))
					)
					((Said 'look/bag[<plastic]')
						(if (gEgo has: 14)
							(pEvent claimed: 1)
						else
							(Print 362 9)
						)
					)
					((Said 'look/note,newspaper,letter')
						(if (gEgo has: 14)
							(pEvent claimed: 1)
						else
							(Print 362 10)
						)
					)
					(
						(or
							(Said 'get,open/bag[<plastic]')
							(Said 'get,detach/newspaper,note,letter')
						)
						(if (gEgo has: 14)
							(pEvent claimed: 1)
						else
							(Print 362 11)
							(Print 362 12)
							(gEgo get: 14)
							(self cue:)
						)
					)
				)
			)
			(else  (pEvent claimed: 0))
		)
	)
)

(instance inFridge of View
	(properties
		y 76
		x 276
		view 284
		loop 2
		cel 1
	)
	
	(method (init)
		(super init:)
		(self setPri: 10)
	)
)

(instance milk of View
	(properties
		y 38
		x 288
		view 284
		loop 2
		cel 2
	)
	
	(method (init)
		(super init:)
		(gIceMouseDownHandler addToFront: self)
		(self setPri: 11)
	)
	
	(method (dispose)
		(gIceMouseDownHandler delete: self)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/milk]>')
				(cond 
					((Said 'look[<at]')
						(if (== (tunisia milkIs?) 2)
							(Print 362 13)
						else
							(Print 362 14)
						)
					)
					((Said 'get')
						(cond 
							((gEgo script?) (localproc_000e))
							((== (tunisia milkIs?) 2) (Print 362 15))
							(else (= local0 0) (gEgo setScript: milkActionScript))
						)
					)
					((Said 'drink')
						(cond 
							((gEgo script?) (localproc_000e))
							((== (tunisia milkIs?) 2) (Print 362 15))
							(else (= local0 2) (gEgo setScript: milkActionScript))
						)
					)
					((Said 'smell')
						(if (== (tunisia milkIs?) 2)
							(Print 362 15)
						else
							(Print 362 16)
						)
					)
				)
			)
		)
	)
)

(instance cheez of View
	(properties
		y 53
		x 288
		view 284
		loop 2
		cel 3
	)
	
	(method (init)
		(super init:)
		(gIceMouseDownHandler addToFront: self)
		(self setPri: 11)
	)
	
	(method (dispose)
		(gIceMouseDownHandler delete: self)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/cheese]>')
				(cond 
					((Said 'look[<at]') (Print 362 17))
					((Said 'get')
						(if (gEgo script?)
							(localproc_000e)
						else
							(= local1 0)
							(gEgo setScript: cheezActionScript)
						)
					)
					((Said 'eat')
						(if (gEgo script?)
							(localproc_000e)
						else
							(= local1 1)
							(gEgo setScript: cheezActionScript)
						)
					)
					((Said 'smell')
						(if (== (tunisia cheezIs?) 2)
							(Print 362 18)
						else
							(Print 362 16)
						)
					)
				)
			)
		)
	)
)

(instance butter of View
	(properties
		y 23
		x 285
		view 284
		loop 2
		cel 4
	)
	
	(method (init)
		(super init:)
		(gIceMouseDownHandler addToFront: self)
		(self setPri: 11)
	)
	
	(method (dispose)
		(gIceMouseDownHandler delete: self)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/(dish<butter),butter,butterdish]>')
				(cond 
					((Said 'examine,look[<at,in]') (Print 362 19))
					((Said 'get')
						(if (gEgo script?)
							(Print 362 20)
						else
							(gEgo setScript: getButterScript)
						)
					)
					((Said 'adjust,drop') (if (gEgo script?) (gEgo cue:) else (Print 362 21)))
					((Said 'eat') (Print 362 22))
					((Said 'smell') (Print 362 16))
				)
			)
		)
	)
)

(instance ketchup of View
	(properties
		y 51
		x 291
		view 284
		loop 2
		cel 5
	)
	
	(method (init)
		(super init:)
		(gIceMouseDownHandler addToFront: self)
		(self setPri: 11)
	)
	
	(method (dispose)
		(gIceMouseDownHandler delete: self)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/catsup]>')
				(cond 
					((Said 'look[<at]') (Print 362 23))
					((Said 'get')
						(if (gEgo script?)
							(localproc_000e)
						else
							(Print 362 24)
						)
					)
					((Said 'eat,drink') (Print 362 22))
					((Said 'open') (Print 362 25))
					((Said 'smell') (Print 362 26))
				)
			)
		)
	)
)
