;;; Sierra Script 1.0 - (do not remove this comment)
(script# 81)
(include sci.sh)
(use Main)
(use Class_255_0)
(use tunisia)
(use n821)
(use Approach)
(use n954)
(use n958)
(use Grooper)
(use RFeature)
(use Avoid)
(use Sound)
(use Cycle)
(use Game)
(use User)
(use Feature)
(use Obj)

(public
	outsideCompoundRm 0
)

(local
	local0
	local1
	local2
	local3
)
(instance outsideCompoundRm of Rm
	(properties
		picture 81
		north 86
		east 82
	)
	
	(method (init)
		(super init:)
		(self
			setRegions: 310
			setFeatures:
				windo
				((Clone windo)
					x: 266
					y: 26
					z: 0
					nsLeft: 247
					nsTop: 12
					nsRight: 285
					nsBottom: 40
					yourself:
				)
				doorFeat
				building
		)
		(Load rsVIEW 787)
		(Load rsVIEW 285)
		(switch gPrevRoomNum
			(east
				(gEgo posn: 314 (gEgo y?) loop: 1 init:)
				(guardRight
					view: 787
					setLoop: Grooper
					loop: 2
					cel: 0
					posn: 223 78
					init:
				)
				(self setScript: offLimitsScript)
			)
			(80
				(proc958_0 128 85 684 185 687 287)
				(guardRight
					view: 787
					setLoop: Grooper
					loop: 2
					cel: 0
					posn: 223 78
					init:
				)
				(van init:)
				(vanDoor view: 185 loop: 2 cel: 0 init:)
				(self setScript: vanInScript)
			)
			(else 
				(proc958_0 128 181 185 281 376 684 287)
				(proc958_0 132 82 18 218)
				(stacy view: 181 loop: 0 cel: 0 posn: 262 90)
				(van view: 185 loop: 0 cel: 0 posn: 256 97 init:)
				(vanDoor
					view: 185
					loop: 3
					cel: 0
					x: (- (van x?) 2)
					y: (+ (van y?) 1)
					z: 11
					init:
				)
				(self setScript: shootOutScript)
			)
		)
		(gAddToPics add: arch doit:)
		(door init: ignoreActors: 1)
		(guardLeft
			view: 285
			loop: 1
			cel: 0
			illegalBits: 0
			ignoreActors: 1
			posn: 154 78
			init:
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at,around][/room,town,scene]') (Print 81 0))
			((Said 'load/gun') (Print 81 1))
		)
	)
	
	(method (newRoom newRoomNumber)
		(cond 
			((== (gEgo script?) stayHereScript) (return))
			(
				(and
					(not (proc999_5 newRoomNumber 86 88))
					(!= gPrevRoomNum 82)
				)
				(gEgo setScript: stayHereScript)
			)
			(else (super newRoom: newRoomNumber &rest))
		)
	)
)

(instance stayHereScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(Print 81 2)
				(gEgo
					setMotion: MoveTo (- (gEgo x?) 20) (gEgo y?) self
				)
			)
			(1 (HandsOn) (self dispose:))
		)
	)
)

(instance offLimitsScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if (and (== (gEgo onControl: 1) 2) (== state 0))
			(self cue:)
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0)
			(1
				(HandsOff)
				(Print 81 3)
				(guardRight
					setAvoider: Avoid
					setCycle: Walk
					setMotion: Approach gEgo 20 self
				)
			)
			(2
				(guardRight
					heading:
						(GetAngle
							(guardRight x?)
							(guardRight y?)
							(gEgo x?)
							(gEgo y?)
						)
				)
				((guardRight looper?)
					doit: guardRight (guardRight heading?)
				)
				(= cycles 5)
			)
			(3
				(self setScript: arabicScript)
			)
		)
	)
)

(instance vanInScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(-- local2)
		(cond 
			((!= state 4))
			((== local2 1) (= local2 0) (client setScript: orderedOutScript))
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(van setLoop: 0 setStep: 8 8 setMotion: MoveTo 256 97)
				(= cycles 8)
			)
			(1
				(van setStep: 6 6)
				(= cycles 5)
			)
			(2
				(van setStep: 4 4)
				(= cycles 8)
			)
			(3
				(van setStep: 2 2 setMotion: MoveTo 256 97 self)
			)
			(4
				(van stopUpd:)
				(User canInput: 1)
				(= local2 200)
			)
			(5
				(Print 81 4)
				(vanDoor setCycle: End self)
			)
			(6
				(vanDoor setLoop: 3 stopUpd:)
				(gEgo
					view: (if (gEgo has: 13) 85 else 684)
					posn: (- (van x?) 10) (+ (van y?) 3)
					loop: 2
					setLoop: Grooper
					setCycle: Walk
					init:
				)
				(HandsOn)
				(= local3 1)
				(= local1 200)
				(client setScript: outOfVanScript)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(or
					(Said 'exit,exit[/truck]')
					(Said 'open/truck,door[<truck]')
					(Said 'get[<out][/truck]')
					(Said 'stand')
				)
				(self cue:)
			)
			((Said 'open/tray,food') (PrintDontNeed))
			((Said 'get,(pick<up)/food,platter,tray')
				(cond 
					((gEgo has: 13) (Print 81 5))
					((== local0 1) (Print 81 6) (gEgo get: 13))
					(else (Print 81 7) (gEgo get: 13))
				)
			)
			((Said 'conceal/gun')
				(if (== local0 0)
					(Print 81 8)
					(= local0 1)
					(gGame changeScore: 2)
				else
					(Print 81 9)
				)
			)
			((Said 'look[<at]/compound') (Print 81 10))
			((Said 'address/guard') (Print 81 11))
			((Said 'shoot,fire[/guard,gun]') (Print 81 12))
		)
	)
)

(instance orderedOutScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(guardRight
					setAvoider: Avoid
					setCycle: Walk
					setMotion: MoveTo 177 84 self
				)
			)
			(1
				(guardRight setMotion: MoveTo 177 100 self)
			)
			(2
				(guardRight setMotion: MoveTo 185 100 self)
			)
			(3
				(Print 81 13)
				(Print 81 14)
				(vanDoor setCycle: End self)
			)
			(4
				(vanDoor setLoop: 3 stopUpd:)
				(gEgo
					view: (if (gEgo has: 13) 85 else 684)
					posn: (- (van x?) 10) (+ (van y?) 3)
					loop: 2
					setLoop: -1
					setLoop: Grooper
					setCycle: Walk
					init:
				)
				(= cycles 1)
			)
			(5
				(gEgo heading: 270)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 3)
			)
			(6
				(self setScript: arabicScript)
			)
		)
	)
)

(instance outOfVanScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(-- local1)
		(cond 
			((!= state 0))
			(
			(and (== (gEgo onControl: 1) 8) (gEgo has: 13)) (client setScript: friskScript))
			((or (== (gEgo onControl: 1) 4) (== local1 1)) (= local1 0) (self cue:))
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0)
			(1
				(HandsOff)
				(Print 81 15)
				(guardRight
					setCycle: Walk
					setAvoider: Avoid
					setMotion: Approach gEgo 20 self
				)
			)
			(2
				(guardRight
					heading:
						(GetAngle
							(guardRight x?)
							(guardRight y?)
							(gEgo x?)
							(gEgo y?)
						)
				)
				((guardRight looper?)
					doit: guardRight (guardRight heading?)
				)
				(gEgo
					heading:
						(GetAngle
							(gEgo x?)
							(gEgo y?)
							(guardRight x?)
							(guardRight y?)
						)
				)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 5)
			)
			(3
				(self setScript: arabicScript)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'shoot,fire[/guard,gun]') (client setScript: egoShootScript))
			((Said 'open/tray,food') (PrintDontNeed))
			((Said 'get,(pick<up)/food,platter,tray')
				(if (gEgo has: 13)
					(PrintAlreadyTookIt)
				else
					(client setScript: goGetFoodScript)
				)
			)
			((Said 'conceal/gun')
				(if (== local0 0)
					(client setScript: goHideGunScript)
				else
					(Print 81 9)
				)
			)
			((Said 'close/door,truck[<truck]') (PrintDontNeed))
		)
	)
)

(instance friskScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo
					ignoreActors: 1
					illegalBits: 0
					setMotion: MoveTo 175 78 self
				)
			)
			(1
				(if (not (tunisia madeCall?))
					(Print 81 16)
				else
					(Print 81 17)
				)
				(Print 81 18)
				(= cycles 1)
			)
			(2
				(guardRight
					ignoreActors: 1
					illegalBits: 0
					setCycle: Walk
					setMotion: MoveTo (gEgo x?) (+ (gEgo y?) 7) self
				)
			)
			(3
				(guardRight view: 485 loop: 0 cel: 0 setCycle: End self)
			)
			(4
				(guardRight setCycle: Beg self)
			)
			(5
				(cond 
					((== local0 0) (Print 81 19) (Print 81 20))
					((not (tunisia madeCall?)) (Print 81 21) (Print 81 22) (Print 81 19) (Print 81 20))
					(else (Print 81 23))
				)
				(= cycles 1)
			)
			(6 (door setCycle: End self))
			(7
				(gEgo setMotion: MoveTo 175 68 self)
				(guardRight
					ignoreActors: 1
					illegalBits: 0
					view: 787
					setCycle: Walk
					setMotion: MoveTo 175 68 self
				)
			)
			(8 (gEgo dispose:))
			(9
				(guardRight dispose:)
				(door setCycle: Beg self)
			)
			(10
				(if (or (== local0 0) (not (tunisia madeCall?)))
					(proc821_0 970 0 0 81 24)
				else
					(gRoom newRoom: 86)
				)
			)
		)
	)
)

(instance goGetFoodScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if (< (gEgo y?) 98)
					(gEgo setAvoider: Avoid setMotion: MoveTo 194 104 self)
				else
					(= cycles 1)
				)
			)
			(1
				(gEgo
					setMotion: MoveTo (- (van x?) 10) (+ (van y?) 3) self
				)
			)
			(2
				(gEgo heading: 0)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 4)
			)
			(3
				(Print 81 25)
				(gEgo setAvoider: 0 view: 85 get: 13)
				(= cycles 5)
			)
			(4
				(gEgo heading: 180)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 6)
			)
			(5
				(HandsOn)
				(= local1 200)
				(client setScript: outOfVanScript)
			)
		)
	)
)

(instance goHideGunScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if (< (gEgo y?) 98)
					(gEgo setAvoider: Avoid setMotion: MoveTo 194 104 self)
				else
					(= cycles 1)
				)
			)
			(1
				(gEgo
					setMotion: MoveTo (- (van x?) 10) (+ (van y?) 3) self
				)
			)
			(2
				(gEgo heading: 0)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 4)
			)
			(3
				(Print 81 26)
				(= local0 1)
				(gGame changeScore: 2)
				(= cycles 5)
			)
			(4
				(gEgo setAvoider: 0 heading: 180)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 6)
			)
			(5
				(HandsOn)
				(= local1 200)
				(client setScript: outOfVanScript)
			)
		)
	)
)

(instance egoShootScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo setAvoider: Avoid)
				(if (gEgo inRect: 270 130 319 189)
					(gEgo setMotion: MoveTo 279 123 self)
				else
					(= cycles 1)
				)
			)
			(1
				(gEgo setMotion: MoveTo 200 100 self)
				(Print 81 27)
			)
			(2
				(gEgo view: 687 loop: 0 cel: 0 setCycle: End self)
				(Print 81 28)
			)
			(3
				(guardLeft view: 287 loop: 1 setCycle: End)
				(gEgo loop: 1)
				(= cycles 7)
			)
			(4
				(gEgo setCycle: Beg)
				(guardRight view: 287 loop: 0 setCycle: End self)
			)
			(5
				(Print 81 29)
				(Print 81 30)
				(guardNew
					view: 787
					loop: 2
					cel: 0
					illegalBits: 0
					ignoreActors: 1
					setCycle: Walk
					posn: 176 70
					init:
				)
				(door setCycle: End self)
			)
			(6
				(gEgo loop: 0 setCycle: End)
				(guardNew
					setMotion: MoveTo (guardNew x?) (+ (guardNew y?) 5) self
				)
			)
			(7
				(Print 81 31)
				(Print 81 32)
				(guardNew view: 187 loop: 0 cel: 0 setCycle: CT 4 1 self)
			)
			(8
				(gEgo
					view: 687
					loop: 2
					cel: 0
					cycleSpeed: 1
					setCycle: End self
				)
				(guardNew setCycle: End)
			)
			(9 (= cycles 10))
			(10 (proc821_0 970 1 0 81 33))
		)
	)
)

(instance shootOutScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(gEgo
					view: 684
					loop: 2
					setCycle: Walk
					illegalBits: 0
					ignoreActors: 1
					posn: 175 58
					setPri: -1
					init:
				)
				(ambass
					view: 887
					loop: 2
					setCycle: Walk
					illegalBits: 0
					ignoreActors: 1
					posn: 180 65
					init:
				)
				(door setCycle: End self)
			)
			(1
				(gEgo setMotion: MoveTo 175 68)
				(ambass setMotion: MoveTo 185 75 self)
			)
			(2
				(guardLeft loop: 1 cel: 0 setCycle: End self)
			)
			(3
				(Print 81 34)
				(gEgo view: 281 loop: 1 setCycle: End)
				(ambass view: 281 loop: 0 setCycle: End)
				(= cycles 10)
			)
			(4
				(Print 81 35)
				(stacy
					init:
					setStep: 8 2
					setCel: 0
					setMotion: MoveTo 205 90 self
				)
			)
			(5
				(shot number: (DecideSound 18) play:)
				(stacy setCycle: End self)
			)
			(6
				(guardLeft loop: 2 cel: 0)
				(stacy view: 250 loop: 3 setLoop: -1 setStep: 3 2)
				(= cycles 1)
			)
			(7
				(gIceGlobalSound number: 82 play:)
				(guardLeft posn: 149 77 cel: 1)
				(splat
					view: 285
					loop: 3
					cel: 0
					x: 146
					y: 78
					z: 34
					init:
					cycleSpeed: 2
					setCycle: End
				)
				(= cycles 1)
			)
			(8
				(gEgo setCycle: Beg)
				(ambass setCycle: Beg)
				(guardLeft cycleSpeed: 1 setCycle: End self)
			)
			(9
				(Print 81 36)
				(Print 81 37)
				(stacy setMotion: MoveTo (van x?) (- (van y?) 10))
				(ambass
					view: 887
					loop: 2
					setCycle: Walk
					setMotion: MoveTo (van x?) (- (van y?) 5)
				)
				(gEgo
					view: 684
					loop: 2
					setCycle: Walk
					setLoop: -1
					setMotion: MoveTo 176 86 self
				)
			)
			(10
				(gEgo setMotion: MoveTo 200 98 self)
			)
			(11
				(gEgo
					setMotion: MoveTo (- (van x?) 10) (+ (van y?) 3) self
				)
			)
			(12
				(gEgo heading: 0)
				((gEgo looper?) doit: gEgo (gEgo heading?) self)
			)
			(13
				(gEgo dispose:)
				(ambass dispose:)
				(stacy dispose:)
				(vanDoor loop: 4 setCycle: End self)
			)
			(14
				(van
					illegalBits: 0
					ignoreActors: 1
					setLoop: 0
					setCel: 0
					setStep: 2 2
					setMotion: MoveTo -100 (van y?)
				)
				(= cycles 8)
			)
			(15
				(van setStep: 4 4)
				(= cycles 8)
			)
			(16
				(van setStep: 6 6)
				(= cycles 8)
			)
			(17
				(van setStep: 8 8)
				(= cycles 8)
			)
			(18
				(van setStep: 10 10 setMotion: MoveTo -100 (van y?) self)
			)
			(19
				(gInv eachElementDo: #owner 0)
				(gRoom newRoom: 88)
			)
		)
	)
)

(instance arabicScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(proc310_1 guardRight)
				(= seconds 2)
			)
			(1 (proc310_2) (= cycles 2))
			(2
				(proc310_1 gEgo)
				(= seconds 2)
			)
			(3 (proc310_2) (= cycles 2))
			(4
				(proc310_1 guardRight)
				(= seconds 2)
			)
			(5 (proc310_2) (= cycles 2))
			(6
				(if (== client offLimitsScript)
					(Print 81 38)
				else
					(Print 81 39)
				)
				(proc821_0 970 0 0 81 40)
			)
		)
	)
)

(instance guardLeft of Act
	(properties)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/guard,man]>')
				(cond 
					((Said 'address') (Print 81 41))
					((Said 'look[<at]') (Print 81 42))
				)
			)
		)
	)
)

(instance guardRight of Act
	(properties)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/guard,man]>')
				(cond 
					((Said 'address') (Print 81 41))
					((Said 'look[<at]') (Print 81 42))
				)
			)
		)
	)
)

(instance guardNew of Act
	(properties)
)

(instance van of Act
	(properties
		y 97
		x 390
		view 185
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/truck]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 81 43))
					((Said 'enter,(look<in)') (if (== local3 0) (Print 81 44) else (Print 81 45)))
				)
			)
		)
	)
)

(instance stacy of Act
	(properties)
)

(instance ambass of Act
	(properties)
)

(instance splat of Prop
	(properties)
)

(instance door of Prop
	(properties
		y 71
		x 155
		view 81
	)
)

(instance vanDoor of Prop
	(properties)
	
	(method (doit)
		(self x: (- (van x?) 2) y: (+ (van y?) 1) z: 11)
		(super doit:)
	)
)

(instance arch of PV
	(properties
		y 71
		x 187
		view 81
		loop 1
		signal $4000
	)
)

(instance shot of Sound
	(properties
		number 18
		priority 2
	)
)

(instance building of RFeature
	(properties
		y 35
		x 159
		nsBottom 71
		nsRight 319
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/building]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 81 46))
				)
			)
		)
	)
)

(instance windo of RFeature
	(properties
		y 23
		x 89
		nsTop 14
		nsLeft 79
		nsBottom 32
		nsRight 99
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/shutter]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 81 47))
					((Said 'open,(look,climb<(in,through))') (PrintBadIdea))
				)
			)
		)
	)
)

(instance doorFeat of RFeature
	(properties
		y 37
		x 186
		nsTop 3
		nsLeft 154
		nsBottom 71
		nsRight 219
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 81 48))
					((Said 'knock') (PrintBadIdea))
				)
			)
		)
	)
)
