;;; Sierra Script 1.0 - (do not remove this comment)
(script# 51)
(include sci.sh)
(use Main)
(use Class_255_0)
(use subMarine)
(use n821)
(use n958)
(use SmoothLooper)
(use Sound)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	scubaCycle 0
)

(local
	[local0 9] = [87 176 268 364 466 577 700 839 1000]
	local9
	local10
	local11
	local12
	local13
	local14
	local15
	local16
	local17
	local18
	local19
	local20
	local21
	local22
	local23
	local24
	local25
	local26
	local27
	local28
	local29
	local30
	local31
)
(procedure (localproc_000c param1 param2)
	(localproc_00d6
		(+ (* local10 190) (- 190 (gEgo y?)))
		(+ (* local9 320) (gEgo x?))
		(+ (* param2 190) (- 190 local20))
		(+ (* param1 320) local19)
	)
)

(procedure (localproc_0051 param1 param2 &tmp temp0 temp1)
	(= temp0
		(+ (* (- param1 local9) 320) (- local19 (gEgo x?)))
	)
	(= temp1
		(+ (* (- param2 local10) 190) (- local20 (gEgo y?)))
	)
	(= temp0 (/ (+ temp0 50) 100))
	(= temp1 (/ (+ temp1 50) 100))
	(return
		(if
			(and
				(< -130 temp0)
				(< temp0 130)
				(< -130 temp1)
				(< temp1 130)
			)
			(return (* (Sqrt (+ (* temp0 temp0) (* temp1 temp1))) 75))
		else
			(return 9999)
		)
	)
)

(procedure (localproc_00d6 param1 param2 param3 param4 &tmp temp0)
	(= temp0 (localproc_0127 param1 param2 param3 param4))
	(cond 
		((< (- param3 param1) 0)
			(if (<= (- param4 param2) 0)
				(= temp0 (+ temp0 180))
			else
				(= temp0 (- 180 temp0))
			)
		)
		((< (- param4 param2) 0) (= temp0 (- 360 temp0)))
	)
	(return temp0)
)

(procedure (localproc_0127 param1 param2 param3 param4 &tmp temp0 temp1 temp2 temp3)
	(= temp0 (Abs (- param3 param1)))
	(if (<= (= temp1 (Abs (- param4 param2))) temp0)
		(while (< 32 temp1)
			(= temp1 (/ temp1 2))
			(= temp0 (/ temp0 2))
		)
		(if (< (= temp2 (/ (* 1000 temp1) temp0)) 100)
			(= temp3 (/ (* temp1 57) temp0))
		else
			(= temp3 (localproc_019c temp2))
		)
	else
		(= temp3
			(- 90 (localproc_0127 param2 param1 param4 param3))
		)
	)
	(return temp3)
)

(procedure (localproc_019c param1 &tmp temp0)
	(= temp0 0)
	(while (< [local0 temp0] param1)
		(++ temp0)
	)
	(return
		(+
			(* 5 temp0)
			(/
				(* 5 (- param1 [local0 (- temp0 1)]))
				(- [local0 temp0] [local0 (- temp0 1)])
			)
		)
	)
)

(procedure (localproc_01d2)
	(return
		(if
			(and
				(not (* (- local11 local9) (- local12 local10)))
				(or
					(== (+ (- local11 local9) (- local12 local10)) 1)
					(== (+ (- local11 local9) (- local12 local10)) -1)
				)
			)
			(return 1)
		else
			(return 0)
		)
	)
)

(procedure (localproc_020e)
	(return
		(if (and (== local11 local9) (== local12 local10))
			(return 1)
		else
			(return 0)
		)
	)
)

(procedure (localproc_0225 param1 param2 param3 param4)
	(= param2 (- 450 param2))
	(= param4 (- 450 param4))
	(= local15 (/ (+ (CosMult param2 param1) 160) 320))
	(= local16 (/ (+ (SinMult param2 param1) 95) 190))
	(= local17 (/ (+ (CosMult param4 param3) 160) 320))
	(= local18 (/ (+ (SinMult param4 param3) 95) 190))
)

(instance scubaCycle of Rm
	(properties
		picture 51
	)
	
	(method (init)
		(super init:)
		(HandsOn)
		(proc958_0 128 54 952 151 152 953 155)
		(proc958_0 132 56 73)
		(gEgo
			cycleSpeed: 2
			loop: 3
			setLoop: -1
			setLoop: scubaLooper
			ignoreHorizon: 1
			init:
		)
		(if (gEgo has: 6)
			(= local28 1)
			(gEgo view: 54)
			(scubaLooper vNormal: 54 vChangeDir: 55)
			(headingGaugeProp
				init:
				setPri: 14
				ignoreActors: 1
				setScript: showGauge
				stopUpd:
			)
		else
			(= local28 5)
			(gEgo view: 154)
			(scubaLooper vNormal: 154 vChangeDir: 254)
		)
		(cond 
			((== gPrevRoomNum 50)
				(gEgo
					loop: 1
					posn: 315 100
					xStep: 3
					yStep: 2
					setMotion: MoveTo -5 100
				)
			)
			((== gPrevRoomNum 47) (gEgo loop: 2 posn: 155 5 setMotion: MoveTo 155 200))
			(else (gEgo posn: (gEgo x?) 5 setMotion: MoveTo (gEgo x?) 200))
		)
		(air init: ignoreActors: setPri: 15)
		(if (<= (/ gNewQSnd 800) 0) (air hide:))
		(bubbles init:)
		(soundBubbles
			number: (DecideSound 66)
			init:
			owner: self
			play: egosBubbleScript
		)
		(gauge init: setPri: 15 ignoreActors: addToPic:)
		(= local24 1)
		(= local29 1)
		(gGame changeScore: -3)
		(switch gPrevRoomNum
			(47
				(gGame changeScore: -17)
				(= local9 12)
				(= local10 6)
			)
			(57 (= local9 0) (= local10 6))
			(56 (= local9 1) (= local10 6))
			(55 (= local9 2) (= local10 6))
			(53 (= local9 3) (= local10 6))
			(54 (= local9 4) (= local10 6))
			(61 (= local9 5) (= local10 6))
			(58 (= local9 6) (= local10 6))
			(else 
				(gGame changeScore: 3)
				(= local24 0)
				(= local25 0)
				(= local29 0)
				(= local9 0)
				(= local10 0)
			)
		)
		(localproc_0225
			(subMarine dist1?)
			(subMarine head1?)
			(subMarine dist2?)
			(subMarine head2?)
		)
		(= local11 -8)
		(= local12 3)
		(= local13 3)
		(= local14 7)
		(= local19 160)
		(= local20 95)
		(= west (= east (= north (= south 999))))
		(if (== gPrevRoomNum 50)
			(if
				(not
					(if
						(and
							(& (subMarine roomFlags?) $0020)
							(& (subMarine roomFlags?) $0040)
						)
						(& (subMarine roomFlags?) $0080)
					)
				)
				(= local30 1)
				(= local31 250)
			)
		)
	)
	
	(method (doit)
		(if local30
			(if local31
				(-- local31)
			else
				(= local30 0)
				(gEgo setScript: loseDiver)
			)
		)
		(cond 
			((< 0 gNewQSnd)
				(= gNewQSnd (- gNewQSnd local28))
				(if (< 0 (/ gNewQSnd 800))
					(air setCel: (- 10 (/ gNewQSnd 800)))
				else
					(air hide:)
				)
				(if (and (== local21 1) (< (gEgo y?) 70))
					(gEgo edgeHit: 1)
				)
				(if
					(and
						(< (gEgo y?) 80)
						(== local11 local9)
						(== local12 (+ local10 1))
					)
					(gEgo edgeHit: 1)
				)
			)
			((not (gEgo script?)) (gEgo setScript: outOfAir))
		)
		(super doit:)
	)
	
	(method (dispose)
		(soundBubbles dispose:)
		(DisposeScript 314)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(super handleEvent: pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[adjust,adjust]/bomb')
				(cond 
					((not (gEgo has: 3)) (Print 51 0))
					(local26 (Print 51 1))
					(else (gEgo setScript: setExplosive))
				)
			)
			((Said 'look[<at]/bomb')
				(cond 
					((not (gEgo has: 3)) (Print 51 0))
					(local26 (Print 51 1))
					(else (Print 51 2))
				)
			)
			((Said 'look[<at]/timer')
				(if (not (gEgo has: 3))
					(Print 51 3)
				else
					(Print 51 4)
				)
			)
			((Said 'look[<at]/target')
				(cond 
					(local25
						(FormatPrint
							51
							5
							(localproc_000c local17 local18)
							(localproc_0051 local17 local18)
						)
					)
					(local29 (Print 51 6))
					(else
						(FormatPrint
							51
							7
							(localproc_000c local15 local16)
							(localproc_0051 local15 local16)
						)
					)
				)
			)
			((Said 'look[<at]/instrument,pod') (Print 51 8))
			(
				(Said
					'examine,look[<at]/gear,scuba,coat,wetsuit,equipment'
				)
				(Print 51 9)
			)
		)
	)
	
	(method (newRoom)
		(switch (gEgo edgeHit?)
			(1 (++ local10) (gEgo y: 185))
			(3 (-- local10) (gEgo y: 0))
			(2 (++ local9) (gEgo x: 0))
			(4 (-- local9) (gEgo x: 315))
		)
		(gEgo illegalBits: -32768)
		(if
			(and
				(== local10 local14)
				(<= (- local13 3) local9)
				(<= local9 (+ local13 9))
			)
			(gGame changeScore: 2)
			(switch (- local9 local13)
				(9
					(gGame changeScore: 20)
					(super newRoom: 47)
				)
				(3 (super newRoom: 58))
				(2 (super newRoom: 61))
				(1 (super newRoom: 54))
				(0
					(gGame changeScore: 3)
					(super newRoom: 53)
				)
				(-1 (super newRoom: 55))
				(-2 (super newRoom: 56))
				(-3 (super newRoom: 57))
			)
		else
			(bubbles hide:)
			(if local26 (plastic hide:))
			(cond 
				(local24 (gRoom drawPic: 51))
				((localproc_01d2)
					(gRoom drawPic: 51)
					(cond 
						(
						(and (== local9 local11) (== local10 (- local12 1)))
							(gAddToPics add: rigNorth doit:)
							(cond 
								(local21 (gEgo y: 80))
								((< (gEgo y?) 80) (gEgo y: 80))
							)
						)
						(
						(and (== local10 local12) (== local9 (- local11 1)))
							(gAddToPics
								add: pilingRightFT pilingRightFB pilingRightB
								doit:
							)
							(gEgo observeControl: 16)
							(if local26 (plastic posn: 289 155 show:))
							(if local21 (gEgo x: 220))
						)
						(
						(and (== local10 local12) (== local9 (+ local11 1)))
							(gAddToPics
								add: pilingLeftFT pilingLeftFB pilingLeftB
								doit:
							)
							(gEgo observeControl: 16384)
							(if local21 (gEgo x: 35))
						)
					)
					(= local21 0)
				)
				((localproc_020e)
					(= local25 1)
					(= local21 1)
					(gRoom drawPic: 52)
					(if (not local25) (gGame changeScore: 5))
					(if local26 (plastic posn: 69 160 show:))
					(switch (gEgo edgeHit?)
						(1 (gEgo y: 185))
						(3 (gEgo y: 70))
						(2
							(gEgo x: 97)
							(if (< (gEgo y?) 70) (gEgo y: 70))
						)
						(4
							(gEgo x: 283)
							(if (< (gEgo y?) 70) (gEgo y: 70))
						)
					)
					(if local27
						(= local27 0)
						(gEgo setScript: setExplosive)
					)
				)
				(else
					(if (and (== local15 local9) (== local16 local10))
						(= local25 1)
					)
					(if (and (== local17 local9) (== local18 local10))
						(= local29 1)
						(= local25 0)
					)
					(gRoom drawPic: 51)
				)
			)
			(gauge init: setPri: 15 addToPic:)
			(if (gEgo has: 6)
				(headingGaugeProp
					init:
					setPri: 14
					ignoreActors: 1
					setScript: showGauge
					stopUpd:
				)
			)
		)
	)
)

(instance scubaLooper of SmoothLooper
	(properties
		vNormal 54
		vChangeDir 55
	)
)

(instance rigNorth of PV
	(properties
		y 100
		x 160
		view 952
		priority 3
		signal $4000
	)
)

(instance pilingRightFT of PV
	(properties
		y 140
		x 294
		view 952
		loop 6
		priority 14
		signal $4000
	)
)

(instance pilingRightFB of PV
	(properties
		y 189
		x 293
		view 952
		loop 6
		cel 1
		priority 9
		signal $4000
	)
)

(instance pilingRightB of PV
	(properties
		y 189
		x 255
		view 952
		loop 4
		priority 1
		signal $4000
	)
)

(instance pilingLeftFT of PV
	(properties
		y 139
		x 24
		view 952
		loop 7
		priority 14
		signal $4000
	)
)

(instance pilingLeftFB of PV
	(properties
		y 189
		x 25
		view 952
		loop 7
		cel 1
		priority 9
		signal $4000
	)
)

(instance pilingLeftB of PV
	(properties
		y 189
		x 62
		view 952
		loop 5
		priority 1
		signal $4000
	)
)

(instance air of Prop
	(properties
		y 8
		x 5
		z 2
		view 54
		loop 6
		cel 9
	)
)

(instance gauge of Prop
	(properties
		y 11
		x 22
		z 1
		view 54
		loop 5
		priority 15
	)
)

(instance bubbles of Act
	(properties
		yStep 3
		view 54
		loop 4
	)
	
	(method (init)
		(self
			setCycle: Walk
			setLoop: 4
			ignoreActors:
			illegalBits: 0
			setScript: egosBubbleScript
		)
		(super init:)
		(self hide:)
	)
)

(instance soundBubbles of Sound
	(properties
		number 66
		priority 1
		loop -1
	)
)

(instance soundExplosion of Sound
	(properties
		number 73
		priority 1
	)
)

(instance egosBubbleScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0)
			(1
				(bubbles
					x:
						(switch (gEgo loop?)
							(0 (+ (gEgo x?) 8))
							(1 (- (gEgo x?) 8))
							(else  (gEgo x?))
						)
					y: (- (gEgo y?) 5)
					show:
					setPri: (gEgo priority?)
					setMotion: MoveTo (gEgo x?) 5 self
				)
			)
			(2
				(bubbles hide:)
				(= cycles 2)
			)
			(3 (self init:))
		)
	)
)

(instance outOfAir of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (gEgo has: 6)
					(proc821_0 157 0 1 51 10)
				else
					(proc821_0 157 0 1 51 11)
				)
			)
		)
	)
)

(instance headingGaugeProp of Prop
	(properties
		y 30
		x 262
		view 151
	)
)

(instance headingGauge of Code
	(properties)
	
	(method (doit &tmp [temp0 3])
		(cond 
			(local25
				(= local22 (localproc_000c local17 local18))
				(= local23 (mod (localproc_0051 local17 local18) 10000))
			)
			(local29 (= local22 0) (= local23 0))
			(else
				(= local22 (localproc_000c local15 local16))
				(= local23 (mod (localproc_0051 local15 local16) 10000))
			)
		)
		(Display
			51
			12
			dsCOORD
			219
			17
			dsCOLOR
			8
			dsALIGN
			-1
			dsWIDTH
			25
			dsFONT
			30
		)
		(Display
			(Format @temp0 51 13 local22)
			dsCOORD
			219
			17
			dsCOLOR
			14
			dsALIGN
			-1
			dsWIDTH
			25
			dsFONT
			30
		)
		(Display
			51
			12
			dsCOORD
			267
			17
			dsCOLOR
			8
			dsALIGN
			-1
			dsWIDTH
			25
			dsFONT
			30
		)
		(Display
			(Format @temp0 51 13 local23)
			dsCOORD
			267
			17
			dsCOLOR
			14
			dsALIGN
			-1
			dsWIDTH
			25
			dsFONT
			30
		)
	)
)

(instance showGauge of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= cycles 2))
			(1 (headingGauge doit:))
		)
	)
)

(instance setExplosive of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(= local26 1)
				(cond 
					((localproc_020e)
						(Print 51 14)
						(gEgo
							illegalBits: 0
							setMotion: MoveTo 184 (gEgo y?) self
						)
					)
					(
					(and (== local10 local12) (== local9 (- local11 1)))
						(= local27 1)
						(gEgo
							illegalBits: 0
							setMotion: MoveTo 300 (if (< (gEgo y?) 70) 70 else (gEgo y?)) self
						)
					)
					(
					(and (== local10 local12) (== local9 (+ local11 1)))
						(= local27 1)
						(gEgo
							illegalBits: 0
							setMotion: MoveTo 20 (if (< (gEgo y?) 70) 70 else (gEgo y?)) self
						)
					)
					(else (= local26 0) (Print 51 15) (HandsOn) (self dispose:))
				)
			)
			(1
				(cond 
					((localproc_020e) (gEgo setMotion: MoveTo 184 176 self))
					(
					(and (== local10 local12) (== local9 (- local11 1))) (gEgo setMotion: MoveTo 330 (gEgo y?)))
					(
					(and (== local10 local12) (== local9 (+ local11 1))) (gEgo setMotion: MoveTo -5 (gEgo y?)))
				)
			)
			(2
				(gEgo setMotion: MoveTo 70 170 self)
			)
			(3
				(gEgo
					view: 152
					viewer: 0
					setLoop: 0
					setCel: 0
					cycleSpeed: 1
					setCycle: End self
				)
				(if (gEgo has: 6)
					(DV-3X
						init:
						view: 155
						setLoop: 8
						setCel: 1
						setPri: (gEgo priority?)
						ignoreActors:
						posn: (- (gEgo x?) 28) (- (gEgo y?) 3)
					)
				)
			)
			(4
				(gEgo setLoop: 2 setCel: 0 setCycle: End self)
			)
			(5
				(plastic
					init:
					view: 152
					setLoop: 3
					setCel: 0
					ignoreActors:
					setPri: 9
					posn: 69 155
				)
				(gEgo setCycle: Beg self)
			)
			(6
				(Print 51 16)
				(gEgo setLoop: 0 setCel: 4 setCycle: Beg self)
				(gGame changeScore: 1)
				(gEgo put: 3 gCurRoomNum)
			)
			(7
				(if (gEgo has: 6) (DV-3X dispose:))
				(gEgo
					view: (if (gEgo has: 6) 54 else 154)
					loop: 1
					setLoop: -1
					cel: 5
					setCycle: Walk
					cycleSpeed: 2
					illegalBits: -32768
				)
				(soundBubbles dispose:)
				(client setScript: blowUp)
				(HandsOn)
			)
		)
	)
)

(instance blowUp of Script
	(properties)
	
	(method (changeState newState &tmp temp0 temp1)
		(switch (= state newState)
			(0
				(soundExplosion
					number: (DecideSound 73)
					init:
					play: blowUp
				)
			)
			(1
				(cond 
					(
						(or
							(and (== local10 local12) (== local9 (- local11 1)))
							(localproc_020e)
						)
						(HandsOff)
						(self setScript: blowUp1)
					)
					((localproc_01d2) (HandsOff) (self setScript: blowUp2))
					(else
						(cond 
							((< local9 (- local11 1)) (= temp0 324) (= temp1 88))
							((< (+ local11 1) local9) (= temp0 -4) (= temp1 88))
							((< (+ local12 1) local10) (= temp0 142) (= temp1 194))
							((< local10 (- local12 1)) (= temp0 142) (= temp1 -4))
						)
						(plastic
							view: 953
							setLoop: 0
							setCel: 0
							posn: temp0 temp1
							show:
							setCycle: CT 2 1 self
						)
					)
				)
			)
			(2
				(plastic hide:)
				(= local24 1)
				(ShakeScreen 30)
				(= seconds 2)
			)
			(3
				(soundExplosion dispose:)
				(soundBubbles init: owner: self play: egosBubbleScript)
				(client setScript: 0)
			)
		)
	)
	
	(method (cue param1)
		(if (== param1 soundExplosion)
			(egosBubbleScript cue:)
			(switch (soundExplosion signal?)
				(60 (self cue:))
				(70
					(if script (script cue:) else (self cue:))
				)
			)
		else
			(super cue: &rest)
		)
	)
)

(instance blowUp1 of Script
	(properties)
	
	(method (changeState newState &tmp temp0 temp1)
		(switch (= state newState)
			(0
				(gEgo setMotion: MoveTo (- (gEgo x?) 3) (gEgo y?) self)
				(= local24 1)
				(plastic
					view: 953
					setLoop: 0
					setCel: 0
					setPri: 15
					show:
					setCycle: End
				)
			)
			(1
				(= temp0
					(/
						(- (gEgo x?) (plastic x?))
						(Abs (- (gEgo x?) (plastic x?)))
					)
				)
				(= temp1
					(/
						(- (gEgo y?) (plastic y?))
						(Abs (- (gEgo y?) (plastic y?)))
					)
				)
				(ShakeScreen 10)
				(gEgo
					view: 152
					setLoop: 1
					setCel: 0
					xStep: 7
					yStep: 7
					illegalBits: 0
					setCycle: Fwd
					setMotion:
						MoveTo
						(+ (gEgo x?) (* temp0 80))
						(+ (gEgo y?) (* temp1 40))
				)
				(if (gEgo has: 6)
					(DV-3X
						init:
						view: 152
						setLoop: 4
						setCel: 0
						ignoreActors:
						illegalBits: 0
						posn: (- (gEgo x?) 28) (- (gEgo y?) 3)
						setCycle: Fwd
						setMotion:
							MoveTo
							(+ (gEgo x?) (* temp0 90))
							(+ (gEgo y?) (* temp1 70))
					)
				)
				(= seconds 4)
			)
			(2
				(soundExplosion dispose:)
				(proc821_0 926 1 0 51 17)
			)
		)
	)
)

(instance blowUp2 of Script
	(properties)
	
	(method (changeState newState &tmp temp0 temp1)
		(switch (= state newState)
			(0
				(gEgo setMotion: MoveTo (- (gEgo x?) 3) (gEgo y?) self)
				(= local24 1)
				(cond 
					((== local12 local10) (plastic x: -1 y: 100))
					((== local12 (+ local10 1)) (plastic x: 155 y: 80))
					(else (plastic x: 155 y: 191))
				)
				(plastic
					view: 953
					setLoop: 0
					setCel: 0
					setPri: 15
					show:
					setCycle: End
				)
			)
			(1
				(= temp0
					(/
						(- (gEgo x?) (plastic x?))
						(Abs (- (gEgo x?) (plastic x?)))
					)
				)
				(= temp1
					(/
						(- (gEgo y?) (plastic y?))
						(Abs (- (gEgo y?) (plastic y?)))
					)
				)
				(ShakeScreen 10)
				(gEgo
					view: 152
					setLoop: 1
					setCel: 0
					xStep: 7
					yStep: 7
					illegalBits: 0
					setCycle: Fwd
					setMotion:
						MoveTo
						(+ (gEgo x?) (* temp0 80))
						(+ (gEgo y?) (* temp1 50))
				)
				(if (gEgo has: 6)
					(DV-3X
						init:
						view: 152
						setLoop: 4
						setCel: 0
						ignoreActors:
						illegalBits: 0
						posn: (- (gEgo x?) 28) (- (gEgo y?) 3)
						setCycle: Fwd
						setMotion:
							MoveTo
							(+ (gEgo x?) (* temp0 90))
							(+ (gEgo y?) (* temp1 80))
					)
				)
				(= seconds 4)
			)
			(2
				(soundExplosion dispose:)
				(proc821_0 926 1 0 51 17)
			)
		)
	)
)

(instance DV-3X of Act
	(properties
		yStep 5
		view 152
		xStep 5
	)
)

(instance plastic of Prop
	(properties)
)

(instance loseDiver of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (gEgo has: 6)
					(HandsOff)
					(gEgo setMotion: MoveTo (- (gEgo x?) 3) (gEgo y?) self)
				else
					(self dispose:)
				)
			)
			(1
				(gEgo put: 6 view: 152 setLoop: 0 setCel: 1 viewer: 0)
				(= local28 5)
				(DV-3X
					init:
					view: 152
					setLoop: 4
					setCel: 0
					setPri: (gEgo priority?)
					ignoreActors: 1
					illegalBits: 0
					posn: (- (gEgo x?) 28) (- (gEgo y?) 3)
					cycleSpeed: 4
					setCycle: Fwd
					setMotion: MoveTo (- (gEgo x?) 28) 200 self
				)
			)
			(2
				(scubaLooper vNormal: 154 vChangeDir: 254)
				(gEgo
					view: 154
					loop: 1
					setLoop: -1
					setLoop: scubaLooper
					forceUpd:
				)
				(DV-3X dispose:)
				(= cycles 2)
			)
			(3
				(HandsOn)
				(cond 
					((not (& (subMarine roomFlags?) $0020)) (Print 51 18))
					((not (& (subMarine roomFlags?) $0040)) (Print 51 19))
					(else (Print 51 20))
				)
				(self dispose:)
			)
		)
	)
)
