;;; Sierra Script 1.0 - (do not remove this comment)
(script# 376)
(include sci.sh)
(use Main)
(use Class_255_0)
(use Cycle)
(use Obj)

(public
	startScript 0
	johnnyLost 1
)

(instance startScript of Script
	(properties
		seconds 2
	)
	
	(method (init)
		(super init: &rest)
		(gIceKeyDownHandler addToFront: self)
		(gIceMouseDownHandler addToFront: self)
	)
	
	(method (dispose)
		(if gDialog (gDialog dispose:))
		(gIceMouseDownHandler delete: self)
		(gIceKeyDownHandler delete: self)
		(super dispose: &rest)
		(DisposeScript 376)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(1
				(Print 376 0 #at 35 10 #width 250 #dispose)
				((ScriptID 39 9) loop: 0 cycleSpeed: 2 setCycle: Fwd)
			)
			(2
				(Print 376 1 #at 35 10 #width 250 #dispose)
			)
			(3
				(DisposePrintDlg)
				((ScriptID 39 9) loop: 1 cel: 1 setCycle: 0)
				((ScriptID 39 0) notify: 10)
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(if
			(and
				(proc999_5 state 1 2)
				(or
					(== (pEvent type?) evKEYBOARD)
					(== (pEvent type?) evMOUSEBUTTON)
				)
			)
			(pEvent claimed: 1)
			(self cue:)
		)
	)
)

(instance johnnyLost of Script
	(properties)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 376)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				((ScriptID 39 8) show: cycleSpeed: 1 setCycle: Fwd)
				(= seconds 3)
			)
			(1 (Print 376 2) (= cycles 2))
			(2
				((ScriptID 39 8) hide:)
				(DisposePrintDlg)
				((ScriptID 39 9) loop: 0 cycleSpeed: 1 setCycle: Fwd)
				(= seconds 3)
			)
			(3 (Print 376 3) (= cycles 2))
			(4
				((ScriptID 39 9) loop: 1 cel: 1 setCycle: 0)
				(SetCursor gCursor 1 310 180)
				(gRoom newRoom: 32)
				(self dispose:)
			)
		)
	)
)
