;;; Sierra Script 1.0 - (do not remove this comment)
(script# 398)
(include sci.sh)
(use n396)
(use Submarine_806)
(use n821)
(use Obj)

(public
	subBattleScript 0
)

(instance subBattleScript of Script
	(properties)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 398)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(Submarine floor: 2312 longitude: 30 latitude: 60)
				(= seconds 8)
			)
			(1
				(proc396_0 5 398 3)
				(= seconds 10)
			)
			(2
				(proc396_0 3 398 4)
				(= seconds 3)
			)
			(3
				(proc396_0 5 398 5)
				(= seconds 15)
			)
			(4
				(proc396_0 5 398 6)
				(= seconds 6)
			)
			(5
				(proc396_0 5 398 7)
				(= seconds 6)
			)
			(6
				(proc396_0 3 398 8)
				(= seconds 4)
			)
			(7
				(proc396_0 4 398 9)
				(= seconds 5)
			)
			(8
				(proc396_0 5 398 10)
				(= seconds 5)
			)
			(9
				(proc396_0 5 398 11)
				(= seconds 6)
			)
			(10
				(proc396_0 5 398 12)
				(= seconds 6)
			)
			(11
				(proc396_0 5 398 13)
				(= seconds 6)
			)
			(12
				(proc396_0 5 398 14)
				(= seconds 6)
			)
			(13 (self dispose:))
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((== (pEvent type?) 1024)
				(switch (pEvent message?)
					(JOY_NULL
						(proc396_0 5 398 0)
						(self setScript: firedTooSoon)
					)
					(JOY_UP (proc396_0 5 398 1))
					(JOY_UPRIGHT
						(proc396_0 5 398 2)
						(self setScript: firedTooSoon)
					)
				)
			)
		)
	)
)

(instance firedTooSoon of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= seconds 4))
			(1 (proc821_0 926 1 0 398 15))
		)
	)
)
