;;; Sierra Script 1.0 - (do not remove this comment)
(script# 83)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n954)
(use RFeature)
(use Game)
(use Feature)

(public
	townRm4 0
)

(instance townRm4 of Rm
	(properties
		picture 83
		south 79
		west 82
	)
	
	(method (init)
		(Load rsVIEW 82)
		(super init:)
		(switch gPrevRoomNum
			(south
				(gEgo posn: (gEgo x?) 187 loop: 3)
			)
			(else 
				(gEgo posn: 10 (gEgo y?) loop: 0)
			)
		)
		(gEgo init:)
		(self
			setRegions: 310 312
			setFeatures:
				windo
				door
				building
				arch
				roof
				((Clone windo)
					x: 334
					y: 61
					z: 0
					nsLeft: 375
					nsTop: 38
					nsRight: 292
					nsBottom: 85
					yourself:
				)
				((Clone building)
					x: 292
					y: 105
					z: 0
					nsLeft: 266
					nsTop: 70
					nsRight: 319
					nsBottom: 141
					yourself:
				)
		)
		(gAddToPics add: wall1 wall2 wall3 wall4 doit:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[<around][/room,town,scene]') (Print 83 0))
		)
	)
)

(instance wall1 of PV
	(properties
		y 69
		x 21
		view 82
		priority 3
		signal $6000
	)
)

(instance wall2 of PV
	(properties
		y 69
		x 87
		view 82
		cel 1
		priority 3
		signal $6000
	)
)

(instance wall3 of PV
	(properties
		y 68
		x 85
		view 82
		loop 1
		cel 1
		priority 0
		signal $6000
	)
)

(instance wall4 of PV
	(properties
		y 67
		x 7
		view 82
		loop 1
		priority 0
		signal $6000
	)
)

(instance building of RFeature
	(properties
		y 34
		x 229
		nsLeft 139
		nsBottom 69
		nsRight 319
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/building]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 83 1))
				)
			)
		)
	)
)

(instance windo of RFeature
	(properties
		y 29
		x 163
		nsTop 15
		nsLeft 151
		nsBottom 43
		nsRight 176
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/shutter]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 83 2))
					((Said 'open,(look,climb<(in,through))') (PrintBadIdea))
				)
			)
		)
	)
)

(instance arch of RFeature
	(properties
		y 34
		x 69
		nsBottom 69
		nsRight 138
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/arch]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 83 3))
				)
			)
		)
	)
)

(instance roof of RFeature
	(properties
		y 172
		x 69
		nsTop 155
		nsBottom 189
		nsRight 138
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/roof]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 83 4))
				)
			)
		)
	)
)

(instance door of RFeature
	(properties
		y 128
		x 303
		nsTop 90
		nsLeft 292
		nsBottom 166
		nsRight 315
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 83 5))
					((Said 'open,close,knock') (PrintDontNeed))
				)
			)
		)
	)
)
