;;; Sierra Script 1.0 - (do not remove this comment)
(script# 310)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n954)
(use Game)
(use Feature)
(use Obj)

(public
	tunisia 0
	proc310_1 1
	proc310_2 2
	agent 3
	bagdad 4
	plate 5
	eClothes 6
	bClothes 7
)

(procedure (proc310_1 param1 &tmp temp0)
	(arabicBubbleView init:)
	(switch (param1 loop?)
		(1
			(if (< (= temp0 (- (param1 x?) 10)) 48) (= temp0 48))
			(if (> temp0 285) (= temp0 285))
			(arabicBubbleView
				posn: temp0 (param1 y?) 41
				show:
				cel: 0
			)
		)
		(0
			(if (< (= temp0 (+ (param1 x?) 12)) 18) (= temp0 18))
			(if (> temp0 271) (= temp0 271))
			(arabicBubbleView
				posn: temp0 (param1 y?) 41
				show:
				cel: 1
			)
		)
		(3
			(if (< (= temp0 (- (param1 x?) 10)) 48) (= temp0 48))
			(if (> temp0 285) (= temp0 285))
			(arabicBubbleView
				posn: temp0 (param1 y?) 41
				show:
				cel: 0
			)
		)
		(else 
			(if (< (= temp0 (+ (param1 x?) 12)) 18) (= temp0 18))
			(if (> temp0 271) (= temp0 271))
			(arabicBubbleView
				posn: temp0 (param1 y?) 41
				show:
				cel: 1
			)
		)
	)
)

(procedure (proc310_2)
	(arabicBubbleView dispose:)
)

(class tunisia of Rgn
	(properties
		script 0
		number 0
		timer 0
		keep 0
		initialized 0
		milkIs 0
		cheezIs 0
		fridgeIs 0
		vanWas 0
		removedHook 0
		sugarStat 0
		flourStat 0
		coffeeStat 0
		bagBound 0
		madeCall 0
		flags $0000
		bagTimer 0
		pointFlag 0
	)
	
	(method (init)
		(super init: &rest)
		(if (== gPrevRoomNum 45)
			(self fridgeIs: 0)
			(self milkIs: 1)
			(self cheezIs: 1)
			(self vanWas: 0)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]>')
				(cond 
					((Said '/line[<fishing]')
						(cond 
							((not (gEgo has: 3)) (pEvent claimed: 0))
							(removedHook (Print 310 0))
							(else (Print 310 1))
						)
					)
					((Said '/hook')
						(cond 
							((not (gEgo has: 3)) (pEvent claimed: 0))
							(removedHook (Print 310 2))
							(else (Print 310 3))
						)
					)
					((Said '/weight')
						(cond 
							((not (gEgo has: 3)) (pEvent claimed: 0))
							(removedHook (Print 310 4) (gEgo get: 4))
							(else (Print 310 5))
						)
					)
					((Said '/road') (Print 310 6))
				)
			)
			((Said 'detach/weight')
				(cond 
					((not (gEgo has: 3)) (pEvent claimed: 0))
					(removedHook (Print 310 4) (gEgo get: 4))
					(else (Print 310 5))
				)
			)
			((Said 'look<in/mouth')
				(cond 
					((not (gEgo has: 3)) (pEvent claimed: 0))
					(removedHook (Print 310 7))
					(else (Print 310 8))
				)
			)
			((Said 'detach,get/hook,(line[<fishing])')
				(cond 
					((not (gEgo has: 3)) (pEvent claimed: 0))
					(removedHook (Print 310 9))
					(else
						(= removedHook 1)
						(Print 310 10)
						(Print 310 11)
						(gGame changeScore: 1)
					)
				)
			)
			((Said 'open/capsule')
				(cond 
					((not (gEgo has: 4)) (pEvent claimed: 0))
					(
					(and (gEgo has: 5) (not ((gInv at: 5) loop?))) (Print 310 9))
					(else (Print 310 12) (gEgo get: 5) (gGame changeScore: 1))
				)
			)
			((Said 'look/sidewalk')
				(if (proc999_5 gCurRoomNum 77 78 79 80 81 82 83)
					(Print 310 13)
				else
					(pEvent claimed: 0)
				)
			)
			((Said 'get,push,climb,look[<below]/rock') (Print 310 14))
			((Said 'pull/line[<fishing]')
				(cond 
					((not (gEgo has: 3)) (pEvent claimed: 0))
					(removedHook (Print 310 15))
					(else (Print 310 16))
				)
			)
			((Said 'conceal') (Print 310 17))
			((Said 'pole') (Print 310 18))
			((Said 'undress') (Print 310 19))
			(
			(Said 'detach,wear,change/coat,clothes,(gear<scuba)') (Print 310 20))
			((Said 'swallow/capsule') (Print 310 21))
			(
				(Said
					'examine,look[<at]/gear,scuba,coat,wetsuit,equipment'
				)
				(Print 310 22)
			)
		)
	)
	
	(method (newRoom newRoomNumber)
		(= keep
			(proc999_5
				newRoomNumber
				70
				71
				72
				73
				74
				75
				76
				77
				78
				79
				80
				81
				82
				83
				84
				85
				86
			)
		)
		(= initialized 0)
		(super newRoom: &rest)
	)
)

(instance arabicBubbleView of View
	(properties
		view 270
		cel 1
	)
	
	(method (init)
		(super init:)
		(self hide:)
	)
)

(instance agent of Act
	(properties
		y 200
		x 126
		view 250
		loop 3
	)
)

(instance bagdad of Act
	(properties
		y 200
		x 126
		view 184
		loop 3
	)
)

(instance plate of View
	(properties
		y 118
		x 224
		z 28
		view 584
		loop 1
		cel 2
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((proc954_1 self pEvent 'look[<at]/platter,food'))
			((Said 'look[<at][/platter,food]') (Print 310 23))
			((Said 'get,(pick<up)/platter,food') (PrintDontNeed))
			((Said 'eat/food') (Print 310 24))
			((Said 'detach/lid,cover,top[<tray]') (PrintDontNeed))
		)
	)
)

(instance eClothes of View
	(properties
		view 584
		loop 1
	)
)

(instance bClothes of View
	(properties
		view 584
		loop 1
		cel 1
	)
)
