;;; Sierra Script 1.0 - (do not remove this comment)
(script# 39)
(include sci.sh)
(use Main)
(use Class_255_0)
(use ForwardCounter)
(use n958)
(use n965)
(use n966)
(use Sound)
(use Cycle)
(use Game)
(use Feature)
(use Obj)

(public
	diceRm 0
	proc39_1 1
	johnnyDice 2
	oldSaltDice 3
	johnnyRArmP 4
	johnnyLArmP 5
	saltRArmP 6
	saltLArmP 7
	johnnyMouth 8
	saltMouth 9
	objList 10
	cButton 11
	rButton 12
	nButton 13
	johnnyMoney 14
	oldSaltMoney 15
	johnTwitch 16
	smokeCigar 17
	greenTumble 18
	greenTable 19
	redTumble 20
	redTable 21
	proc39_22 22
	soundDice 23
)

(local
	local0
	local1
	local2
	local3
	local4
	local5
	local6 =  1
	[local7 9] = [180 0 45 90 135 180 225 270 315]
	local16
	local17
	local18
	local19
	local20
	local21
)
(procedure (proc39_1)
	(if (> (oldSaltDice diceScore?) 500)
		(oldSaltDice selected: 0)
	else
		(oldSaltDice selected: 1)
		(cond 
			((> (oldSaltDice diceScore?) 400)
				(if
					(==
						((oldSaltDice at: 0) cel?)
						((oldSaltDice at: 2) cel?)
					)
					((oldSaltDice at: 4) select: 1)
				else
					((oldSaltDice at: 0) select: 1)
				)
			)
			((> (oldSaltDice diceScore?) 200)
				(cond 
					(
						(==
							((oldSaltDice at: 0) cel?)
							((oldSaltDice at: 2) cel?)
						)
						((oldSaltDice at: 3) select: 1)
						((oldSaltDice at: 4) select: 1)
					)
					(
						(==
							((oldSaltDice at: 4) cel?)
							((oldSaltDice at: 2) cel?)
						)
						((oldSaltDice at: 0) select: 1)
						((oldSaltDice at: 1) select: 1)
					)
					(else
						((oldSaltDice at: 0) select: 1)
						((oldSaltDice at: 4) select: 1)
					)
				)
			)
			((> (oldSaltDice diceScore?) 100)
				(cond 
					(
						(==
							((oldSaltDice at: 0) cel?)
							((oldSaltDice at: 1) cel?)
						)
						((oldSaltDice at: 2) select: 1)
						((oldSaltDice at: 3) select: 1)
						((oldSaltDice at: 4) select: 1)
					)
					(
						(==
							((oldSaltDice at: 1) cel?)
							((oldSaltDice at: 2) cel?)
						)
						((oldSaltDice at: 0) select: 1)
						((oldSaltDice at: 3) select: 1)
						((oldSaltDice at: 4) select: 1)
					)
				)
			)
			((> (oldSaltDice diceScore?) 0)
				(cond 
					(
						(==
							((oldSaltDice at: 0) cel?)
							((oldSaltDice at: 1) cel?)
						)
						((oldSaltDice at: 2) select: 1)
						((oldSaltDice at: 3) select: 1)
						((oldSaltDice at: 4) select: 1)
					)
					(
						(==
							((oldSaltDice at: 1) cel?)
							((oldSaltDice at: 2) cel?)
						)
						((oldSaltDice at: 0) select: 1)
						((oldSaltDice at: 3) select: 1)
						((oldSaltDice at: 4) select: 1)
					)
					(
						(==
							((oldSaltDice at: 2) cel?)
							((oldSaltDice at: 3) cel?)
						)
						((oldSaltDice at: 0) select: 1)
						((oldSaltDice at: 1) select: 1)
						((oldSaltDice at: 4) select: 1)
					)
					(else
						((oldSaltDice at: 0) select: 1)
						((oldSaltDice at: 1) select: 1)
						((oldSaltDice at: 2) select: 1)
					)
				)
			)
			(else
				((oldSaltDice at: 1) select: 1)
				((oldSaltDice at: 2) select: 1)
				((oldSaltDice at: 3) select: 1)
				((oldSaltDice at: 4) select: 1)
			)
		)
	)
)

(procedure (proc39_22 param1 &tmp temp0 temp1 temp2)
	(= temp2 0)
	(= temp0 (FirstNode (param1 elements?)))
	(while temp0
		(= temp1 (NextNode temp0))
		(if ((NodeValue temp0) selected?) (++ temp2))
		(= temp0 temp1)
	)
	(return temp2)
)

(procedure (localproc_03b2 param1 &tmp temp0)
	(= temp0 210)
	(while (< temp0 300)
		(objList
			add: ((CursorCoords new:) cursorX: temp0 cursorY: 17)
		)
		(= temp0 (+ temp0 20))
	)
	(objList
		add: ((CursorCoords new:) cursorX: 250 cursorY: 33)
	)
	(if param1
		(objList
			add: ((CursorCoords new:) cursorX: 230 cursorY: 33)
		)
		(objList
			add: ((CursorCoords new:) cursorX: 270 cursorY: 33)
		)
	)
)

(class Die of Prop
	(properties
		y 0
		x 0
		z 0
		heading 0
		yStep 2
		view 0
		loop 0
		cel 0
		priority 0
		underBits 0
		signal $0000
		nsTop 0
		nsLeft 0
		nsBottom 0
		nsRight 0
		lsTop 0
		lsLeft 0
		lsBottom 0
		lsRight 0
		brTop 0
		brLeft 0
		brBottom 0
		brRight 0
		cycleSpeed 0
		script 0
		cycler 0
		timer 0
		selected 0
		mousable 1
		box 0
		rolling 0
	)
	
	(method (init)
		(super init:)
		((= box (Clone dieBox))
			x: (self x?)
			y: (self y?)
			stopUpd:
			init:
		)
		(self select: selected)
		(self stopUpd:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((and mousable (proc255_5 self pEvent)) (self select:) (pEvent claimed: 1))
		)
	)
	
	(method (roll)
		(if selected (self setScript: (Clone rollDieScript)))
	)
	
	(method (select param1)
		(if
		(= selected (if argc param1 else (not selected)))
			(box show:)
		else
			(box hide:)
		)
	)
)

(class DiceGame of List
	(properties
		elements 0
		size 0
		selected 0
		view 0
		loop 0
	)
	
	(method (init param1 &tmp temp0 newDie)
		(if argc
			(= temp0 0)
			(while (<= temp0 (- argc 2))
				((= newDie (Die new:))
					posn: [param1 temp0] [param1 (++ temp0)]
					view: view
					loop: loop
					init:
					hide:
				)
				(newDie setCel: (Random 0 (newDie lastCel:)))
				(self add: newDie)
				(++ temp0)
			)
		)
		(super init:)
	)
	
	(method (dispose)
		(self release:)
		(super dispose:)
	)
	
	(method (cue)
		(self eachElementDo: #cue &rest)
	)
)

(class oldSaltDice of DiceGame
	(properties
		elements 0
		size 0
		selected 0
		view 0
		loop 0
		diceScore 0
		highPair 0
	)
	
	(method (dScore &tmp temp0 temp1 theHighPair theHighPair_2)
		(= highPair 0)
		(proc966_0 self reverseLT)
		(= temp0 (proc965_0 self diceCount (self at: 2)))
		(= theHighPair (+ ((self at: 2) cel?) 1))
		(switch temp0
			(5
				(= diceScore (+ 500 (* 10 theHighPair)))
			)
			(4
				(= diceScore (+ 400 (* 10 theHighPair)))
			)
			(else 
				(= temp0 (proc965_0 self diceCount (self at: 1)))
				(= temp1 (proc965_0 self diceCount (self at: 3)))
				(= theHighPair (+ ((self at: 1) cel?) 1))
				(= theHighPair_2 (+ ((self at: 3) cel?) 1))
				(switch temp0
					(3
						(if (== temp1 2)
							(= diceScore (+ 300 (* 10 theHighPair) theHighPair_2))
						else
							(= diceScore (+ 200 (* 10 theHighPair)))
						)
					)
					(2
						(cond 
							((== temp1 3) (= diceScore (+ 300 (* 10 theHighPair_2) theHighPair)))
							((== temp1 2)
								(= diceScore (+ 100 (* 10 theHighPair) theHighPair_2))
								(= highPair theHighPair)
							)
							(else
								(= diceScore (* 10 theHighPair))
								(= highPair theHighPair)
							)
						)
					)
					(else 
						(cond 
							((== temp1 3) (= diceScore (+ 200 (* 10 theHighPair_2))))
							((== temp1 2)
								(= diceScore (* 10 theHighPair_2))
								(= highPair theHighPair_2)
							)
							(else (= diceScore 0))
						)
					)
				)
			)
		)
	)
)

(class CursorCoords of Obj
	(properties
		cursorX 0
		cursorY 0
	)
)

(class InputList of Set
	(properties
		elements 0
		size 0
	)
	
	(method (handleEvent pEvent &tmp temp0 temp1 temp2 temp3 temp4 temp5 temp6 temp7 temp8 temp9 pEventX pEventY temp12 temp13)
		(if (== (pEvent type?) evJOYSTICK)
			(= temp7 [local7 (pEvent message?)])
			(= temp3 60)
			(= temp4 400)
			(= pEventX (pEvent x?))
			(= pEventY (pEvent y?))
			(= temp5 (= temp2 0))
			(while (< temp5 size)
				(= temp12 ((= temp1 (self at: temp5)) cursorX?))
				(= temp13 (temp1 cursorY?))
				(if (or (!= pEventX temp12) (!= pEventY temp13))
					(= temp8 (GetAngle pEventX pEventY temp12 temp13))
					(= temp0 (GetDistance pEventX pEventY temp12 temp13))
					(if (> (= temp9 (Abs (- temp7 temp8))) 180)
						(= temp9 (- 360 temp9))
					)
					(= temp6 (<= temp9 (+ temp3 10)))
					(if
						(or
							(<= temp9 (- temp3 10))
							(and temp6 (< (+ temp9 temp0) (+ temp3 temp4)))
							(and
								temp6
								(== (+ temp9 temp0) (+ temp3 temp4))
								(< temp9 temp3)
							)
						)
						(= temp3 temp9)
						(= temp4 temp0)
						(= temp2 temp1)
					)
				)
				(++ temp5)
			)
			(if temp2
				(SetCursor gCursor 1 (temp2 cursorX?) (temp2 cursorY?))
			)
		)
	)
	
	(method (empty &tmp temp0)
		(if size
			(= temp0 (- size 1))
			(while (>= temp0 0)
				((self at: temp0) dispose:)
				(self delete: (self at: temp0))
				(-- temp0)
			)
		)
	)
)

(instance dieBox of View
	(properties
		view 39
		loop 2
	)
)

(instance rollDieScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(client cel: (Random 0 (client lastCel:)) rolling: 1)
				(client hide: select: 0)
			)
			(1 (= seconds 2))
			(2
				(client rolling: 0 setScript: 0)
			)
		)
	)
)

(instance reverseLT of Code
	(properties)
	
	(method (doit param1 param2)
		(return (> (param1 cel?) (param2 cel?)))
	)
)

(instance diceCount of Code
	(properties)
	
	(method (doit param1 param2)
		(return (== (param1 cel?) (param2 cel?)))
	)
)

(instance diceRm of Rm
	(properties
		picture 39
	)
	
	(method (init)
		(super init:)
		(proc958_0 130 375 376 377 378 379 380 381 382)
		(proc958_0 128 39 239 439 539 139)
		(proc958_0 132 76 77 75)
		(= global54 0)
		(self setRegions: 314)
		(oldSaltDice
			view: 39
			loop: 0
			init: 30 20 50 20 70 20 90 20 110 20
		)
		(johnnyDice init: 210 20 230 20 250 20 270 20 290 20)
		(saltRArmP stopUpd: init:)
		(redTumble setCel: (redTumble lastCel:) init:)
		(redTable setCel: 0 init:)
		(greenTumble
			setCel: (greenTumble lastCel:)
			setPri: 9
			init:
		)
		(greenTable setCel: 0 setPri: 9 init:)
		(cigarSmoke init: hide:)
		(saltLArmP stopUpd: init:)
		(saltMouth setPri: 8 init: cel: 1)
		(saltEyes setPri: 9 init: cel: 1)
		(johnnyLArmP init:)
		(johnnyRArmP stopUpd: init:)
		(johnnyMouth setPri: 6 init: hide:)
		(johnnyEyes setPri: 7 init: cel: 1)
		(johnnyFingers init: hide:)
		(rumBottle init: stopUpd:)
		(gAddToPics
			add: johnnyPV oldSaltV
			eachElementDo: #init
			doit:
		)
		(oldSaltMoney init:)
		(johnnyMoney init:)
		(= local0 4)
		(= local1 0)
		(= local2 3)
		(= local3 0)
		(gRoom
			setScript: (if global55 (ScriptID 375 0) else (ScriptID 376 0))
		)
		(oldSaltDice eachElementDo: #mousable 0)
		(gIceDirectionHandler addToFront: self)
		(objList init: add:)
		(localproc_03b2 1)
		(gIceGlobalSound stop:)
		(soundDice number: (DecideSound 76) init:)
		(if (= global132 2)
			(saltLArmP setScript: smokeCigar)
			(saltEyes setScript: blinkerScript)
			(johnnyLArmP setScript: johnTwitch)
			(johnnyEyes setScript: (Clone blinkerScript))
		)
	)
	
	(method (doit)
		(switch local16
			(0)
			(1
				(self setScript: (ScriptID 375 0))
			)
			(2
				(self setScript: (ScriptID 377 0))
			)
			(3
				(self setScript: (ScriptID 378 0))
			)
			(4
				(johnnyRArmP setScript: (ScriptID 382 0))
			)
		)
		(= local16 0)
		(super doit:)
	)
	
	(method (dispose)
		(gIceDirectionHandler delete: self)
		(johnnyDice dispose:)
		(oldSaltDice dispose:)
		(objList dispose:)
		(DisposePrintDlg)
		(= global54 1)
		(soundDice dispose:)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'cease,stand[<up]') (SetCursor gCursor 1 310 180) (gRoom newRoom: 32))
			((Said 'bet/bottle') (if (gEgo has: 4) (Print 39 3) else (Print 39 4)))
			((Said 'drink/rum') (if (gEgo has: 4) (Print 39 5) else (Print 39 4)))
			((Said 'look>')
				(cond 
					((Said '[<around][/room]') (Print 39 6) (Print 39 7))
					((Said '/table') (Print 39 8))
				)
			)
			((Said 'address') (Print 39 9))
			((Said 'count/money') (Print 39 10))
		)
	)
	
	(method (notify param1 param2)
		(return
			(switch param1
				(0
					(if (< 1 argc) (= local4 param2) else (return local4))
				)
				(1
					(if (< 1 argc) (= local3 param2) else (return local3))
				)
				(2
					(if (< 1 argc) (= local1 param2) else (return local1))
				)
				(3
					(if (< 1 argc) (= local2 param2) else (return local2))
				)
				(4
					(if (< 1 argc) (= local0 param2) else (return local0))
				)
				(5
					(if (< 1 argc) (= local5 param2) else (return local5))
				)
				(6
					(if (< 1 argc) (= local17 param2) else (return local17))
				)
				(7
					(if (< 1 argc) (= local18 param2) else (return local18))
				)
				(8
					(if (< 1 argc) (= local19 param2) else (return local19))
				)
				(9
					(if (< 1 argc) (= local20 param2) else (return local20))
				)
				(10 (= local16 1))
				(11 (= local16 2))
				(12 (= local16 3))
				(13 (= local16 4))
			)
		)
	)
	
	(method (replay)
		(if (< 2 (++ local21))
			(Print 39 0)
			(if (not (gEgo has: 4))
				((gInv at: 4) owner: gCurRoomNum)
			)
			(SetCursor gCursor 1 310 180)
			(gRoom newRoom: 32)
		else
			(switch local21
				(1 (Print 39 1))
				(2 (Print 39 2))
			)
		)
	)
)

(instance blinkerScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= cycles (Random 40 100)))
			(1
				(client cel: 0)
				(= cycles 2)
			)
			(2
				(client cel: 1)
				(= cycles 2)
			)
			(3 (self init:))
		)
	)
)

(instance smokeCigar of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= cycles (Random 70 150)))
			(1
				(if local18
					(self init:)
				else
					(= register 1)
					(saltLArmP setLoop: 5 setCycle: End self)
				)
			)
			(2 (= cycles 10))
			(3
				(saltLArmP setCycle: Beg self)
			)
			(4
				(= register 0)
				(saltMouth loop: 9 cel: 0)
				(cigarSmoke show: setCycle: End self)
			)
			(5
				(saltMouth loop: 1 cel: 1 setCycle: 0)
				(cigarSmoke hide:)
				(self init:)
			)
		)
	)
)

(instance johnTwitch of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= cycles (Random 50 100)))
			(1
				(cond 
					(local17 (self init:))
					((Random 0 1)
						(= register 1)
						(johnnyLArmP loop: 4 setCycle: ForwardCounter 3 self)
					)
					(else
						(= register 2)
						(johnnyFingers show: setCycle: ForwardCounter 3 self)
					)
				)
			)
			(2
				(switch register
					(1 (johnnyLArmP loop: 5 cel: 0))
					(2 (johnnyFingers hide:))
				)
				(= register 0)
				(self init:)
			)
		)
	)
)

(instance johnnyDice of oldSaltDice
	(properties
		view 39
		loop 1
	)
)

(instance oldSaltV of View
	(properties
		y 162
		x 49
		view 239
	)
	
	(method (init)
		(super init:)
		(self setPri: 7)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[/man]') (Print 39 11))
			((Said 'kiss/man') (Print 39 12))
		)
	)
)

(instance johnnyPV of PV
	(properties
		y 176
		x 261
		view 39
		loop 3
		priority 5
	)
)

(instance cButton of Prop
	(properties
		y 36
		x 230
		view 439
		loop 7
		priority 5
	)
)

(instance rButton of Prop
	(properties
		y 36
		x 250
		view 439
		loop 8
		priority 5
	)
)

(instance nButton of Prop
	(properties
		y 36
		x 270
		view 439
		loop 9
		priority 5
	)
)

(instance oldSaltMoney of View
	(properties
		y 122
		x 139
		view 539
		loop 6
		cel 3
	)
)

(instance johnnyMoney of View
	(properties
		y 168
		x 198
		view 539
		loop 7
		cel 3
	)
)

(instance rumBottle of View
	(properties
		y 168
		x 150
		view 439
		loop 6
		priority 13
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at][/bottle]') (Print 39 13))
		)
	)
)

(instance johnnyLArmP of Prop
	(properties
		y 93
		x 274
		view 39
		loop 5
	)
	
	(method (init)
		(super init:)
		(self setPri: 10 stopUpd:)
	)
)

(instance johnnyRArmP of Prop
	(properties
		y 87
		x 227
		view 39
		loop 7
	)
	
	(method (init)
		(super init:)
		(self setPri: 8 stopUpd:)
	)
)

(instance saltLArmP of Prop
	(properties
		y 113
		x 98
		view 239
		loop 4
	)
	
	(method (init)
		(super init:)
		(self setPri: 10 stopUpd:)
	)
)

(instance saltRArmP of Prop
	(properties
		y 95
		x 45
		view 239
		loop 1
	)
	
	(method (init)
		(super init:)
		(self setPri: 8 stopUpd:)
	)
)

(instance redTumble of Prop
	(properties
		y 125
		x 120
		view 539
		loop 5
	)
	
	(method (init)
		(self stopUpd:)
		(super init:)
	)
)

(instance redTable of View
	(properties
		y 125
		x 120
		view 539
	)
	
	(method (init)
		(self stopUpd:)
		(super init:)
	)
)

(instance greenTumble of Prop
	(properties
		y 143
		x 213
		view 439
		loop 5
	)
	
	(method (init)
		(self stopUpd:)
		(super init:)
	)
)

(instance greenTable of View
	(properties
		y 143
		x 213
		view 439
	)
	
	(method (init)
		(self stopUpd:)
		(super init:)
	)
)

(instance cigarSmoke of Prop
	(properties
		y 82
		x 91
		view 239
		loop 7
	)
)

(instance johnnyFingers of Prop
	(properties
		y 144
		x 235
		view 39
		loop 8
	)
)

(instance saltMouth of Prop
	(properties
		y 79
		x 85
		view 139
		loop 1
	)
)

(instance saltEyes of Prop
	(properties
		y 74
		x 76
		view 139
		loop 4
	)
)

(instance johnnyMouth of Prop
	(properties
		y 78
		x 235
		view 139
		loop 6
	)
)

(instance johnnyEyes of Prop
	(properties
		y 69
		x 246
		view 139
		loop 5
	)
)

(instance soundDice of Sound
	(properties
		number 76
		priority 2
	)
)

(instance objList of InputList
	(properties)
)
