;;; Sierra Script 1.0 - (do not remove this comment)
(script# 30)
(include sci.sh)
(use Main)
(use Class_255_0)
(use subMarine)
(use n821)
(use n824)
(use n828)
(use n954)
(use n958)
(use RFeature)
(use Avoid)
(use Sound)
(use Cycle)
(use Game)
(use User)
(use Feature)
(use Obj)

(public
	captsQuartersRm 0
)

(local
	[local0 5]
	local5
	local6 =  100
	local7
	[local8 3]
	local11
	local12
	local13
	[local14 6]
	local20
	local21
	local22
)
(class KeyPadButton of RFeature
	(properties
		y 0
		x 0
		z 0
		heading 0
		nsTop 0
		nsLeft 0
		nsBottom 0
		nsRight 0
		theString 0
		strToCat 0
		keyEquiv 0
		maxLength 0
	)
	
	(method (init theTheString)
		(= theString theTheString)
		(gIceMouseDownHandler addToFront: self)
		(gIceKeyDownHandler addToFront: self)
	)
	
	(method (doit)
		(if (< (StrLen theString) maxLength)
			(StrCat theString strToCat)
			(Display {88888888} dsCOORD 275 118 dsFONT 30 dsCOLOR 8)
			(Display
				theString
				dsCOORD
				(+ 275 (* 4 (- 8 (StrLen theString))))
				118
				dsFONT
				30
				dsCOLOR
				12
			)
		)
	)
	
	(method (dispose)
		(gIceKeyDownHandler delete: self)
		(gIceMouseDownHandler delete: self)
	)
	
	(method (handleEvent pEvent)
		(switch (pEvent type?)
			(evKEYBOARD
				(if (== (pEvent message?) keyEquiv)
					(self doit:)
					(pEvent claimed: 1)
				)
			)
			(evMOUSEBUTTON
				(if (proc255_5 self pEvent)
					(self doit:)
					(pEvent claimed: 1)
				)
			)
		)
	)
)

(instance captsQuartersRm of Rm
	(properties
		picture 30
		east 25
		vanishingX 190
		vanishingY 36
	)
	
	(method (init)
		(super init:)
		(proc958_0 128 30 133 134 230 232 430)
		(HandsOff)
		(gEgo observeControl: 2)
		(safeDoor init:)
		(bathDoor init: ignoreActors: 1)
		(self
			setRegions: 314
			setFeatures:
				closet
				bunk
				desk
				bookshelf
				nightstand
				table
				couch
				((Clone couch)
					x: 235
					y: 158
					z: 0
					nsLeft: 211
					nsTop: 141
					nsRight: 259
					nsBottom: 176
					yourself:
				)
		)
		(entryDoor init: setCel: 0 ignoreActors: 1 stopUpd:)
		(cond 
			((not (& (subMarine roomFlags?) $0001))
				(subMarine roomFlags: (| (subMarine roomFlags?) $0001))
				(self setScript: guysWalkInScript)
				(gAddToPics add: chairPV doit:)
			)
			((not (& (subMarine roomFlags?) $0002))
				(gEgo
					view: 232
					posn: 293 119
					setCycle: Walk
					loop: 1
					cel: 7
					init:
					setMotion: MoveTo 280 119
				)
				(gAddToPics add: chairPV doit:)
				(HandsOn)
			)
			(else
				(Load rsVIEW 130)
				(= local7 3)
				(gEgo
					view: 232
					posn: 290 119
					setCycle: Walk
					loop: 1
					init:
					setMotion: MoveTo 280 119
				)
				(doc init:)
				(captain
					view: 130
					loop: 1
					setPri: 15
					illegalBits: 0
					ignoreActors: 1
					posn: 52 150
					init:
					stopUpd:
				)
				(HandsOn)
			)
		)
		(= local12 (Random 0 1))
		(gAddToPics
			add: blackHawkPV shipPV plantPV
			eachElementDo: #init
			doit:
		)
		(proc824_0)
	)
	
	(method (dispose)
		(gEgo ignoreControl: 2)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at,around][/room,scene]') (Print 30 0))
			((Said 'address') (Print 30 1))
		)
	)
)

(instance guysWalkInScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo
					view: 232
					posn: 310 120
					setCycle: Walk
					loop: 1
					init:
				)
				(captain
					view: 133
					posn: 300 122
					init:
					setCycle: Walk
					loop: 1
					setAvoider: Avoid
				)
				(entryDoor setCycle: End self)
			)
			(1
				(captain setMotion: MoveTo 280 122 self)
			)
			(2
				(captain setMotion: MoveTo 270 122 self)
			)
			(3
				(entryDoor setCycle: Beg)
				(gEgo setMotion: MoveTo 270 122)
				(captain setMotion: MoveTo 222 115 self)
				(Print 30 2)
			)
			(4
				(case illegalBits: 0 init:)
				(safeDoor setCycle: End self)
			)
			(5
				(captain setMotion: MoveTo 198 115 self)
			)
			(6
				(captain loop: 3)
				(gEgo setMotion: MoveTo 213 130 self)
			)
			(7
				(case hide:)
				(gEgo setMotion: MoveTo 213 152 self)
				(captain view: 134 setLoop: 0 setMotion: MoveTo 213 130)
			)
			(8
				(gEgo heading: 90)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(captain setMotion: MoveTo 213 147 self)
			)
			(9
				(captain view: 133 loop: 0)
				(= cycles 2)
			)
			(10
				(case
					view: 134
					setLoop: 2
					setCel: 0
					posn: 227 131
					setPri: 11
					show:
					setMotion: MoveTo 237 131 self
				)
			)
			(11
				(client setScript: tryToOpenCaseScript)
			)
		)
	)
)

(instance tryToOpenCaseScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(switch register
					(0
						(Print 30 3 #edit @local8 12)
						(cond 
							((not (StrCmp @local8 {134})) (client setScript: openCaseScript))
							((not (StrCmp @local8 {})) (self init:))
							(else (++ register) (self init:))
						)
					)
					(1
						(Print 30 4 #edit @local8 12)
						(cond 
							((not (StrCmp @local8 {134})) (client setScript: openCaseScript))
							((not (StrCmp @local8 {})) (self init:))
							(else (++ register) (self init:))
						)
					)
					(2
						(Print 30 5 #edit @local8 12)
						(cond 
							((not (StrCmp @local8 {134})) (client setScript: openCaseScript))
							((not (StrCmp @local8 {})) (self init:))
							(else (++ register) (self init:))
						)
					)
					(3
						(Print 30 6)
						(Print 30 7)
						(proc821_0 7 0 0 30 8)
					)
				)
			)
		)
	)
)

(instance openCaseScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(case setCycle: End self)
				(gGame changeScore: 1)
			)
			(1
				(bkGrnd setPri: 13 init:)
				(caseView setPri: 14 init:)
				(manila setPri: 15 init:)
				(User canInput: 1)
			)
			(2
				(Print 30 9)
				(Print 30 10)
				(Print 30 11)
				(case setCycle: Beg self)
				(= local7 3)
			)
			(3
				(bkGrnd dispose:)
				(caseView dispose:)
				(case setMotion: MoveTo 227 131 self)
			)
			(4
				(case hide:)
				(captain
					view: 134
					setLoop: 1
					setMotion: MoveTo 213 130 self
				)
			)
			(5
				(captain setMotion: MoveTo 198 115 self)
			)
			(6
				(case
					view: 430
					loop: 0
					cel: 3
					setPri: -1
					posn: 195 87
					show:
				)
				(captain
					view: 133
					loop: 3
					setLoop: -1
					setMotion: MoveTo 222 115 self
				)
			)
			(7
				(safeDoor setCycle: Beg self)
			)
			(8
				(Print 30 12)
				(Print 30 13)
				(captain setAvoider: Avoid setMotion: MoveTo 252 122 self)
			)
			(9
				(entryDoor setCycle: End self)
			)
			(10
				(captain
					illegalBits: 0
					setMotion: MoveTo (+ (entryDoor x?) 10) (captain y?) self
				)
			)
			(11
				(captain
					setMotion: MoveTo (+ (captain x?) 10) (captain y?)
				)
				(entryDoor setCycle: Beg self)
			)
			(12
				(HandsOn)
				(gEgo observeControl: 2)
				(subMarine cue: 1)
				(captain setScript: waitForEgoScript)
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at,in]/briefcase')
				(cond 
					((not (safeDoor cel?)) (PrintDontSee))
					((not (gCast contains: caseView)) (Print 30 14))
					(else
						(if (!= local7 0) (Print 30 15) else (Print 30 16))
						(Print 30 17)
						(Print 30 18)
						(Print 30 19)
					)
				)
			)
			(
			(or (Said 'ask//combination') (Said 'get/combination'))
				(switch local13
					(0
						(Print 30 20)
						(gGame changeScore: 5)
						(++ local13)
					)
					(1 (Print 30 21) (++ local13))
					(2 (Print 30 22) (++ local13))
					(else  (Print 30 23))
				)
			)
			((not (safeDoor cel?)))
			(
				(or
					(Said 'open/top')
					(Said 'adjust,insert,use/id,card[<id][/slot,hole]')
				)
				(if (case cel?) (Print 30 24) else (Print 30 25))
			)
			((Said 'get/envelope[<manila]')
				(if (> local7 0)
					(PrintAlreadyTookIt)
				else
					(Print 30 26)
					(= local7 1)
					(case loop: 3)
					(manila dispose:)
				)
			)
			((Said 'open/envelope[<manila]')
				(switch local7
					(0 (PrintDontHave))
					(1 (Print 30 27) (= local7 2))
					(2 (Print 30 28))
				)
			)
			((Said 'look/envelope[<manila]')
				(switch local7
					(3 (pEvent claimed: 0))
					(else  (Print 30 29))
				)
			)
			((Said 'look,read[<at]/chart,map')
				(cond 
					((!= local7 2) (PrintDontHave) (return))
					(local22 (Print 30 30 #icon 430 5 1))
					(else (Print 30 31 #icon 430 5 1) (= local22 1))
				)
				(if local20 (self cue:))
			)
			((Said 'get/order') (if (== local7 2) (Print 30 32) else (PrintDontHave)))
			((Said 'look,read[<at]/order')
				(cond 
					(local20 (Print 30 33))
					((== local7 2)
						(Print 30 34)
						(Print 30 35)
						(Print 30 36)
						(Print 30 37)
						(Print 30 38)
						(Print 30 39)
						(Print 30 40)
						(Print 30 41)
						(Print 30 42)
						(Print 30 43)
						(Print 30 44)
						(Print 30 45)
						(Print 30 46)
						(if local22 (self cue:) else (= seconds 6))
						(= local20 1)
					)
					(else (PrintDontHave))
				)
			)
			((Said 'close/briefcase') (if (case cel?) (PrintDontNeed) else (Print 30 25)))
		)
	)
)

(instance waitForEgoScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if (and local21 (<= state 1)) (self dispose:))
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (== global132 0)
					(= seconds 120)
				else
					(= seconds 30)
				)
			)
			(1
				(HandsOff)
				(entryDoor setCycle: End self)
			)
			(2
				(captain setMotion: capOutMoveTo 252 122 self)
			)
			(3
				(Print 30 47)
				(captain
					setMotion: MoveTo (+ (entryDoor x?) 10) 122 self
				)
			)
			(4
				(HandsOn)
				(entryDoor setCycle: Beg)
				(captain
					setMotion: MoveTo (+ (captain x?) 10) (captain y?)
				)
				(= seconds 15)
			)
			(5
				(HandsOff)
				(entryDoor setCycle: End self)
			)
			(6
				(captain setMotion: MoveTo 252 122 self)
			)
			(7
				(Print 30 48)
				(captain
					setMotion: MoveTo (+ (entryDoor x?) 10) 122 self
				)
			)
			(8
				(entryDoor setCycle: Beg self)
			)
			(9 (proc821_0 7 0 0 30 49))
		)
	)
)

(instance capOutMoveTo of MoveTo
	(properties)
	
	(method (doit)
		(super doit:)
		(if (client isBlocked:) (self moveDone:))
	)
)

(instance openSafeScript of Script
	(properties)
	
	(method (dispose)
		(super dispose:)
		(= start 0)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(case illegalBits: 0 init:)
				(client setCycle: End self)
				(proc828_0 subMarine 406 4 1)
			)
			(1
				(gEgo setMotion: MoveTo 198 115 self)
			)
			(2
				(gEgo heading: 0)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 5)
			)
			(3
				(case hide:)
				(gEgo view: 230 setLoop: 0 setMotion: MoveTo 213 130 self)
			)
			(4
				(gEgo setMotion: MoveTo 213 147 self)
			)
			(5
				(gEgo view: 232 heading: 90)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 5)
			)
			(6
				(case
					view: 134
					setLoop: 3
					setCel: 0
					posn: 227 131
					setPri: 11
					show:
					setMotion: MoveTo 237 131
				)
				(User canInput: 1)
			)
			(7
				(case setCycle: End self)
				(proc828_0 subMarine 406 8 1)
			)
			(8
				(bkGrnd setPri: 13 init:)
				(caseView setPri: 14 init:)
				(= start state)
			)
			(9
				(slot setPri: 15 init: cycleSpeed: 2 setCycle: End self)
			)
			(10
				(if (== ((gInv at: 2) cel?) 1)
					(= cycles 30)
				else
					(proc828_0 subMarine 406 16 1)
					(case setScript: ficheScript)
					(self dispose:)
				)
			)
			(11 (slot setCycle: Beg self))
			(12
				(Print 30 50)
				(HandsOn)
				(self init:)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'open/briefcase')
				(if (not (case cel?))
					(Print 30 51 #edit @local8 12)
					(cond 
						((not (StrCmp @local8 {762134})) (self cue:))
						((not (StrCmp @local8 {})) (return))
						(else (Print 30 52))
					)
				else
					(Print 30 53)
				)
			)
			((Said 'close/briefcase')
				(if (case cel?)
					(if (not (gEgo has: 2)) (Print 30 54) (slot dispose:))
					(case setScript: closeCaseScript)
				else
					(Print 30 25)
				)
			)
			(
				(or
					(Said 'get/briefcase')
					(Said 'adjust/briefcase/safe')
				)
				(case setScript: closeCaseScript)
			)
			((Said 'examine,look[<at,in]/briefcase')
				(if (case cel?)
					(Print 30 55)
					(Print 30 17)
					(Print 30 18)
					(Print 30 19)
				else
					(Print 30 56)
				)
			)
			((Said 'look[<at]/top') (if (case cel?) (Print 30 57) else (Print 30 25)))
			((Said 'open/top,compartment') (if (case cel?) (Print 30 58) else (Print 30 25)))
			(
			(Said 'adjust,insert,use/id,card[<id][/slot,hole]')
				(cond 
					((not (case cel?)) (pEvent claimed: 0))
					((gEgo has: 2) (HandsOff) (Print 30 59) (gEgo put: 2) (self cue:))
					(else (Print 30 60))
				)
			)
			((Said 'get,get/id,card[<id]')
				(if (gEgo has: 2)
					(Print 30 61)
				else
					(slot dispose:)
					(Print 30 62)
					(gEgo get: 2)
					(self init:)
				)
			)
			((Said 'look,read[<at]/order') (Print 30 63))
		)
	)
)

(instance ficheScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(caseView setCycle: End self)
			)
			(1 (= seconds 2))
			(2 (HandsOn) (Print 30 64))
			(3
				(HandsOff)
				(codeView dispose:)
				(caseView setCycle: Beg self)
			)
			(4 (slot setCycle: Beg self))
			(5
				(slot dispose:)
				(Print 30 65)
				(gEgo get: 2)
				(case setScript: closeCaseScript)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'examine,look[<at,in]/briefcase') (Print 30 56))
			((Said 'use/viewer') (if (gEgo has: 1) (Print 30 66) else (Print 30 67)))
			((Said 'insert/film')
				(if (gEgo has: 1)
					(Print 30 68)
					(gEgo put: 1)
					(codeView setPri: 15 init:)
					(Animate (gCast elements?) 0)
					(Print 30 69)
				else
					(Print 30 70)
				)
			)
			(
				(or
					(Said 'get,get/id,(card[<id])')
					(Said 'close/briefcase')
				)
				(self cue:)
			)
			((Said 'look,read[<at]/order') (Print 30 63))
		)
	)
)

(instance closeCaseScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (case cel?)
					(case setCycle: Beg self)
				else
					(= cycles 1)
				)
			)
			(1
				(caseView dispose:)
				(bkGrnd dispose:)
				(case setMotion: MoveTo 227 131 self)
			)
			(2
				(case hide:)
				(gEgo view: 230 setLoop: 1 setMotion: MoveTo 213 130 self)
			)
			(3
				(gEgo setMotion: MoveTo 198 115 self)
			)
			(4
				(gEgo
					view: 232
					loop: 3
					setLoop: -1
					setMotion: MoveTo 222 115 self
				)
				(case
					view: 430
					loop: 0
					cel: 3
					setPri: -1
					posn: 195 87
					show:
				)
			)
			(5
				(safeDoor setCycle: Beg self)
			)
			(6
				(HandsOn)
				(safeDoor setScript: 0)
				(self dispose:)
			)
		)
	)
)

(instance captain of Act
	(properties
		view 133
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/captain]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 71))
					((Said 'address') (Print 30 72) (Print 30 73))
				)
			)
		)
	)
)

(instance doc of Prop
	(properties
		y 147
		x 70
		view 130
	)
	
	(method (doit)
		(super doit:)
		(cond 
			((!= local6 0) (-- local6))
			((not (self cel?)) (self setCycle: End) (= local6 (Random 100 300)))
			(else (self setCycle: Beg) (= local6 (Random 100 300)))
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/doc]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 74))
					((Said 'address')
						(if (not local5)
							(= local5 1)
							(Print 30 75)
							(Print 30 76)
						else
							(Print 30 77)
						)
					)
				)
			)
		)
	)
)

(instance bkGrnd of View
	(properties
		y 88
		x 246
		view 430
		loop 5
	)
)

(instance manila of View
	(properties
		y 78
		x 246
		view 430
		cel 2
	)
)

(instance caseView of Prop
	(properties
		y 85
		x 246
		view 430
		loop 1
	)
)

(instance slot of Prop
	(properties
		y 50
		x 233
		view 430
		loop 2
	)
)

(instance codeView of View
	(properties
		y 64
		x 246
		view 430
		loop 4
	)
)

(instance blackHawkPV of RPicView
	(properties
		y 71
		x 215
		view 30
	)
)

(instance shipPV of RPicView
	(properties
		y 113
		x 21
		view 30
		cel 1
		priority 9
	)
)

(instance chairPV of RPicView
	(properties
		y 130
		x 84
		view 30
		cel 2
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/chair]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 78))
					((Said 'sit') (Print 30 79))
					((Said 'stand') (Print 30 80))
				)
			)
		)
	)
)

(instance plantPV of RPicView
	(properties
		y 116
		x 251
		view 30
		cel 3
	)
)

(instance safeDoor of Prop
	(properties
		y 91
		x 199
		view 30
		loop 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/safe]>')
				(cond 
					((proc954_1 self pEvent 'look[<at,in]/*'))
					((Said 'look<in') (if (not cel) (Print 30 81) else (Print 30 82)))
					((Said 'look[<at]') (Print 30 83))
					((proc954_0 self pEvent 222 115 'open' 30 84))
					((Said 'open')
						(if (safeDoor cel?)
							(Print 30 53)
						else
							(User canInput: 1 canControl: 0)
							(keyPad init:)
						)
					)
				)
			)
			((Said '[/code,keypad]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 85))
					(
					(proc954_0 self pEvent 222 115 'enter/code' 30 84))
					((Said 'enter')
						(if (safeDoor cel?)
							(Print 30 53)
						else
							(User canInput: 1 canControl: 0)
							(keyPad init:)
						)
					)
				)
			)
		)
	)
)

(instance bathDoor of Prop
	(properties
		y 116
		x 40
		view 30
		loop 2
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 86))
					((Said 'close') (PrintItIs))
					(
						(and
							(> (gEgo x?) x)
							(proc954_0 self pEvent stupidAvoider 3 'open' 30 84)
						)
					)
					((and (<= (gEgo x?) x) (Said 'open')) (self setScript: bathDoorScript))
					((Said 'open') (self setScript: bathDoorScript))
				)
			)
		)
	)
	
	(method (cue)
		(self stopUpd:)
	)
)

(instance egosInBathRoom of Script
	(properties)
	
	(method (handleEvent pEvent)
		(cond 
			((Said 'look[<at,around][/room]') (Print 30 87) (Print 30 88))
			((Said 'look/sink') (Print 30 89))
			(
				(or
					(Said 'use/sink')
					(Said 'wash/hand')
					(Said 'turn<on/water')
				)
				(Print 30 90)
			)
			((Said 'look/mirror') (Print 30 91))
			((Said 'comb/hair') (Print 30 92))
			((Said 'look/shower') (Print 30 93))
			((Said '(turn<on),use,get/shower') (Print 30 94))
			((Said 'look/light')
				(Print 30 95)
				(Print 30 96)
				(Print 30 97)
				(if local12 (Print 30 98) else (Print 30 99))
			)
			((Said 'look[/toilet]') (Print 30 95) (Print 30 96) (Print 30 100))
			((Said 'flush[/toilet]')
				(cond 
					(local11
						(= local11 0)
						(flushNoise play:)
						(Print 30 101)
						(Print 30 102)
						(gGame changeScore: -3)
					)
					(local12 (Print 30 103) (= local12 (Random 0 1)) (= local11 1))
					(else (Print 30 104) (= local12 (Random 0 1)))
				)
			)
			((Said 'sit,use/toilet,bathroom') (Print 30 105))
			((or (Said 'leak') (Said 'get//leak')) (Print 30 106))
			((or (Said 'crap') (Said 'get//crap')) (Print 30 107))
			((Said 'get/*') (Print 30 108))
			((Said 'look/*') (Print 30 109))
			((Said 'open[/door]>') (bathDoor handleEvent: pEvent))
			((Said '*') (Print 30 110))
		)
	)
)

(instance bathDoorScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(client setCycle: End self)
			)
			(1
				(= register (> (gEgo x?) (client x?)))
				(gEgo
					illegalBits: 0
					setMotion: MoveTo (if register 22 else 67) 117 self
				)
			)
			(2
				(client setCycle: Beg client)
				(HandsOn)
				(gEgo
					observeControl: 2 -32768
					setScript: (if (< (gEgo x?) (client x?)) egosInBathRoom else 0)
				)
				(self dispose:)
			)
		)
	)
)

(instance flushNoise of Sound
	(properties
		number 49
		priority 2
	)
)

(instance entryDoor of Prop
	(properties
		y 115
		x 283
		view 30
		loop 3
	)
	
	(method (doit)
		(super doit:)
		(if
			(and
				(== (gEgo onControl: 1) 4)
				(not (self script?))
				(= local21 1)
			)
			(HandsOff)
			(self setScript: entryDoorScript)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 111))
					((Said 'close') (PrintItIs))
					((< (gEgo x?) (bathDoor x?)))
					((proc954_0 self pEvent 267 125 'open' 30 84) (= local21 1))
					((Said 'open')
						(= local21 1)
						(HandsOff)
						(self setScript: entryDoorScript)
					)
				)
			)
		)
	)
)

(instance entryDoorScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(client setCycle: End)
				(= cycles 4)
			)
			(1
				(if (> (gEgo x?) (client x?))
					(= register -1)
				else
					(= register 1)
				)
				(gEgo
					illegalBits: (if (== register 1) 0 else -32766)
					setMotion: MoveTo (+ (gEgo x?) (* 35 register)) (gEgo y?) self
				)
			)
			(2
				(gEgo illegalBits: -32766)
				(client setCycle: Beg self)
			)
			(3
				(if (== register 1)
					(gRoom newRoom: 25)
				else
					(if (not (gRoom script?)) (HandsOn))
					(client stopUpd:)
					(= local21 0)
					(self dispose:)
				)
			)
		)
	)
)

(instance case of Act
	(properties
		y 87
		x 195
		view 430
		cel 3
	)
)

(instance keyPad of View
	(properties
		y 176
		x 291
		view 30
		cel 4
	)
	
	(method (init)
		(self signal: 257)
		(User mapKeyToDir: 0)
		(oneBut init: @local0)
		(twoBut init: @local0)
		(threeBut init: @local0)
		(fourBut init: @local0)
		(fiveBut init: @local0)
		(sixBut init: @local0)
		(sevenBut init: @local0)
		(eightBut init: @local0)
		(nineBut init: @local0)
		(zeroBut init: @local0)
		(enterBut init:)
		(super init:)
	)
	
	(method (dispose)
		(User mapKeyToDir: 1)
		(oneBut dispose:)
		(twoBut dispose:)
		(threeBut dispose:)
		(fourBut dispose:)
		(fiveBut dispose:)
		(sixBut dispose:)
		(sevenBut dispose:)
		(eightBut dispose:)
		(nineBut dispose:)
		(zeroBut dispose:)
		(enterBut dispose:)
		(super dispose:)
	)
)

(instance oneBut of KeyPadButton
	(properties
		nsTop 128
		nsLeft 275
		nsBottom 136
		nsRight 283
		strToCat {1}
		keyEquiv 49
		maxLength 8
	)
)

(instance twoBut of KeyPadButton
	(properties
		nsTop 128
		nsLeft 286
		nsBottom 136
		nsRight 294
		strToCat {2}
		keyEquiv 50
		maxLength 8
	)
)

(instance threeBut of KeyPadButton
	(properties
		nsTop 128
		nsLeft 299
		nsBottom 136
		nsRight 307
		strToCat {3}
		keyEquiv 51
		maxLength 8
	)
)

(instance fourBut of KeyPadButton
	(properties
		nsTop 140
		nsLeft 275
		nsBottom 148
		nsRight 283
		strToCat {4}
		keyEquiv 52
		maxLength 8
	)
)

(instance fiveBut of KeyPadButton
	(properties
		nsTop 140
		nsLeft 286
		nsBottom 148
		nsRight 294
		strToCat {5}
		keyEquiv 53
		maxLength 8
	)
)

(instance sixBut of KeyPadButton
	(properties
		nsTop 140
		nsLeft 299
		nsBottom 148
		nsRight 307
		strToCat {6}
		keyEquiv 54
		maxLength 8
	)
)

(instance sevenBut of KeyPadButton
	(properties
		nsTop 152
		nsLeft 275
		nsBottom 160
		nsRight 283
		strToCat {7}
		keyEquiv 55
		maxLength 8
	)
)

(instance eightBut of KeyPadButton
	(properties
		nsTop 152
		nsLeft 286
		nsBottom 160
		nsRight 294
		strToCat {8}
		keyEquiv 56
		maxLength 8
	)
)

(instance nineBut of KeyPadButton
	(properties
		nsTop 152
		nsLeft 299
		nsBottom 160
		nsRight 307
		strToCat {9}
		keyEquiv 57
		maxLength 8
	)
)

(instance zeroBut of KeyPadButton
	(properties
		nsTop 164
		nsLeft 299
		nsBottom 172
		nsRight 307
		strToCat {0}
		keyEquiv 48
		maxLength 8
	)
)

(instance enterBut of RFeature
	(properties
		y 285
		x 168
		nsTop 164
		nsLeft 275
		nsBottom 172
		nsRight 295
	)
	
	(method (init)
		(super init:)
		(gIceMouseDownHandler addToFront: self)
		(gIceKeyDownHandler addToFront: self)
	)
	
	(method (dispose)
		(super dispose:)
		(gIceMouseDownHandler delete: self)
		(gIceKeyDownHandler delete: self)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(or
					(and
						(== (pEvent type?) evKEYBOARD)
						(== (pEvent message?) KEY_RETURN)
					)
					(proc255_5 self pEvent)
				)
				(if (StrCmp @local0 {23448803})
					(Print 30 112)
					(HandsOn)
					(keyPad dispose:)
					(= local0 0)
				else
					(keyPad dispose:)
					(= local0 0)
					(safeDoor setScript: openSafeScript)
				)
			)
		)
	)
)

(instance closet of RFeature
	(properties
		y 83
		x 128
		nsTop 54
		nsLeft 105
		nsBottom 113
		nsRight 152
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/closet,cabinet]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 113))
					((Said 'open') (Print 30 114))
					((Said 'close') (PrintItIs))
				)
			)
		)
	)
)

(instance bunk of RFeature
	(properties
		y 153
		x 61
		nsTop 138
		nsLeft 10
		nsBottom 169
		nsRight 112
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((proc954_1 self pEvent 'look[<at]/bunk,bed'))
			((Said 'look[<at][/bunk,bed]') (Print 30 115))
			((Said 'sit') (Print 30 79))
		)
	)
)

(instance couch of RFeature
	(properties
		y 144
		x 192
		nsTop 113
		nsLeft 174
		nsBottom 176
		nsRight 210
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/couch]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 116))
					((Said 'sit') (Print 30 79))
				)
			)
		)
	)
)

(instance table of RFeature
	(properties
		y 132
		x 244
		nsTop 124
		nsLeft 222
		nsBottom 140
		nsRight 267
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/table]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 117))
				)
			)
		)
	)
)

(instance bookshelf of RFeature
	(properties
		y 64
		x 79
		nsTop 54
		nsLeft 54
		nsBottom 74
		nsRight 105
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/bookcase,shelf]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 118))
					((Said 'open') (Print 30 119))
					((Said 'close') (PrintItIs))
				)
			)
		)
	)
)

(instance desk of RFeature
	(properties
		y 99
		x 79
		nsTop 87
		nsLeft 54
		nsBottom 112
		nsRight 105
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/desk]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 120))
					((Said 'open') (Print 30 119))
					((Said 'close') (PrintItIs))
				)
			)
			((Said '[/drawer]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 121))
					((Said 'open') (Print 30 119))
					((Said 'close') (PrintItIs))
				)
			)
		)
	)
)

(instance nightstand of RFeature
	(properties
		y 127
		x 42
		nsTop 117
		nsLeft 27
		nsBottom 137
		nsRight 58
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/dresser]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 30 122))
					((Said 'open') (Print 30 119))
					((Said 'close') (PrintItIs))
				)
			)
		)
	)
)

(instance stupidAvoider of Feature
	(properties
		y 117
		x 67
	)
)
