;;; Sierra Script 1.0 - (do not remove this comment)
(script# 84)
(include sci.sh)
(use Main)
(use Class_255_0)
(use tunisia)
(use n828)
(use n954)
(use n958)
(use RFeature)
(use Avoid)
(use Cycle)
(use Game)
(use User)
(use Feature)
(use Obj)

(public
	agentApartmentRm 0
)
(synonyms
	(cabinet cupboard)
	(canister jar can)
)

(local
	[local0 20]
	tunisiaBagTimer =  10000
	local21
	local22
)
(procedure (localproc_001e param1)
	(return
		(not
			(if
				(and
					(< 0 (param1 x?))
					(< (param1 x?) 319)
					(< 0 (- (param1 y?) (param1 z?)))
				)
				(< (- (param1 y?) (param1 z?)) 189)
			else
				0
			)
		)
	)
)

(procedure (localproc_0066 param1)
	(switch param1
		(0
			(sugar show: setScript: 0)
			(flour show: setScript: 0)
			(coffee show: setScript: 0)
			(DisposeScript 363)
			(gEgo put: 9 put: 10 put: 11)
			(= local21 0)
		)
		(sugar
			(gEgo get: 9 put: 10 put: 11)
			(flour show: setScript: 0)
			(coffee show: setScript: 0)
			(sugar hide: setScript: (ScriptID 363 0))
			(= local21 1)
		)
		(flour
			(gEgo get: 10 put: 9 put: 11)
			(sugar show: setScript: 0)
			(coffee show: setScript: 0)
			(flour hide: setScript: (ScriptID 363 1))
			(= local21 1)
		)
		(coffee
			(gEgo get: 11 put: 9 put: 10)
			(sugar show: setScript: 0)
			(flour show: setScript: 0)
			(coffee hide: setScript: (ScriptID 363 2))
			(= local21 1)
		)
	)
)

(instance agentApartmentRm of Rm
	(properties
		picture 84
		north 85
		south 80
		vanishingX 174
		vanishingY -4
	)
	
	(method (init)
		(super init:)
		(proc958_0 128 284 684 250 584 85 884 784 984)
		(Load rsSOUND 67)
		(gIceGlobalSound
			number: 67
			owner: gGame
			priority: 1
			loop: -1
			play:
		)
		(self
			setRegions: 310
			setFeatures: windowski sink kitchen kounter bed cabinet northWall door
		)
		(proc958_0 130 362 365 363 369 319)
		(fridge init:)
		(sugar init:)
		(flour init:)
		(coffee init:)
		(phone init: stopUpd:)
		(if (not (gEgo has: 12)) (card init: stopUpd:))
		(if (not (gEgo has: 7)) (tape init: setPri: 15))
		(gAddToPics add: fridgeSide doit:)
		(switch gPrevRoomNum
			(north
				(= tunisiaBagTimer (tunisia bagTimer?))
				(if (tunisia bagBound?)
					((ScriptID 310 4) init:)
					((ScriptID 310 6) init:)
				)
				(gEgo init:)
			)
			(else 
				(gEgo view: 84 posn: 113 150 loop: 3 init:)
			)
		)
		(HandsOn)
	)
	
	(method (doit)
		(super doit:)
		(if (== (gEgo onControl: 1) 2) (gRoom newRoom: 80))
		(switch tunisiaBagTimer
			(0)
			(1
				(= tunisiaBagTimer 0)
				(self setScript: tossEverythingScript)
			)
			(10000)
			(else  (-- tunisiaBagTimer))
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<around][/room]') (Print 84 0))
			((Said 'examine/room,apartment') (Print 84 1))
			((Said 'eat/food')
				(if (== (tunisia fridgeIs?) 0)
					(PrintDontSee)
				else
					(Print 84 2)
				)
			)
			((Said 'read/note,newspaper')
				(if (gEgo has: 14)
					(Print 84 3)
					(Print 84 4)
					(Print 84 5)
					(proc828_0 tunisia 413 4 4)
				else
					(PrintDontHave)
				)
			)
			((Said 'load/gun')
				(if (gEgo has: 8)
					(Print 84 6)
				else
					(pEvent claimed: 0)
				)
			)
			(
				(or
					(and
						(== (pEvent type?) evKEYBOARD)
						(== (pEvent message?) KEY_F10)
					)
					(Said 'shoot')
					(Said 'shoot,use,fire/gun')
					(Said 'kill,shoot/bagdad,man')
				)
				(cond 
					((not (gEgo has: 8)) (Print 84 7))
					((tunisia bagBound?) (Print 84 8))
					(else (PrintBadIdea))
				)
			)
			((Said 'read/card[<business]')
				(if (gEgo has: 12)
					(Print 84 9 #icon 384 1 1)
				else
					(Print 84 10)
				)
			)
			((Said 'address/man,bagdad')
				(if (tunisia bagBound?)
					(Print 84 11)
				else
					(Print 84 12)
				)
			)
			((Said 'hit/man,bagdad[/gun<with]')
				(if (tunisia bagBound?)
					(Print 84 13)
				else
					(pEvent claimed: 0)
				)
			)
			((Said 'conceal,adjust<in,below/gun/hat')
				(if (gEgo has: 8)
					(PrintDontNeed)
				else
					(pEvent claimed: 0)
				)
			)
			((Said 'untie/man,bagdad')
				(if (tunisia bagBound?)
					(Print 84 14)
				else
					(pEvent claimed: 0)
				)
			)
			((Said 'throw/canister') (Print 84 15))
			((Said 'heist,get/man,money[/man<from]')
				(if (tunisia bagBound?)
					(Print 84 16)
				else
					(pEvent claimed: 0)
				)
			)
		)
	)
	
	(method (newRoom newRoomNumber)
		(cond 
			((== (gEgo script?) stayHereScript) (return))
			(
				(and
					(or (& (tunisia flags?) $0001) (== tunisiaBagTimer 0))
					(== newRoomNumber 80)
				)
				(gEgo setScript: stayHereScript)
			)
			(else
				(gIceGlobalSound fade:)
				(super newRoom: newRoomNumber &rest)
			)
		)
	)
)

(instance tossEverythingScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if (and (== state 0) (== (tunisia fridgeIs?) 0))
			(self cue:)
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(tunisia flags: (| (tunisia flags?) $0001))
				(if
				(or (gEgo has: 9) (gEgo has: 10) (gEgo has: 11))
					(localproc_0066 0)
				)
				(if (fridge script?) ((ScriptID 362 0) cue:))
			)
			(1
				(self setScript: (ScriptID 365 0) self)
			)
			(2 (= cycles 2))
			(3
				((ScriptID 365 1) dispose:)
				(DisposeScript 365)
				(Animate (gCast elements?) 0)
				(if (& (tunisia flags?) $0004)
					(self setScript: (ScriptID 319 0))
				else
					(self setScript: (ScriptID 369 0))
					(= local22 1)
				)
			)
			(4
				(DisposeScript 369)
				(= local22 0)
				(= tunisiaBagTimer 10000)
				(tunisia flags: (& (tunisia flags?) $fffe))
				(self dispose:)
			)
		)
	)
)

(instance stayHereScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(if
				(and local22 (localproc_001e (ScriptID 310 3)))
					(Print 84 17)
				else
					(Print 84 18)
				)
				(gEgo
					setMotion: MoveTo (gEgo x?) (- (gEgo y?) 10) self
				)
			)
			(1 (HandsOn) (self dispose:))
		)
	)
)

(instance phoneScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo
					view: 984
					loop: (if (== (gEgo view?) 84) 1 else 2)
					cel: 0
					setCycle: CT 3 1 self
				)
			)
			(1
				(phone cel: 1 forceUpd:)
				(gEgo setCycle: End self)
			)
			(2
				(Print 84 19 #edit @local0 20)
				(= seconds 3)
			)
			(3
				(cond 
					((not (StrCmp @local0 {})) (self cue:))
					((not (StrCmp @local0 {13-555-8097}))
						(if (not (& register $0001))
							(Print 84 20 #time 10)
							(Print 84 21)
							(User canInput: 1)
							(= seconds 10)
						else
							(Print 84 22)
							(gEgo setScript: putDownPhoneScript)
						)
					)
					((not (StrCmp @local0 {03-120-1204}))
						(if (not (& register $0002))
							(Print 84 23 #time 10)
							(User canInput: 1)
							(= seconds 10)
						else
							(Print 84 24)
							(gEgo setScript: putDownPhoneScript)
						)
					)
					(else
						(Print 84 25 #time 10)
						(gEgo setScript: putDownPhoneScript)
					)
				)
			)
			(4
				(Print 84 26)
				(gEgo setScript: putDownPhoneScript)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((not (StrCmp @local0 {03-120-1204}))
				(if (Said 'address[/man,guard,basal]')
					(= register (| register $0002))
					(tunisia madeCall: 1)
					(Print 84 27)
					(gGame changeScore: 2)
				else
					(Print 84 28)
					(pEvent claimed: 1)
				)
				(Print 84 26)
				(gEgo setScript: putDownPhoneScript)
			)
			((not (StrCmp @local0 {13-555-8097}))
				(if
					(or
						(Said 'address[/man,bagdad,bagdad]')
						(Said 'order/food')
					)
					(= register (| register $0001))
					(Print 84 29)
					(Print 84 30)
					(= tunisiaBagTimer 100)
					(tunisia flags: (| (tunisia flags?) $0001))
					(gGame changeScore: 2)
				else
					(Print 84 28)
					(pEvent claimed: 1)
				)
				(Print 84 26)
				(gEgo setScript: putDownPhoneScript)
			)
		)
	)
)

(instance putDownPhoneScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(gEgo setCycle: CT 3 -1 self)
			)
			(1
				(phone cel: 0 forceUpd:)
				(gEgo setCycle: Beg self)
			)
			(2
				(gEgo
					view: (if (== (gEgo loop?) 1) 84 else 684)
					loop: 0
					setLoop: -1
					setCycle: Walk
					setScript: 0
				)
				(phone stopUpd:)
				(HandsOn)
			)
		)
	)
)

(instance windowski of RFeature
	(properties
		y 56
		x 159
		heading 180
		nsTop 40
		nsLeft 135
		nsBottom 67
		nsRight 183
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/shutter]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 31))
					((proc954_0 self pEvent 160 96 0 84 32))
					((Said 'look[<out,through]')
						(if (& (tunisia flags?) $0001)
							(Print 84 33)
						else
							(tunisia bagTimer: tunisiaBagTimer)
							(gRoom newRoom: 85)
						)
					)
				)
			)
		)
	)
)

(instance kitchen of RFeature
	(properties
		y 80
		x 285
		heading 225
		nsTop 64
		nsLeft 251
		nsBottom 97
		nsRight 319
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/kitchen]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 34) (Print 84 35))
				)
			)
			((Said '/drawer>') (if (Said 'open,examine,look[<at,in]') (Print 84 36)))
			((Said '/stove>')
				(cond 
					((Said 'open,examine,look[<at,in]') (Print 84 36))
					((Said 'use,turn<on,off') (PrintDontNeed))
				)
			)
		)
	)
)

(instance sink of RFeature
	(properties
		y 82
		x 260
		heading 270
		nsTop 76
		nsLeft 254
		nsBottom 88
		nsRight 266
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/sink]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 37))
					((Said 'look<below') (PrintSeeNothing))
					((Said 'use') (PrintDontNeed))
				)
			)
			(
				(or
					(Said 'drink,use,turn<on/water')
					(Said 'wash/hand,feet')
				)
				(PrintDontNeed)
			)
		)
	)
)

(instance cabinet of RFeature
	(properties
		y 54
		x 226
		heading 180
		nsTop 40
		nsLeft 209
		nsBottom 68
		nsRight 244
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/cabinet]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 38))
					((Said 'open,(look<in)') (Print 84 39))
				)
			)
		)
	)
)

(instance kounter of RFeature
	(properties
		y 131
		x 244
		heading 180
		nsTop 98
		nsLeft 223
		nsBottom 131
		nsRight 266
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/counter]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at,on]') (Print 84 40))
				)
			)
		)
	)
)

(instance fridge of Prop
	(properties
		y 142
		x 301
		heading 270
		view 284
		priority 9
		signal $4011
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(or
					(Said '[/freezer,(box<ice)]>')
					(Said '/top/freezer,(box<ice)>')
				)
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 41))
					((Said 'examine,look<in')
						(if (not (self cel?))
							(Print 84 42)
						else
							(Print 84 43)
							(Print 84 44)
							(if (== (tunisia cheezIs?) 2)
								(Print 84 45)
							else
								(Print 84 46)
							)
							(Print 84 47)
						)
					)
					((Said 'close')
						(if (!= cel (self lastCel:))
							(Print 84 48)
						else
							(self setScript: (ScriptID 362 1))
						)
					)
					((Said 'look/top/freezer,(box<ice)') (if (gEgo has: 7) (PrintSeeNothing) else (Print 84 49)))
					(
						(and
							(or (tunisia bagBound?) (& (tunisia flags?) $0001))
							(Said 'open')
						)
						(Print 84 50)
					)
					((and local21 (Said 'open')) (Print 84 51))
					((proc954_0 self pEvent self 12 'open' 84 32))
					((Said 'open')
						(if cel
							(Print 84 52)
						else
							(DisposeScript 363)
							(self setScript: (ScriptID 362 0))
						)
					)
				)
			)
		)
	)
)

(instance fridgeSide of PV
	(properties
		y 142
		x 306
		view 284
		loop 3
		priority 10
		signal $4000
	)
)

(instance sugar of Prop
	(properties
		y 128
		x 239
		z 24
		heading 180
		view 284
		loop 1
		priority 9
		signal $4011
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(or
					(Said '[/canister<sugar]>')
					(Said '[/canister<big]>')
				)
				(cond 
					((Said 'drop,adjust,replace') (localproc_0066 0))
					((and local21 (Said '(get[<!*])/*')) (Print 84 53))
					(local21)
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 54))
					(
						(and
							(or (& (tunisia flags?) $0001) (tunisia bagBound?))
							(Said '/*')
						)
						(Print 84 55)
					)
					((or (Said 'open') (Said 'empty,pour[<out]')) (Print 84 56))
					(
					(proc954_0 self pEvent self 15 '(get[<!*])/*' 84 32))
					((Said '(get[<!*])/*')
						(Print 84 57)
						(if (not (gEgo has: 8)) (Print 84 58))
						(localproc_0066 self)
					)
				)
			)
		)
	)
	
	(method (cue)
		(localproc_0066 0)
	)
)

(instance flour of Prop
	(properties
		y 128
		x 247
		z 24
		heading 180
		view 284
		loop 1
		cel 1
		priority 9
		signal $4011
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(or
					(Said '[/canister<flour]>')
					(Said '[/canister<medium]>')
				)
				(cond 
					((Said 'drop,adjust,replace') (localproc_0066 0))
					((and local21 (Said '(get[<!*])/*')) (Print 84 53))
					(local21)
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 54))
					(
						(and
							(or (& (tunisia flags?) $0001) (tunisia bagBound?))
							(Said '/*')
						)
						(Print 84 55)
					)
					((or (Said 'open') (Said 'empty,pour[<out]')) (Print 84 56))
					(
					(proc954_0 self pEvent self 15 '(get[<!*])/*' 84 32))
					((Said '(get[<!*])/*') (Print 84 59) (localproc_0066 self))
				)
			)
		)
	)
	
	(method (cue)
		(localproc_0066 0)
	)
)

(instance coffee of Prop
	(properties
		y 128
		x 255
		z 24
		heading 180
		view 284
		loop 1
		cel 2
		priority 9
		signal $4011
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(or
					(Said '[/canister<coffee]>')
					(Said '[/canister<little]>')
				)
				(cond 
					((Said 'drop,adjust,replace') (localproc_0066 0))
					((and local21 (Said '(get[<!*])/*')) (Print 84 53))
					(local21)
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 54))
					(
						(and
							(or (& (tunisia flags?) $0001) (tunisia bagBound?))
							(Said '/*')
						)
						(Print 84 55)
					)
					((or (Said 'open') (Said 'empty,pour[<out]')) (Print 84 56))
					(
					(proc954_0 self pEvent self 15 '(get[<!*])/*' 84 32))
					((Said '(get[<!*])/*') (Print 84 60) (localproc_0066 self))
				)
			)
		)
	)
	
	(method (cue)
		(localproc_0066 0)
	)
)

(instance phone of Prop
	(properties
		y 59
		x 198
		view 984
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/call]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 61))
					((Said 'shoot') (Print 84 62))
					(
						(and
							(& (tunisia flags?) $0001)
							(or
								(Said '(get[<!*]),dial,(pick<up)')
								(Said '(call<use)')
								(Said 'make/call<call')
								(Said 'call/guard,compound,bagdad')
							)
						)
						(Print 84 63)
					)
					(
						(or
							(Said '(get[<!*]),call,dial,(pick<up)')
							(Said '(call<use)')
							(Said 'make/call<call')
						)
						(if (User controls?)
							(HandsOff)
							(gEgo setAvoider: Avoid setMotion: MoveTo 187 95 self)
						else
							(Print 84 32)
						)
					)
				)
			)
		)
	)
	
	(method (cue)
		(gEgo setScript: phoneScript)
	)
)

(instance card of View
	(properties
		y 57
		x 192
		view 284
		loop 4
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/card]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 64))
					((proc954_0 self pEvent 187 95 0 84 32))
					((Said '(get[<!*])/*')
						(if (gEgo has: 12)
							(PrintAlreadyTookIt)
						else
							(Print 84 65)
							(gEgo get: 12)
							(self dispose:)
						)
					)
				)
			)
		)
	)
)

(instance tape of View
	(properties
		y 97
		x 301
		view 284
		loop 4
		cel 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/tape]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 66))
					((proc954_0 self pEvent fridge 12 0 84 32))
					((Said '(get[<!*])/*')
						(Print 84 67)
						(gEgo get: 7)
						(gGame changeScore: 1)
						(self dispose:)
					)
				)
			)
		)
	)
)

(instance bed of RFeature
	(properties
		y 106
		x 87
		nsTop 89
		nsLeft 67
		nsBottom 123
		nsRight 106
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/bed]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 68))
					((Said 'look<below,on') (PrintSeeNothing))
					((Said 'sit') (Print 84 69))
					((Said 'rest') (Print 84 70))
					((Said 'make') (PrintDontNeed))
				)
			)
		)
	)
)

(instance northWall of RFeature
	(properties
		y 59
		x 161
		nsTop 31
		nsLeft 73
		nsBottom 87
		nsRight 249
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/wall]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 71) (if (not (gEgo has: 12)) (Print 84 72)))
				)
			)
		)
	)
)

(instance door of RFeature
	(properties
		y 167
		x 112
		nsTop 145
		nsLeft 83
		nsBottom 189
		nsRight 141
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 84 73))
				)
			)
		)
	)
)
