;;; Sierra Script 1.0 - (do not remove this comment)
(script# 365)
(include sci.sh)
(use Main)
(use Class_255_0)
(use tunisia)
(use n954)
(use Avoid)
(use Cycle)
(use User)
(use Obj)

(public
	bagdadKnockScript 0
	handsUpScript 1
)

(local
	local0
)
(instance bagdadKnockScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(Print 365 0)
				(Print 365 1)
				(= seconds 10)
			)
			(1
				(Print 365 2)
				(= seconds 10)
			)
			(2 (Print 365 3) (= seconds 5))
			(3
				(tunisia flags: (| (tunisia flags?) $0004))
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(and
					(> state 1)
					(or (Said 'answer,open/door') (Said 'answer'))
				)
				(Print 365 4)
			)
			(
			(proc954_0 self pEvent 93 156 'answer,open/door') (= seconds 0))
			((Said 'answer,open/door')
				((ScriptID 310 4) init: posn: 126 200)
				(= caller 0)
				(client setScript: bagdadInScript)
			)
		)
	)
)

(instance bagdadInScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(tunisia flags: (| (tunisia flags?) $0002))
				(gEgo setAvoider: Avoid setMotion: MoveTo 95 159 self)
			)
			(1
				(Print 365 5)
				((ScriptID 310 4)
					setCycle: Walk
					setMotion: MoveTo 126 150 self
				)
			)
			(2
				(Print 365 6)
				((ScriptID 310 4)
					illegalBits: 0
					setMotion: MoveTo 210 112 self
				)
				(gEgo setAvoider: 0 setMotion: MoveTo 131 112)
			)
			(3
				((ScriptID 310 4)
					view: 584
					setLoop: 3
					cel: 0
					cycleSpeed: 2
					setCycle: CT 1 1 self
				)
			)
			(4
				((ScriptID 310 4) cycleSpeed: 0 setCycle: CT 4 1 self)
				((ScriptID 310 5) init: setPri: 9 stopUpd:)
			)
			(5
				((ScriptID 310 4)
					setCycle: Walk
					setMotion:
						MoveTo
						(- ((ScriptID 310 4) x?) 15)
						((ScriptID 310 4) y?)
						self
				)
			)
			(6 (= seconds 2))
			(7 (Print 365 7) (= cycles 1))
			(8
				(gEgo heading: 90 cycleSpeed: 1)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 3)
			)
			(9
				(gEgo cycleSpeed: 0)
				(tunisia flags: (| (tunisia flags?) $0001))
				(HandsOn)
				(= seconds 10)
			)
			(10
				(Print 365 8)
				(= seconds 8)
			)
			(11
				(Print 365 9)
				(= seconds 6)
			)
			(12
				(HandsOff)
				(Print 365 10)
				(client setScript: bagdadOutScript)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(Said
					'shoot,draw,use/man,bagdad,gun,tranquilizer,(gun<tranquilizer)'
				)
				(cond 
					((not (gEgo has: 8)) (PrintDontHave))
					((== (gEgo view?) 584) (Print 365 11))
					(else (client setScript: getInPosnScript))
				)
			)
			(
				(or
					(Said 'change,detach<tell<bagdad,man[/clothes]')
					(Said 'change,detach,(get<off)/clothes')
					(Said 'undress')
				)
				(HandsOff)
				(Print 365 12)
				(client setScript: bagdadOutScript)
			)
			(
				(or
					(Said 'pay,give/man,bagdad,money')
					(Said 'give/money<to/man,bagdad')
					(Said 'give/money<man,bagdad')
				)
				(Print 365 13)
			)
			((Said 'hit/man,bagdad[/gun<with]') (Print 365 14))
			((Said 'heist,get/man,money[/man<from]') (Print 365 15))
		)
	)
)

(instance getInPosnScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(cond 
					((gEgo inRect: 223 94 271 124) (gEgo illegalBits: 0 setMotion: MoveTo 235 91 self))
					((gEgo inRect: 209 83 254 93) (gEgo setMotion: MoveTo 206 93 self))
					((gEgo inRect: 218 132 317 153) (gEgo setMotion: MoveTo 214 136 self))
					((and (== (gEgo x?) 131) (== (gEgo y?) 112)) (= cycles (= register 1)))
					(else (gEgo setMotion: MoveTo 131 112 self) (= register 1))
				)
			)
			(1
				(if register (= cycles 1) else (self init:))
			)
			(2
				(gEgo setMotion: MoveTo (+ (gEgo x?) 5) (gEgo y?) self)
			)
			(3
				(gEgo
					view: 584
					illegalBits: -32768
					cel: 0
					loop: 2
					setCycle: End
				)
				(Print 365 16)
				(client setScript: handsUpScript)
				(User canInput: 1)
			)
		)
	)
)

(instance bagdadOutScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (gEgo inRect: 84 142 142 160)
					(gEgo setMotion: MoveTo 80 140)
				)
				((ScriptID 310 4) loop: 9 cel: 0 setCycle: CT 1 1 self)
			)
			(1
				((ScriptID 310 4)
					setAvoider: Avoid
					setCycle: Walk
					setMotion:
						MoveTo
						(+ ((ScriptID 310 4) x?) 15)
						((ScriptID 310 4) y?)
						self
				)
			)
			(2
				((ScriptID 310 4) setCycle: End self)
				((ScriptID 310 5) dispose:)
			)
			(3
				((ScriptID 310 4)
					view: 184
					setCel: -1
					setLoop: -1
					setCycle: Walk
					setMotion: MoveTo 126 150 self
				)
			)
			(4
				((ScriptID 310 4)
					setMotion: MoveTo ((ScriptID 310 4) x?) 210 self
				)
				(gEgo heading: 180 cycleSpeed: 1)
				((gEgo looper?) doit: gEgo (gEgo heading?))
			)
			(5
				(tunisia flags: (| (tunisia flags?) $0004))
				(client cue:)
			)
		)
	)
)

(instance handsUpScript of Script
	(properties)
	
	(method (init)
		(super init: &rest)
		(gIceKeyDownHandler add: self)
	)
	
	(method (doit)
		(super doit:)
		(if (and register (== (-- register) 1))
			(tunisia flags: (| (tunisia flags?) $0004))
			(client cue:)
		)
	)
	
	(method (dispose)
		(gIceKeyDownHandler delete: self)
		(super dispose: &rest)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				((ScriptID 310 4)
					view: 584
					setLoop: 4
					cel: 0
					cycleSpeed: 1
					setCycle: End self
				)
			)
			(1 (= seconds 2))
			(2
				(Print 365 17)
				(= register 100)
			)
			(3
				(= register 0)
				(HandsOff)
				((ScriptID 310 4)
					setCel: 0
					setLoop: 5
					ignoreActors: 1
					setCycle: CT 14 1 self
				)
			)
			(4
				((ScriptID 310 7)
					init:
					posn: ((ScriptID 310 4) x?) (+ ((ScriptID 310 4) y?) 1)
					stopUpd:
					ignoreActors: 1
				)
				((ScriptID 310 4) cel: 15)
				(= cycles 2)
			)
			(5
				(= register 100)
				(Print 365 18)
				(User canInput: 1)
			)
			(6
				(HandsOff)
				(= register 0)
				(gEgo setCycle: Beg self)
			)
			(7
				(gEgo
					view: 84
					setCycle: Walk
					setMotion:
						MoveTo
						(- ((ScriptID 310 4) x?) 7)
						(+ ((ScriptID 310 4) y?) 1)
						self
				)
			)
			(8
				(gEgo heading: 0 cycleSpeed: 1)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 1)
			)
			(9
				((ScriptID 310 4) loop: 8 cel: (+ 0 (* 3 local0)))
				(gEgo loop: 7 cel: 0)
				(= cycles 2)
			)
			(10 (gEgo cel: 1) (= cycles 2))
			(11
				(gEgo cel: 2)
				(= cycles 2)
				((ScriptID 310 4) cel: (+ 1 (* 3 local0)))
			)
			(12 (gEgo cel: 1) (= cycles 2))
			(13
				(gEgo cel: 2)
				(= cycles 2)
				((ScriptID 310 4) cel: (+ 2 (* 3 local0)))
			)
			(14
				((ScriptID 310 4) ignoreActors: 0)
				(gEgo cel: 1)
				(= cycles 2)
			)
			(15 (gEgo cel: 2) (= cycles 2))
			(16
				(gEgo view: 84)
				(= seconds 2)
			)
			(17
				(Print 365 19)
				(gGame changeScore: 3)
				(if local0 (HandsOn) (= register 2) else (= cycles 1))
			)
			(18
				(gEgo heading: 270 cycleSpeed: 1)
				((gEgo looper?) doit: gEgo (gEgo heading?))
				(= cycles 1)
			)
			(19
				(gEgo
					view: 584
					cel: 0
					loop: 0
					cycleSpeed: 1
					setCycle: CT 14 1 self
				)
			)
			(20
				((ScriptID 310 6)
					init:
					posn: (gEgo x?) (+ (gEgo y?) 1)
					stopUpd:
					ignoreActors: 1
				)
				(gEgo cel: 15)
				(= cycles 2)
			)
			(21
				(gEgo cel: 0 loop: 6 setCycle: CT 13 1 self)
			)
			(22
				((ScriptID 310 7) dispose:)
				(gEgo cel: 14)
				(= cycles 1)
			)
			(23
				(gEgo cel: 15)
				(= cycles 2)
			)
			(24
				(Print 365 20)
				(tunisia bagBound: 1)
				(tunisia flags: (| (tunisia flags?) $0001))
				((ScriptID 310 4) stopUpd:)
				(HandsOn)
				(gEgo
					view: 684
					setCycle: Walk
					loop: 1
					setLoop: -1
					cycleSpeed: 0
				)
				(= cycles 2)
			)
			(25 (client cue:))
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(or
					(and
						(== (pEvent type?) evKEYBOARD)
						(== (pEvent message?) KEY_F10)
					)
					(Said 'shoot,fire,kill[/man,bagdad,gun]')
				)
				(Print 365 11)
			)
			(
				(or
					(Said 'change<tell<bagdad,man[/clothes]')
					(Said 'change,detach,(get<off)/clothes')
					(Said 'get/clothes[/man,bagdad]')
					(Said 'undress')
				)
				(cond 
					((and (> state 4) (not local0)) (Print 365 21))
					((and (> state 4) local0) (Print 365 22))
					(else (Print 365 23) (Print 365 24) (self cue:))
				)
			)
			(
				(or
					(Said 'bind,bind[<up]/man,bagdad[<up]')
					(Said 'use/tape')
					(Said '/man,bagdad<tape')
					(Said '//clothes<for')
				)
				(cond 
					((not (gEgo has: 7))
						(Print 365 25)
						(tunisia flags: (| (tunisia flags?) $0004))
						(client cue:)
					)
					((< state 3)
						(= local0 1)
						(= start 6)
						((ScriptID 310 4) ignoreActors: 1)
						(self init:)
					)
					(else (self cue:))
				)
			)
			(
				(or
					(Said 'pay,give/man,bagdad,money')
					(Said 'give/money<to/man,bagdad')
					(Said 'give/money<man,bagdad')
				)
				(Print 365 13)
			)
			((Said 'hit/man,bagdad[/gun<with]') (Print 365 14))
			((Said 'heist,get/man,money[/man<from]') (Print 365 15))
		)
	)
)
