;;; Sierra Script 1.0 - (do not remove this comment)
(script# 4)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n824)
(use n954)
(use n958)
(use RFeature)
(use Game)
(use User)
(use Feature)

(public
	beachHuts1 0
)

(local
	local0
)
(instance beachHuts1 of Rm
	(properties
		picture 4
		east 3
		south 8
		west 8
		vanishingX 0
		vanishingY -50
	)
	
	(method (init)
		(if (== gPrevRoomNum west)
			((User alterEgo?) edgeHit: 0)
		)
		(super init:)
		(proc958_0 128 200 206)
		(switch gPrevRoomNum
			(east
				(switch (gEgo view?)
					(214
						(gEgo posn: 192 185 loop: 3)
					)
					(215
						(gEgo posn: 170 185 loop: 3)
					)
					(216
						(gEgo posn: 100 185 loop: 3)
					)
					(else  (gEgo posn: 310 166))
				)
			)
			(5
				(gEgo
					posn: 86 95
					view: (if (== (gEgo view?) 206) 206 else 200)
				)
			)
		)
		(gEgo init:)
		(self
			setRegions: 301 300
			setFeatures:
				islanderHutDoor
				hutDoor
				jungleFeature
				oceanFeature
				beachViewFeature
				window1
				((Clone window1)
					x: 64
					y: 76
					nsLeft: 47
					nsTop: 67
					nsRight: 81
					nsBottom: 86
					yourself:
				)
				((Clone jungleFeature) x: 175 y: 60)
				((Clone jungleFeature) x: 130 y: 60)
				((Clone jungleFeature) x: 80 y: 60)
		)
		(proc824_0)
	)
	
	(method (doit)
		(super doit:)
		(switch (gEgo onControl: 1)
			(8192 (self newRoom: 5))
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			(
				(and
					(Said 'look[<at,around]>')
					(Said '/room,hotel,building')
				)
				(Print 4 0)
			)
		)
	)
	
	(method (newRoom newRoomNumber)
		(if
		(and (== newRoomNumber south) (> (gEgo x?) 80))
			(super newRoom: 3)
			(gEgo loop: 0)
		else
			(super newRoom: newRoomNumber)
		)
	)
)

(instance islanderHutDoor of RFeature
	(properties
		y 142
		x 93
		heading 90
		nsTop 120
		nsLeft 89
		nsBottom 164
		nsRight 97
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent '*/*'))
					((Said 'look[<at]') (Print 4 1))
					((Said 'open,unlock') (Print 4 2))
					((Said 'knock') (Print 4 3))
				)
			)
		)
	)
)

(instance hutDoor of RFeature
	(properties
		y 87
		x 83
		heading 90
		nsTop 67
		nsLeft 82
		nsBottom 107
		nsRight 85
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/door]>')
				(cond 
					((proc954_1 self pEvent '*/*'))
					((Said 'look[<at]') (Print 4 4))
					((Said 'open,unlock') (Print 4 2))
					((Said 'knock') (Print 4 3))
				)
			)
		)
	)
)

(instance window1 of RFeature
	(properties
		y 131
		x 44
		heading 180
		nsTop 120
		nsBottom 143
		nsRight 88
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/shutter]>')
				(cond 
					((proc954_1 self pEvent '*/*'))
					((Said 'look[<at]') (Print 4 5))
					((Said 'look<in') (Print 4 6))
				)
			)
		)
	)
)

(instance jungleFeature of Feature
	(properties
		y 60
		x 300
		heading 235
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/bush]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 4 7))
				)
			)
		)
	)
)

(instance beachViewFeature of Feature
	(properties
		y 160
		x 315
		heading 315
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/beach]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 4 8))
				)
			)
		)
	)
)

(instance oceanFeature of Feature
	(properties
		y 186
		x 254
		heading 35
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at][/water,bay]') (Print 4 9))
		)
	)
)
