;;; Sierra Script 1.0 - (do not remove this comment)
(script# 391)
(include sci.sh)
(use Main)
(use Class_255_0)
(use subMarine)
(use Rev)
(use Cycle)
(use Obj)

(public
	egoDownLadderScript 0
	captainfallsScript 1
)

(instance egoDownLadderScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo
					illegalBits: 0
					setScript: 0
					view: 238
					posn: 298 42
					setLoop: 0
					heading: 0
					setCycle: Rev
					setMotion: MoveTo 298 91 self
				)
			)
			(1
				(gEgo
					observeControl: -32768
					view: 232
					setLoop: -1
					setCycle: Walk
					setMotion: MoveTo 253 102 self
				)
			)
			(2
				(HandsOn)
				(gEgo setScript: (ScriptID 25 3))
			)
		)
	)
)

(instance captainfallsScript of Script
	(properties)
	
	(method (dispose)
		(super dispose:)
		(DisposeScript 391)
	)
	
	(method (changeState newState &tmp theGAddToPics)
		(switch (= state newState)
			(0
				(gEgo setScript: egoDownLadderScript self)
			)
			(1
				((ScriptID 25 1)
					view: 425
					init:
					illegalBits: 0
					posn: 302 87
					setLoop: 0
					heading: 0
					cycleSpeed: 1
					setCycle: End self
				)
			)
			(2
				(Print 391 0)
				(Print 391 1)
				((ScriptID 25 1) dispose:)
				(subMarine roomFlags: (| (subMarine roomFlags?) $0002))
				(gCast eachElementDo: #hide)
				(= theGAddToPics gAddToPics)
				(= gAddToPics 0)
				(gRoom drawPic: 101)
				(Print 391 2)
				(Print 391 3)
				(Print 391 4)
				(Print 391 5)
				(Print 391 6)
				(Print 391 7)
				(gRoom drawPic: (gRoom picture?))
				((= gAddToPics theGAddToPics) doit:)
				(gCast eachElementDo: #show)
				(HandsOn)
				(gEgo
					view: 232
					setCycle: Walk
					posn: 204 111
					setLoop: -1
					loop: 1
					illegalBits: -32768
				)
				(gEgo setScript: (ScriptID 25 3))
			)
		)
	)
)
