;;; Sierra Script 1.0 - (do not remove this comment)
(script# 7)
(include sci.sh)
(use Main)
(use Class_255_0)
(use n954)
(use RFeature)
(use Game)

(public
	endBeach 0
)

(instance endBeach of Rm
	(properties
		picture 7
		north 15
		south 5
		west 8
	)
	
	(method (init)
		(super init:)
		(Load rsVIEW 200)
		(gEgo init: observeControl: 1024)
		(switch gPrevRoomNum
			(south (gEgo y: 187))
			(west
				(gEgo view: 200 loop: 0 posn: 5 180)
			)
		)
		(self setFeatures: water jungle setRegions: 301 300)
	)
	
	(method (dispose)
		(gEgo ignoreControl: 1024)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at,around][/room,scene,beach]') (Print 7 0))
			((Said 'look<up') (Print 7 1))
			(
			(Said 'look[<at]/building,hotel,building,building') (Print 7 2))
			((Said 'look/cloud') (Print 7 3))
		)
	)
)

(instance jungle of RFeature
	(properties
		y 150
		x 294
		nsTop 112
		nsLeft 270
		nsBottom 189
		nsRight 319
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/bush,bush]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 7 4))
					((Said 'enter') (PrintDontNeed))
				)
			)
		)
	)
)

(instance water of RFeature
	(properties
		y 82
		x 137
		nsTop 66
		nsBottom 99
		nsRight 274
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[bay,water]>')
				(cond 
					((proc954_1 self pEvent 'look/*'))
					((Said 'look[<at]') (Print 7 5))
					((Said 'enter') (Print 7 6))
				)
			)
		)
	)
)
