;;; Sierra Script 1.0 - (do not remove this comment)
(script# 38)
(include sci.sh)
(use Main)
(use Class_255_0)
(use subMarine)
(use n821)
(use n954)
(use n958)
(use RFeature)
(use Sound)
(use Cycle)
(use Game)
(use User)
(use Feature)
(use Obj)

(public
	escapeHatchRm 0
)

(local
	local0
)
(instance escapeHatchRm of Rm
	(properties
		picture 38
		north 50
		south 37
	)
	
	(method (init)
		(super init:)
		(HandsOff)
		(proc958_0 128 238 138 438 232 38)
		(Load rsSOUND 59)
		(gEgo
			illegalBits: 0
			init:
			setPri: 8
			posn: 137 187
			view: 238
			heading: 0
		)
		(sideDoor init: setPri: 9)
		(ladder init: setPri: 1)
		(topHatchDoor init:)
		(if (== (subMarine suitRoom?) 38)
			(self setFeatures: scubaGear)
		)
		(self setFeatures: waterButton setRegions: 314)
		(gEgo setScript: roomScript)
	)
	
	(method (dispose)
		(if (>= gNewRoomNum 50)
			(DisposeScript 806)
			(DisposeScript 817)
			(gEgo put: 5 9 10 11 12 13 14 15 16 17)
		)
		(super dispose:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<around,at][/room,scene]')
				(cond 
					((not local0) (Print 38 0))
					((== (subMarine suitRoom?) 38) (Print 38 1))
					(else (Print 38 2))
				)
			)
		)
	)
)

(instance roomScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(gEgo setPri: 11)
				(= cycles 1)
			)
			(1
				(gEgo
					illegalBits: 0
					ignoreActors:
					setMotion: MoveTo 137 170 self
				)
			)
			(2
				(= local0 0)
				(User canInput: 1 canControl: 0)
				(self dispose:)
			)
		)
	)
)

(instance waterScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(subMarine cue: 1)
				(gEgo ignoreActors: view: 138 setLoop: 0 setCel: 0)
				(= cycles 20)
			)
			(1
				(gEgo x: 187 y: 130 setCycle: End self)
			)
			(2
				(water init:)
				(water setLoop: 1 setCel: 0 setCycle: End self)
			)
			(3
				(Print 38 3 #at 5 6)
				(= cycles 1)
			)
			(4
				(water setLoop: 2 setCel: 0 setCycle: End self)
			)
			(5
				(Print 38 4 #at 2 102)
				(= cycles 1)
			)
			(6
				(gEgo setPri: 10 setLoop: 3 setCel: 0)
				(water setLoop: 4 setCel: 0)
				(= cycles 1)
			)
			(7 (gEgo setCycle: End self))
			(8
				(gEgo x: 188 y: 82 setLoop: 3 setCel: 0)
				(= cycles 4)
			)
			(9
				(Print 38 5 #at 150 100)
				(= cycles 1)
			)
			(10
				(topHatchDoor setCycle: End self)
			)
			(11
				(gEgo
					loop: 5
					cel: 0
					setStep: 3 6
					illegalBits: 0
					posn: 181 86
					setMotion: MoveTo 181 -12 self
				)
			)
			(12
				(gEgo
					setPri: -1
					illegalBits: -32768
					setStep: 3 4
					put: 0 1
				)
				(HandsOn)
				(gRoom newRoom: 50)
			)
		)
	)
)

(instance deadWaterScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if
			(or
				(and (== (gurgle prevSignal?) 10) (== state 2))
				(and (== (gurgle prevSignal?) 20) (== state 3))
				(== (gurgle prevSignal?) -1)
			)
			(self cue:)
		)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo
					illegalBits: 0
					ignoreActors: 1
					setMotion: MoveTo 187 130 self
				)
			)
			(1
				(gEgo setCel: 0 setLoop: 3 setPri: 8)
				(= cycles 1)
			)
			(2
				(deathWater init: setPri: 7)
				(gEgo posn: 159 125)
				(deathWater setLoop: 1 setCel: 0 setCycle: End)
				(gurgle play:)
			)
			(3
				(deathWater
					setLoop: 2
					setCel: 0
					cycleSpeed: 1
					setCycle: End
				)
			)
			(4
				(gEgo
					view: 438
					setLoop: 3
					setCel: 0
					setMotion: MoveTo 196 116 self
				)
			)
			(5
				(gEgo setMotion: MoveTo 222 90)
			)
			(6 (proc821_0 926 0 0 38 6))
		)
	)
)

(instance openDoorFromInside of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(gEgo illegalBits: 0 ignoreActors:)
				(= cycles 1)
			)
			(1
				(sideDoor setCycle: End self)
			)
			(2
				(gEgo setMotion: MoveTo 137 130 self)
			)
			(3
				(= local0 0)
				(gEgo
					setPri: 11
					view: 238
					x: 137
					y: 130
					setMotion: MoveTo 137 170 self
				)
			)
			(4
				(sideDoor setCycle: Beg self)
			)
			(5
				(User canInput: 1)
				(self dispose:)
			)
		)
	)
)

(instance openDoorFromOutside of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (HandsOff) (= cycles 1))
			(1
				(sideDoor setCycle: End self)
			)
			(2
				(gEgo setPri: 11 setMotion: MoveTo 137 130 self)
			)
			(3
				(gEgo
					view: 232
					setPri: 8
					illegalBits: -32768
					ignoreActors: 0
				)
				(= cycles 1)
			)
			(4
				(gEgo setMotion: MoveTo 188 122 self)
			)
			(5
				(sideDoor setCycle: Beg self)
			)
			(6
				(= local0 1)
				(HandsOn)
				(self dispose:)
			)
		)
	)
)

(instance climbDownLadder of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(gEgo setMotion: MoveTo 140 187 self)
			)
			(1
				(gRoom newRoom: (gRoom south?))
			)
		)
	)
)

(instance sideDoor of Prop
	(properties
		y 119
		x 148
		view 38
		loop 1
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '/hatch,door>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 38 7))
					((Said 'open')
						(if (== local0 0)
							(gRoom setScript: openDoorFromOutside)
						else
							(gRoom setScript: openDoorFromInside)
						)
					)
					((Said 'close') (PrintItIs))
				)
			)
		)
	)
)

(instance topHatchDoor of Prop
	(properties
		y 23
		x 160
		view 38
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '/hatch,door>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 38 8))
				)
			)
		)
	)
)

(instance ladder of Prop
	(properties
		y 172
		x 137
		view 38
		loop 2
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/ladder]>')
				(cond 
					((Said 'look[<at]') (Print 38 9))
					((Said 'climb') (gRoom setScript: climbDownLadder))
				)
			)
		)
	)
)

(instance scubaGear of RFeature
	(properties
		y 118
		x 107
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '[/gear,scuba,coat,wetsuit,equipment]>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]')
						(if (== (subMarine suitRoom?) 38)
							(Print 38 10)
						else
							(pEvent claimed: 1)
							(PrintDontSee)
						)
					)
					((proc954_0 self pEvent self 10 0 38 11))
					((Said 'get,wear,(adjust<on)')
						(if (== (subMarine suitRoom?) 38)
							(Print 38 12)
							(gGame changeScore: 1)
							(gRoom setScript: waterScript)
						else
							(pEvent claimed: 1)
							(PrintDontSee)
						)
					)
				)
			)
		)
	)
)

(instance waterButton of RFeature
	(properties
		y 118
		x 108
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said '/button>')
				(cond 
					((proc954_1 self pEvent 'look[<at]/*'))
					((Said 'look[<at]') (Print 38 13))
					((proc954_0 self pEvent self 10 0 38 11))
					((Said 'press,push') (gRoom setScript: deadWaterScript))
					(else (PrintCantDoThat))
				)
			)
		)
	)
)

(instance water of Prop
	(properties
		y 130
		x 187
		view 138
		cycleSpeed 2
	)
)

(instance deathWater of Prop
	(properties
		y 130
		x 187
		view 438
		cycleSpeed 2
	)
)

(instance gurgle of Sound
	(properties
		number 59
		priority 2
	)
)
