;;; Sierra Script 1.0 - (do not remove this comment)
(script# 344)
(include sci.sh)
(use Class_255_0)
(use subMarine)
(use n396)
(use Submarine_806)
(use n821)
(use Obj)

(public
	iceStationScript 0
)

(instance iceStationScript of Script
	(properties
		seconds 5
	)
	
	(method (dispose)
		(if (< state 4) (proc821_0 926 4 0 344 14))
		(Submarine ceiling: 0)
		(super dispose:)
		(DisposeScript 396)
		(DisposeScript 344)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				((ScriptID 27 4) posn: 64 43)
				(Submarine
					depth: (if (> (Submarine depth:) 200) 195 else 75)
					ceiling: 50
					floor: 200
					longitude: 120
					latitude: 80
				)
				(proc396_0 5 344 0)
				((ScriptID 364 1) init:)
				(= seconds 6)
			)
			(1
				(proc396_0 5 344 1)
				(= seconds 20)
			)
			(2
				(self setScript: (ScriptID 364) self)
			)
			(3
				((ScriptID 27 4) posn: 80 40)
				(Submarine longitude: 15 latitude: 85)
				(= cycles 2)
			)
			(4
				(proc396_0 5 344 2)
				(= seconds 6)
			)
			(5
				(proc396_0 5 344 3)
				(= seconds 6)
			)
			(6
				(proc396_0 10 344 4)
				(= seconds 12)
			)
			(7
				(proc396_0 7 344 5)
				(= seconds 20)
			)
			(8
				(if register
					(proc396_0 7 344 6)
					(subMarine cue:)
				else
					(proc396_0 7 344 7)
					(proc821_0 7 0 0 344 8)
				)
				(= seconds 10)
			)
			(9
				(= start state)
				(if (<= (++ register) 3)
					(proc396_0 5 344 9)
					(= seconds 10)
				else
					(proc821_0 7 0 0 344 10)
				)
			)
			(10 (self init:))
		)
	)
	
	(method (cue)
		(if script (script cue:) else (super cue:))
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'contact/station[<ice]')
				(cond 
					((< state 7) (Print 344 11))
					((< state 8) (Print 344 12) (= register 1))
					(else (Print 344 13))
				)
			)
		)
	)
)
