;;; Sierra Script 1.0 - (do not remove this comment)
(script# 378)
(include sci.sh)
(use Main)
(use Die)
(use Class_255_0)
(use Cycle)
(use Obj)

(public
	oldSaltBoss 0
	johnnyRoll2 1
)

(local
	local0
)
(instance oldSaltBoss of Script
	(properties)
	
	(method (dispose)
		(super dispose:)
		(if register (DisposeScript 378))
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(switch (Random 0 2)
					(0 (Print 378 0))
					(1 (Print 378 1))
					(2 (Print 378 2))
				)
				(proc39_1)
				(= cycles 2)
			)
			(1
				(if ((ScriptID 39 3) selected?)
					((ScriptID 39 6) setScript: (ScriptID 381 0) self)
				else
					(= cycles 2)
				)
			)
			(2
				((ScriptID 39 9) loop: 0 cycleSpeed: 2 setCycle: Fwd)
				(= seconds 3)
			)
			(3
				((ScriptID 39 9) loop: 1 cel: 1 setCycle: 0)
				((ScriptID 39 3) dScore:)
				((ScriptID 39 2) dScore:)
				(if
					(or
						(> ((ScriptID 39 3) diceScore?) 500)
						(and
							(> ((ScriptID 39 3) diceScore?) 400)
							(< ((ScriptID 39 2) diceScore?) 200)
						)
						(and
							(> ((ScriptID 39 3) diceScore?) 300)
							(< ((ScriptID 39 2) diceScore?) 200)
						)
						(and
							(> ((ScriptID 39 3) diceScore?) 200)
							(< ((ScriptID 39 2) diceScore?) 100)
						)
					)
					(switch (Random 0 2)
						(0 (Print 378 3))
						(1 (Print 378 4))
						(2 (Print 378 5))
					)
					(= register 0)
					(client setScript: johnnyRoll2)
				else
					(switch (Random 0 2)
						(0 (Print 378 6))
						(1 (Print 378 7))
						(2 (Print 378 8))
					)
					(= register 1)
					((ScriptID 39 0) notify: 10)
					(self dispose:)
				)
			)
		)
	)
)

(instance johnnyRoll2 of Script
	(properties)
	
	(method (init)
		(super init: &rest)
		(gIceMouseDownHandler addToFront: self)
		(gIceKeyDownHandler addToFront: self)
	)
	
	(method (doit)
		(if (and local0 (not (-- local0))) (Print 378 9))
		(super doit:)
	)
	
	(method (dispose)
		(gIceKeyDownHandler delete: self)
		(gIceMouseDownHandler delete: self)
		(super dispose: &rest)
		(DisposeScript 378)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(if (not ((ScriptID 39 0) notify: 9)) (= local0 250))
			)
			(1
				((ScriptID 39 0) notify: 9 1)
				(if ((ScriptID 39 2) firstTrue: #selected)
					(= cycles 2)
				else
					((ScriptID 39 4) setScript: (ScriptID 379 0))
					(self dispose:)
				)
			)
			(2
				((ScriptID 39 4) setScript: (ScriptID 380 0) self)
			)
			(3
				((ScriptID 39 3) eachElementDo: #show)
				(= cycles 2)
			)
			(4
				((ScriptID 39 4) setScript: (ScriptID 379 0))
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(if
			(and
				(== (pEvent message?) KEY_RETURN)
				(== (pEvent type?) evKEYBOARD)
			)
			(pEvent type: 1)
		)
		(cond 
			((super handleEvent: pEvent))
			((== (pEvent type?) evJOYSTICK) ((ScriptID 39 10) handleEvent: pEvent))
			(
			(and (proc255_5 (ScriptID 39 12) pEvent) (== state 0))
				((ScriptID 39 12) setCel: 0 setCycle: End)
				(pEvent claimed: 1)
				(self cue:)
			)
			((== (pEvent type?) evMOUSEBUTTON) ((ScriptID 39 2) firstTrue: #handleEvent pEvent))
		)
	)
)
