;;; Sierra Script 1.0 - (do not remove this comment)
(script# 314)
(include sci.sh)
(use Main)
(use Class_255_0)
(use Submarine_806)
(use n821)
(use Game)
(use Obj)

(public
	subMarine 0
)

(class subMarine of Rgn
	(properties
		script 0
		number 0
		timer 0
		keep 0
		initialized 0
		roomFlags 0
		nutSize 0
		washerSize 0
		cylDiam 0
		holeSize 0
		dist1 0
		head1 0
		dist2 0
		head2 0
		suitRoom 0
		msg12 0
		msg34 0
		msg56 0
		pointFlag1 0
		pointFlag2 0
		invStatus1 0
		invStatus2 0
		invStatus3 0
		invStatus4 0
	)
	
	(method (init)
		(super init: &rest)
		(Submarine init: floor: 1000)
		(self setScript: subMarineScript)
		(gIceGlobalSound number: 11 loop: -1 owner: self play:)
	)
	
	(method (doit)
		(Submarine doit:)
		(super doit:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'use/device[<electronic]')
				(if (gEgo has: 8)
					(Print 314 0)
				else
					(pEvent claimed: 0)
				)
			)
			((Said '/cylinder>')
				(cond 
					((== gCurRoomNum 33))
					(
						(and
							(not (proc0_4 4352))
							(or (Said 'look') (Said 'measure'))
						)
						(Print 314 1)
						(pEvent claimed: 1)
					)
					((Said 'look') ((ScriptID 318 0) doit:))
					((Said 'measure') ((ScriptID 318 1) doit:))
				)
			)
		)
	)
	
	(method (newRoom newRoomNumber &tmp temp0)
		(= keep
			(proc999_5
				newRoomNumber
				25
				26
				27
				28
				29
				30
				31
				32
				33
				34
				35
				36
				37
				38
				39
				40
				41
				42
				51
				50
			)
		)
		(super newRoom: newRoomNumber &rest)
	)
)

(instance subMarineScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(3 (= cycles 2000))
			(4
				(if (>= argc 2)
					(= cycles 1)
				else
					(proc821_0 7 0 0 314 2)
				)
			)
			(8 (= cycles 400))
			(9
				(if (< argc 2)
					(proc821_0 7 0 0 314 3)
				else
					(= cycles 0)
				)
			)
			(14 (= cycles 12000))
			(15
				(if (>= argc 2)
					(= cycles 1)
				else
					(proc821_0 7 0 0 314 4)
				)
			)
			(else  0)
		)
	)
)
