;;; Sierra Script 1.0 - (do not remove this comment)
(script# 3)
(include sci.sh)
(use Main)
(use Class_255_0)
(use tahiti)
(use n821)
(use n958)
(use DPath)
(use Chase)
(use Grooper)
(use n982)
(use Avoid)
(use Sound)
(use Jump)
(use Cycle)
(use Game)
(use User)
(use Feature)
(use Obj)

(public
	volleyRm 0
	Man 1
	Girl 2
	Ball 3
	Net 4
	joinGameScript 5
	Girl2 6
	proc3_7 7
	proc3_8 8
)

(local
	local0
	local1
	gEgoViewer
	[local3 2]
	local5
	local6
	local7
)
(procedure (proc3_7 &tmp [temp0 2] temp2 temp3 [temp4 100])
	(DisposePrintDlg)
	(Format @temp4 &rest)
	(TextSize @temp0 @temp4 gFont 0)
	(Print
		@temp4
		#at
		-1
		12
		#width
		(if (> temp2 24) 300 else 0)
		#mode
		1
	)
)

(procedure (proc3_8 param1 &tmp [temp0 2] temp2 temp3 [temp4 100])
	(DisposePrintDlg)
	(Format @temp4 &rest)
	(TextSize @temp0 @temp4 gFont 0)
	(Print
		@temp4
		#at
		-1
		12
		#width
		(if (> temp2 24) 300 else 0)
		#mode
		1
		#dispose
		#time
		param1
	)
)

(procedure (localproc_00b0)
	(switch (Random 1 3)
		(1 (Print 3 30))
		(2 (Print 3 31))
		(3 (Print 3 32))
	)
)

(instance volleyRm of Rm
	(properties
		picture 3
		east 2
		south 8
		west 4
		picAngle 70
	)
	
	(method (init)
		(super init:)
		DPath
		Avoid
		Chase
		Jump
		(proc958_0 130 301 355 354 368)
		(proc958_0 128 3 206 503 603 803 203 103 403)
		(proc958_0 132 38 39 40 41 53)
		(self setRegions: 301 300)
		(gIceGlobalSound stop:)
		(= gEgoViewer (gEgo viewer?))
		(switch gPrevRoomNum
			(south)
			(west
				(gEgo
					loop: 0
					posn:
						10
						(switch (gEgo view?)
							(217 180)
							(216 155)
							(215 130)
							(214 125)
							(else  110)
						)
				)
			)
			(else 
				(gEgo
					posn:
						300
						(switch (gEgo view?)
							(217 180)
							(216 140)
							(215 120)
							(214 115)
							(else  100)
						)
					heading: 270
				)
				(DirLoop gEgo 270)
			)
		)
		(HandsOn)
		(gAddToPics add: Net doit:)
		(self setFeatures: Net)
		(gEgo init:)
		(self setScript: volleyScript)
	)
	
	(method (doit)
		(super doit: &rest)
		(if local5
			(= local5 0)
			(gEgo setScript: (ScriptID 368) volleyScript)
		)
	)
	
	(method (handleEvent pEvent &tmp [temp0 35])
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<around,at][/room,beach]') (if (tahiti volley?) (proc3_7 3 1) else (proc3_7 3 2)))
		)
	)
	
	(method (newRoom newRoomNumber)
		(cond 
			(local6)
			((and (== newRoomNumber south) local1)
				(if (lifesaverScript register?)
					(super newRoom: newRoomNumber &rest)
				else
					(HandsOff)
					(lifesaverScript register: 1)
					(gEgo setMotion: MoveTo (gEgo x?) 230 script)
					(= local6 1)
				)
			)
			(local1 (proc821_0 918 0 0 3 0))
			(else (super newRoom: newRoomNumber &rest))
		)
	)
	
	(method (notify param1 param2)
		(-- argc)
		(switch param1
			(0
				(if argc (= local1 param2) else local1)
			)
			(1
				(if argc (= local0 param2) else local0)
			)
			(2 (= local5 1))
			(3
				(if argc (= local7 param2) else local7)
			)
			(4
				(gEgo
					view: 200
					setLoop: -1
					setCycle: Walk
					loop: 0
					viewer: gEgoViewer
				)
			)
		)
	)
)

(instance volleyScript of Script
	(properties)
	
	(method (init param1)
		(if
		(or (< 7 (tahiti volley?)) (== (gEgo view?) 206))
			(Animate (gCast elements?) 1)
			(= state start)
			(self dispose:)
		else
			(Man init:)
			(Girl init:)
			(Girl2 init:)
			(Ball init:)
			(Animate (gCast elements?) 1)
			(super init: param1 &rest)
		)
	)
	
	(method (changeState newState &tmp temp0)
		(switch (= state newState)
			(0
				(if (Random 0 1)
					(Ball
						illegalBits: 0
						ignoreHorizon: 1
						posn: 151 66
						setPri: (+ (Girl priority?) 1)
						setMotion: JumpTo (Girl nsRight?) (Girl nsTop?) self
					)
					(self setScript: (ScriptID 355 0) self Man)
				else
					(Ball
						illegalBits: 0
						ignoreHorizon: 1
						posn: 172 71
						setPri: (+ (Man priority?) 1)
						setMotion: JumpTo (Man nsLeft?) (Man nsTop?) self
					)
					(self setScript: (ScriptID 355 0) self Girl)
				)
			)
			(1
				(if (not (tahiti volley?)) (proc3_8 4 3 3))
				(gGame changeScore: 1)
				(tahiti volley: (+ (tahiti volley?) 1))
				(= seconds 5)
			)
			(2
				(if local0
					(gGame changeScore: 1)
					(tahiti volley: (+ (tahiti volley?) 1))
					(= seconds 5)
				)
			)
			(3
				(if (and local0 (< 7 (tahiti volley?)))
					(= cycles 2)
				else
					(self changeState: 2)
				)
			)
			(4
				(soundSplash init:)
				(script caller: self)
			)
			(5)
			(6
				(soundSplash number: (DecideSound 53) play:)
				(splash init: posn: (Ball x?) (Ball y?) setCycle: End)
				(Ball setMotion: JumpTo (+ (Ball x?) 40) 260 self)
			)
			(7
				(proc3_7 3 4)
				(= local7 0)
				(= cycles 4)
			)
			(8
				(DisposeScript 355)
				(= local1 1)
				(HandsOff)
				(splash dispose:)
				(Girl
					heading: 180
					view: 203
					setAvoider: Avoid 1
					setCycle: Walk
					setMotion: Chase Ball 10 self
				)
				(gEgo setCycle: Walk)
			)
			(9
				(HandsOn)
				(gEgo setScript: lifesaverScript)
				(= seconds 1)
			)
			(10)
			(11
				(gEgo setScript: (ScriptID 354))
			)
			(12
				(= local6 0)
				(= local1 0)
				(gEgo setCycle: Walk viewer: gEgoViewer setLoop: Grooper)
			)
		)
	)
)

(instance joinGameScript of Script
	(properties)
	
	(method (changeState newState &tmp [temp0 2])
		(switch (= state newState)
			(0
				(User canControl: 0)
				(= local0 0)
				(gEgo
					setLoop: -1
					setAvoider: Avoid
					setMotion: DPath 100 116 121 116 self
				)
			)
			(1
				(gEgo
					setAvoider: 0
					viewer: 0
					view: 3
					setLoop: 1
					setCel: 0
					heading: 90
				)
				(= local0 1)
				(self dispose:)
			)
		)
	)
)

(instance lifesaverScript of Script
	(properties)
	
	(method (dispose)
		(if (or (== state 2) (!= gCurRoomNum gNewRoomNum)) 1)
		(super dispose:)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(proc3_7 3 5)
				(HandsOn)
				(gEgo setCycle: Walk viewer: gEgoViewer)
				(= seconds 12)
			)
			(1 (proc3_7 3 6) (= seconds 8))
			(2 (proc3_7 3 7) (= seconds 8))
			(3
				(if (not register)
					(lifesaverScript register: 1)
					(Print 3 8)
					(gGame changeScore: -10)
					(= local1 0)
				)
				(self dispose:)
			)
		)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'save,help') (Print 3 9))
		)
	)
)

(instance AngryManScript of Script
	(properties)
	
	(method (changeState newState)
		(switch (= state newState)
			(0 (= seconds 4))
			(1
				(if (and (< 160 (gEgo x?)) (< (gEgo y?) 150))
					(proc3_7 3 10)
					(= seconds 15)
				else
					(= seconds 1)
				)
			)
			(2
				(if (and (< 160 (gEgo x?)) (< (gEgo y?) 150))
					(proc3_7 3 11)
					(self init:)
				else
					(self changeState: 1)
				)
			)
		)
	)
)

(instance GirlViewer of Code
	(properties)
	
	(method (doit)
		(if (!= (Girl onControl: 1) 1) (Girl view: 103))
		(Girl
			setLoop:
				(switch (Girl view?)
					(3 3)
					(103
						(switch (Girl onControl: 1)
							(512 3)
							(1024 3)
							(2048 2)
							(4096 1)
							(1 0)
							(else  (Girl loop?))
						)
					)
					(203 -1)
				)
		)
	)
)

(instance Girl of Act
	(properties
		y 121
		x 135
		heading 90
		view 3
		loop 3
	)
	
	(method (init)
		(super init: &rest)
		(= viewer GirlViewer)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at][/babe]') (proc3_7 3 12))
			((Said 'kiss[/babe]') (localproc_00b0))
			((not local7))
			((Said 'address/babe')
				(if local7
					(proc3_7 3 13)
					(proc3_7 3 14)
					(proc3_7 3 15)
				else
					(proc3_7 3 16)
				)
			)
		)
	)
	
	(method (canBeHere)
		(return 1)
	)
)

(instance Ball of Act
	(properties
		view 3
		loop 7
	)
	
	(method (init)
		(self setLoop: loop)
		(super init:)
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent &rest))
			((or (Said '/ball>') (Said '//ball>'))
				(cond 
					((and (proc982_1 self) (Said '/*')) (proc3_7 3 17) (pEvent claimed: 1))
					((proc982_0 self) (proc3_7 3 18) (pEvent claimed: 1))
					((Said 'look[<at]') (proc3_7 3 19))
				)
			)
		)
	)
)

(instance Girl2 of Act
	(properties
		y 117
		x 174
		view 3
		loop 4
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at][/babe]') (proc3_7 3 20))
			((Said 'address/babe')
				(if local0
					(if local1 (proc3_8 4 3 21) else (proc3_8 4 3 22))
				else
					(proc3_8 4 3 23)
				)
			)
			((Said 'help,get,save/babe') (if local1 (proc3_8 4 3 24) else (pEvent claimed: 0)))
			((Said 'kiss[/babe]') (localproc_00b0))
		)
	)
	
	(method (canBeHere)
		(return 1)
	)
)

(instance Man of Act
	(properties
		y 122
		x 188
		view 3
		loop 5
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at][/man]') (proc3_7 3 25))
			((Said 'address/man')
				(cond 
					(local1 (proc3_8 4 3 26))
					(local0 (proc3_8 4 3 27))
					(else (proc3_8 4 3 28))
				)
			)
		)
	)
	
	(method (canBeHere)
		(return 1)
	)
)

(instance Net of PV
	(properties
		y 125
		x 153
		view 3
		loop 6
	)
	
	(method (handleEvent pEvent)
		(cond 
			((super handleEvent: pEvent))
			((Said 'look[<at]/net') (proc3_7 3 29))
		)
	)
)

(instance soundSplash of Sound
	(properties
		number 53
		priority 1
	)
)

(instance splash of Prop
	(properties
		view 503
		loop 4
	)
)
