;;; Sierra Script 1.0 - (do not remove this comment)
(script# 302)
(include sci.sh)
(use Main)
(use Class_255_0)
(use Sound)
(use Game)
(use Obj)

(public
	washington 0
)

(instance washington of Rgn
	(properties)
	
	(method (handleEvent pEvent)
		(super handleEvent: pEvent)
		(cond 
			((not (gEgo has: 6)) (pEvent claimed: 0))
			((Said 'look<in,in/earring')
				(cond 
					((gEgo has: 1) (Print 302 0))
					((== global143 1) (self setScript: taDaScript))
					((== global143 2) (Print 302 1))
					(else (Print 302 2))
				)
			)
			((Said 'examine,look[<at]/earring') (Print 302 3))
			(
				(or
					(Said 'open,detach,(get<off)/top')
					(Said 'open/earring')
				)
				(if (> global143 0)
					(PrintItIs)
				else
					(Print 302 4)
					(= global143 1)
				)
			)
			((Said 'get/film')
				(cond 
					((gEgo has: 1) (Print 302 5))
					((== global143 2) (Print 302 6) (gEgo get: 1))
					(else (pEvent claimed: 0))
				)
			)
			((Said 'look/film')
				(cond 
					((gEgo has: 1) (pEvent claimed: 0))
					((== global143 2) (Print 302 7))
					(else (pEvent claimed: 0))
				)
			)
		)
	)
	
	(method (newRoom newRoomNumber)
		(= keep (proc999_5 newRoomNumber 17 18 19 20 21))
		(= initialized 0)
		(gEgo illegalBits: -32768)
		(super newRoom: &rest)
	)
)

(instance taDaScript of Script
	(properties)
	
	(method (doit)
		(super doit:)
		(if
		(and (< state 3) (== (taDaSnd prevSignal?) -1))
			(self cue:)
		)
	)
	
	(method (dispose)
		(DisposePrintDlg)
		(HandsOn)
		(super dispose:)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(HandsOff)
				(Print 302 8 #at -1 5)
				(taDaSnd play: self)
				(Print 302 9 #dispose #width 220 #at -1 5)
				(= seconds 6)
			)
			(1
				(Print 302 10 #dispose #width 280 #at -1 5)
			)
			(2
				(Print 302 11 #dispose #width 260 #at -1 5)
			)
			(3
				(gGame changeScore: 1)
				(= global143 2)
				(taDaSnd dispose:)
				(self dispose:)
			)
		)
	)
)

(instance taDaSnd of Sound
	(properties
		number 99
		priority 10
	)
)
